define({"378":{y:0,u:"../users-guide/server-timeout-serve.htm",l:-1,t:"server_timeout_server_connection",i:0.00186023175803275,a:"In a server-to-server connection, if this server does not receive a heartbeat for a period exceeding this limit (in seconds), it closes the connection. This parameter applies to connections from other routes and to the standby server connection.\n\t  server_timeout_server_connection = limit We ..."},"379":{y:0,u:"../users-guide/server-heartbeat-cli.htm",l:-1,t:"server_heartbeat_client",i:0.0002797541077048,a:"server_heartbeat_client In a server-to-client connection, the server sends heartbeats to all clients at this interval (in seconds).\n\t  server_heartbeat_client = interval When omitted or zero, the default is 5 seconds.\n\t\t"},"380":{y:0,u:"../users-guide/client-timeout-serve.htm",l:-1,t:"client_timeout_server_connection",i:0.0002797541077048,a:"In a server-to-client connection, if a client does not receive a heartbeat for a period exceeding this limit (in seconds), it closes the connection.\n\t  client_timeout_server_connection = limit We recommend setting this value to approximately 3.5 times the heartbeat interval.\n\t\t Zero is a special ..."},"381":{y:0,u:"../users-guide/fault-tolerance-para.htm",l:-1,t:"Fault Tolerance Parameters",i:0.000754006220066995,a:"See \n\t\t Fault Tolerance  for more information about these parameters. \n\t  The fault tolerance parameters that begin with the prefix \n\t\tft_ssl \n\t\tare used to secure communications between pairs of fault tolerant servers. See \n\t\t TLS for additional information about this process. "},"382":{y:0,u:"../users-guide/ft-active.htm",l:-1,t:"ft_active",i:0.000344588271222967,a:"ft_active Specifies the URL of the active server. If this server can connect to the active server, it will act as a standby server. If this server cannot connect to the active server, it will become the active server.\n\t  ft_active = URL"},"383":{y:0,u:"../users-guide/ft-heartbeat.htm",l:-1,t:"ft_heartbeat",i:0.0002797541077048,a:"ft_heartbeat Specifies the interval (in seconds) the server is to send a heartbeat signal to its peer to indicate that it is still operating.\n\t  ft_heartbeat = seconds Default is 3 seconds.\n\t\t"},"384":{y:0,u:"../users-guide/ft-activation.htm",l:-1,t:"ft_activation",i:0.00186023175803275,a:"Activation interval (maximum length of time between heartbeat signals) which indicates that server has failed.\n\t  ft_activation = seconds Set in seconds: default is 10. This interval should be set to at least twice the heartbeat interval.\n\t\t For example:\n\t\t ft_activation = 60 See the \n\t\t   ..."},"385":{y:0,u:"../users-guide/ft-reconnect-timeout.htm",l:-1,t:"ft_reconnect_timeout",i:0.00315349345454513,a:"The amount of time (in seconds) that a standby server waits for clients to reconnect (after it becomes the active server in a failover situation).\n\t  ft_reconnect_timeout = seconds If a client does not reconnect within this time period, the server removes its state from the shared state files. The ..."},"386":{y:0,u:"../users-guide/ft-ssl-identity.htm",l:-1,t:"ft_ssl_identity",i:0.0002797541077048,a:"The path to a file that contains the certificate in one of the supported formats. The supported formats are PEM, DER, or PKCS#12. A DER format file can only contain the certificate; it cannot contain both the certificate and a private key. \n\t  ft_ssl_identity = pathname See \n\t\t   File Names for ..."},"387":{y:0,u:"../users-guide/ft-ssl-issuer.htm",l:-1,t:"ft_ssl_issuer",i:0.0002797541077048,a:"Certificate chain member for the server. Supply the entire chain, including the CA root certificate. The server reads the certificates in the chain in the order they are presented in this parameter. \n\t  ft_ssl_issuer = chain_member The certificates must be in PEM, DER, PKCS#7, or PKCS#12 format. A ..."},"388":{y:0,u:"../users-guide/ft-ssl-private-key.htm",l:-1,t:"ft_ssl_private_key",i:0.0002797541077048,a:"The server’s private key. If it is included in the digital certificate in \n\t ft_ssl_identity, then this parameter is not needed.\n\t  ft_ssl_private_key = key This parameter supports private keys in the following formats: PEM, DER, PKCS#12.\n\t\t You can specify the actual key in this parameter, or you ..."},"389":{y:0,u:"../users-guide/ft-ssl-password.htm",l:-1,t:"ft_ssl_password",i:0.0002797541077048,a:"Private key or password for private keys. \n\t  ft_ssl_password = password You can set passwords by way of the \n\t\t  tibemsadmin tool. When passwords are set with this tool, the password is obfuscated in the configuration file. See \n\t\t   EMS Administration Tool  for more information about using \n\t\t  ..."},"390":{y:0,u:"../users-guide/ft-ssl-trusted.htm",l:-1,t:"ft_ssl_trusted",i:0.0002797541077048,a:"List of trusted certificates. This sets which Certificate Authority certificates should be trusted as issuers of the client certificates. \n\t  ft_ssl_trusted = trusted_certificates The certificates must be in PEM, DER, or PKCS#7 format. You can either provide the actual certificates, or you can ..."},"391":{y:0,u:"../users-guide/ft-ssl-verify-host.htm",l:-1,t:"ft_ssl_verify_host",i:0.0002797541077048,a:"Specifies whether the fault-tolerant server should verify the other server’s certificate. \n   ft_ssl_verify_host = enabled | disabled The values for this parameter are \n\t\t   enabled or \n\t\t   disabled. \n\t\t By default, this parameter is \n\t\t  enabled, signifying the server should verify the other ..."},"392":{y:0,u:"../users-guide/ft-ssl-verify-hostna.htm",l:-1,t:"ft_ssl_verify_hostname",i:0.0002797541077048,a:"Specifies whether the fault-tolerant server should verify the name in the CN field of the other server’s certificate. \n\t  ft_ssl_verify_hostname = enabled | disabled The values for this parameter are \n\t\t   enabled and \n\t\t   disabled. By default, this parameter is enabled, signifying the ..."},"393":{y:0,u:"../users-guide/ft-ssl-expected-host.htm",l:-1,t:"ft_ssl_expected_hostname",i:0.0002797541077048,a:"Specifies the name the server is expected to have in the CN field of the fault-tolerant server’s certificate.\n\t  ft_ssl_expected_hostname = serverName If this parameter is not set, the expected name is the hostname of the server.\n\t\t This parameter is used when the \n\t\t  ft_ssl_verify_hostname ..."},"394":{y:0,u:"../users-guide/ft-ssl-ciphers.htm",l:-1,t:"ft_ssl_ciphers",i:0.0003186546058157,a:"Specifies the cipher suites used by the server; each suite in the list is separated by a colon (:). This parameter can use the OpenSSL name for cipher suites or the longer, more descriptive names.\n\t  ft_ssl_ciphers = cipherSuite See \n\t\t   Specify Cipher Suites  for more information about the cipher ..."},"395":{y:0,u:"../users-guide/message-tracking-par.htm",l:-1,t:"Message Tracking Parameters",i:0.000228822666381883,a:"Message Tracking Parameters The parameters described in the following topics configure the message tracking behavior of the EMS server. \n  "},"396":{y:0,u:"../users-guide/track-message-ids.htm",l:-1,t:"track_message_ids",i:0.000474256598259303,a:"track_message_ids Tracks messages by message ID. Default is disabled. \n   track_message_ids = enabled | disabled Enabling this parameter allows you to display messages using the \n\t\t  show messagemessageID command in the administration tool. \n\t\t"},"397":{y:0,u:"../users-guide/track-correlation-id.htm",l:-1,t:"track_correlation_ids",i:0.0002797541077048,a:"track_correlation_ids Tracks messages by correlation ID. Disabled by default. \n   track_correlation_ids = enabled | disabled Enabling this parameter allows you to display messages using the \n\t\t  show messagescorrelationID command in the administration tool. \n\t\t"},"398":{y:0,u:"../users-guide/tibco-ftl-transport-.htm",l:-1,t:"TIBCO FTL Transport Parameters",i:0.000261239748140966,a:"The parameters listed here enable the EMS server to connect to a TIBCO FTL server using transports configured in the \n\t\t transports.conf file. \n\t  \n            The EMS server creates a single FTL event queue that is used for all EMS transports for FTL configured in the \n\t\ttransports.conf file. \n\t  ..."},"399":{y:0,u:"../users-guide/ftl-log-level.htm",l:-1,t:"ftl_log_level",i:0.0002797541077048,a:"ftl_log_level Optional. Determines the trace level of FTL messages logged in the server when the EMS Server FTL trace item is enabled. \n   ftl_log_level = level When absent, the \n\t\t  ftl_log_level defaults to \n\t\t  warn. \n\t\t For more details, see the TIBCO FTL documentation on logging. \n\t\t"},"400":{y:0,u:"../users-guide/ftl-password.htm",l:-1,t:"ftl_password",i:0.0002797541077048,a:"Optional. The password that the EMS server should use to authenticate itself when connecting to the TIBCO FTL server. Note that the password can be stored in a mangled form. \n   ftl_password = password Sets the \n\t\t  com.tibco.ftl.client.userpassword property. For more details, see the TIBCO FTL ..."},"401":{y:0,u:"../users-guide/ftl-trustfile.htm",l:-1,t:"ftl_trustfile",i:0.000312171189463883,a:"Optional. Specifies the trust file for the EMS server to validate the FTL server on a TLS connection. \n   ftl_trustfile = file name The trust file must be the same as that used by other FTL clients to validate the FTL server. \n\t\t    For the trust file to be used, the \n\t\t\t ftl_url must start with ..."},"402":{y:0,u:"../users-guide/ftl-url.htm",l:-1,t:"ftl_url",i:0.000312171189463883,a:"ftl_url Required. Specifies the URL at which the EMS server can connect to the TIBCO FTL server. \n   ftl_url = URL For example, \n\t\t  ftl_url=http://localhost:5633. \n\t\t For more details, see the TIBCO FTL documentation on realms. \n\t\t"},"403":{y:0,u:"../users-guide/ftl-username.htm",l:-1,t:"ftl_username",i:0.0002797541077048,a:"ftl_username Optional. The username that the EMS server should use to authenticate itself when connecting to the TIBCO FTL server. \n   ftl_username = user Sets the \n\t\t  com.tibco.ftl.client.username property. For more details, see the TIBCO FTL documentation on realms. \n\t\t"},"404":{y:0,u:"../users-guide/tibftl-transports.htm",l:-1,t:"tibftl_transports",i:0.000312171189463883,a:"Specifies whether the TIBCO FTL transports defined in \n\t\t   transports.conf are enabled or disabled. \n\t\t   tibftl_transports = enabled | disabled Unless you explicitly set this parameter to enabled, the default value is \n\t\t   disabled—that is, all transports are \n\t\t   disabled and will neither send ..."},"405":{y:0,u:"../users-guide/rendezvous-transport.htm",l:-1,t:"Rendezvous Transport Parameters",i:0.000228822666381883,a:"Rendezvous Transport Parameters For more information, see  Interoperation With TIBCO Rendezvous ."},"406":{y:0,u:"../users-guide/tibrv-transports.htm",l:-1,t:"tibrv_transports",i:0.0002797541077048,a:"Specifies whether TIBCO Rendezvous transports defined in \n\t\t   transports.conf are enabled or disabled. \n\t\t tibrv_transports = enabled | disabled Unless you explicitly set this parameter to enabled, the default value is \n\t\t   disabled—that is, all transports are disabled and will neither send ..."},"407":{y:0,u:"../users-guide/tracing-and-log-file.htm",l:-1,t:"Tracing and Log File Parameters",i:0.00037469953429776,a:"Tracing and Log File Parameters See \n\t\t Monitor Server Activity,  for more information about these parameters.\n"},"408":{y:0,u:"../users-guide/client-trace.htm",l:-1,t:"client_trace",i:0.0002797541077048,a:"Administrators can trace a connection or group of connections. When this property is enabled, the server instructs each client to generate trace output for opening or closing a connection, message activity, and transaction activity. This type of tracing does not require restarting the client ..."},"409":{y:0,u:"../users-guide/console-trace.htm",l:-1,t:"console_trace",i:0.0002797541077048,a:"Sets trace options for output to \n\t stderr. The possible values are the same as for \n\t log_trace. However, console tracing is independent of log file tracing. \n   console_trace = traceOptions If \n\t\t  logfile is defined, you can stop console output by specifying: \n\t\t console_trace=-DEFAULT \n          ..."},"410":{y:0,u:"../users-guide/logfile.htm",l:-1,t:"logfile",i:0.00186023175803275,a:"Name and location of the server log file.\n   logfile = pathname If the \n\t\t  pathname contains spaces, it must be enclosed in double quotes.\n\t\t By default, the logfile specified here is used by both servers in fault tolerant pair. Optionally, a JSON-configured server pair can set the \n\t\t   ..."},"411":{y:0,u:"../users-guide/log-trace.htm",l:-1,t:"log_trace",i:0.0002797541077048,a:"Sets the trace preference on the file defined by the \n\t logfile parameter. If \n\t logfile is not set, the values have no effect. \n   log_trace = traceOptions The value of this parameter is a comma-separated list of trace options. For a list of trace options and their meanings, see \n\t\t   Server ..."},"412":{y:0,u:"../users-guide/logfile-max-count.htm",l:-1,t:"logfile_max_count",i:0.000328379730343425,a:"logfile_max_count Specifies the maximum number of log files to be kept. \n   logfile_max_count = integer Specify any number greater than 2. \n\t\t When 0 or not specified, there is no limit to the number of log files kept. \n\t\t"},"413":{y:0,u:"../users-guide/logfile-max-size.htm",l:-1,t:"logfile_max_size",i:0.000328379730343425,a:"Specifies the recommended maximum log file size before the log file is rotated. Set to 0 to specify no limit. Use KB, MB, or GB for units (if no units are specified, the file size is assumed to be in bytes). \n   logfile_max_size = size [KB|MB|GB] The server periodically checks the size of the ..."},"414":{y:0,u:"../users-guide/secondary-logfile.htm",l:-1,t:"secondary_logfile",i:0.00186023175803275,a:"Name and location of the server log file used by the secondary EMS server in a fault tolerant pair. The EMS server designated as primary in the pair writes to the file specified by the \n\t logfile parameter.\n   secondary_logfile = pathname If the \n\t\t  secondary_logfile parameter is not set, the ..."},"415":{y:0,u:"../users-guide/trace-client-host.htm",l:-1,t:"trace_client_host",i:0.0002797541077048,a:"Trace statements related to connections can identify the host by its hostname, its IP address, or both. When absent, the default is \n\t hostname. The \n\t both_with_port option displays the ephemeral port used on the host as well as the IP address and hostname. \n   trace_client_host = ..."},"416":{y:0,u:"../users-guide/statistic-gathering-.htm",l:-1,t:"Statistic Gathering Parameters",i:0.000228822666381883,a:"Statistic Gathering Parameters See \n\t\t Monitor Server Activity,  for more information about these parameters.\n\t "},"417":{y:0,u:"../users-guide/server-rate-interval.htm",l:-1,t:"server_rate_interval",i:0.000637447448725991,a:"Sets the interval (in seconds) over which overall server statistics are averaged. \n   server_rate_interval = seconds This parameter can be set to any positive integer greater than zero. \n\t\t Overall server statistics are always gathered, so this parameter cannot be set to zero. By default, this ..."},"418":{y:0,u:"../users-guide/statistics.htm",l:-1,t:"statistics",i:0.0002797541077048,a:"statistics Enables or disables statistic gathering for producers, consumers, destinations, and routes. By default this parameter is set to disabled. \n   statistics = enabled | disabled Disabling statistic gathering resets the total statistics for each object to zero. \n\t\t"},"419":{y:0,u:"../users-guide/rate-interval.htm",l:-1,t:"rate_interval",i:0.0002797541077048,a:"rate_interval Sets the interval (in seconds) over which statistics for routes, destinations, producers, and consumers are averaged.\n   rate_interval = seconds By default, this parameter is set to 3 seconds. Setting this parameter to zero disables the average calculation.\n\t\t"},"420":{y:0,u:"../users-guide/detailed-statistics2.htm",l:-1,t:"detailed_statistics",i:0.0002797541077048,a:"Specifies which objects should have detailed statistic tracking.\n   detailed_statistics = NONE | [PRODUCERS,CONSUMERS,ROUTES] Detailed statistic tracking is only appropriate for routes, producers that specify no destination, or consumers that specify wildcard destinations. When detailed tracking is ..."},"421":{y:0,u:"../users-guide/statistics-cleanup-i.htm",l:-1,t:"statistics_cleanup_interval",i:0.0002797541077048,a:"Specifies how long (in seconds) the server should keep detailed statistics if the destination has no activity.\n   statistics_cleanup_interval = seconds This is useful for controlling the amount of memory used by detailed statistic tracking. When the specified interval is reached, statistics for ..."},"422":{y:0,u:"../users-guide/max-stat-memory.htm",l:-1,t:"max_stat_memory",i:0.0002797541077048,a:"Specifies the maximum amount of memory to use for detailed statistic gathering.\n   max_stat_memory = size [KB|MB|GB] If no units are specified, the amount is in bytes, otherwise you can specify the amount using KB, MB, or GB as the units.\n\t\t Once the maximum memory limit is reached, the server stops ..."},"423":{y:0,u:"../users-guide/tls-server-parameter.htm",l:-1,t:"TLS Server Parameters",i:0.00068534840616729,a:"TLS Server Parameters See \n\t\t TLS Protocol  for more information about these parameters. \n\t "},"424":{y:0,u:"../users-guide/ssl-server-ciphers.htm",l:-1,t:"ssl_server_ciphers",i:0.0003186546058157,a:"Specifies the cipher suites used by the server; each suite in the list is separated by a colon (:). This parameter must follow the OpenSSL cipher string syntax. \n   ssl_server_ciphers = cipherSuites For example, you can enable the cipher suites for security level 2 with the following setting: \n\t\t ..."},"425":{y:0,u:"../users-guide/ssl-require-client-c.htm",l:-1,t:"ssl_require_client_cert",i:0.000671887991436111,a:"If this parameter is set to \n\t enable, the server only accepts TLS connections from clients that have digital certificates. Connections from clients without certificates are denied. \n   ssl_require_client_cert = enable | disable If this parameter is set to \n\t\t   disable, then connections are ..."},"426":{y:0,u:"../users-guide/ssl-require-route-ce.htm",l:-1,t:"ssl_require_route_cert_only",i:0.00046132390698454,a:"This parameter overrides the \n\t ssl_require_client_cert parameter. \n   ssl_require_route_cert_only = enable | disable If \n\t\t  ssl_require_route_cert_only is set to \n\t\t   enable, the server requires a digital certificate only for TLS connections coming from routes,  regardless of the value of \n\t\t   ..."},"427":{y:0,u:"../users-guide/ssl-use-cert-usernam.htm",l:-1,t:"ssl_use_cert_username",i:0.0002797541077048,a:"If this parameter is set to enable, a client’s user name is always extracted from the CN field of the client’s digital certificate, if the digital certificate is specified. \n   ssl_use_cert_username = enable | disable If a different username is provided through the connection factory or API calls, ..."},"428":{y:0,u:"../users-guide/ssl-cert-user-specna.htm",l:-1,t:"ssl_cert_user_specname",i:0.0002797541077048,a:"This parameter is useful if clients are required to supply a username, but you wish to designate a special username to use when the client’s username should be taken from the client’s digital certificate. \n   ssl_cert_user_specname = username For example, you may wish all clients to specify their ..."},"429":{y:0,u:"../users-guide/ssl-server-identity.htm",l:-1,t:"ssl_server_identity",i:0.0002797541077048,a:"The server’s digital certificate in PEM, DER, or PKCS#12 format. You can specify the path to a file that contains the certificate in one of the supported formats. \n   ssl_server_identity = certificate This parameter must be specified if any TLS ports are listed in the \n\t\t  listen parameter. \n\t\t PEM ..."},"430":{y:0,u:"../users-guide/ssl-server-key.htm",l:-1,t:"ssl_server_key",i:0.0002797541077048,a:"The server’s private key. If it is included in the digital certificate in \n\t ssl_server_identity, then this parameter is not needed.\n   ssl_server_key = private_key This parameter supports private keys in the following formats: PEM, DER, PKCS#12.\n\t\t You must specify a path to a file that contains ..."},"431":{y:0,u:"../users-guide/ssl-password.htm",l:-1,t:"ssl_password",i:0.000524338680957856,a:"Private key or password for private keys. This password can optionally be specified on the command line when \n\t tibemsd is started. \n   ssl_password = password If TLS is enabled, and the password is not specified with this parameter or on the command line, \n\t\t  tibemsd will ask for the password upon ..."},"432":{y:0,u:"../users-guide/ssl-server-issuer.htm",l:-1,t:"ssl_server_issuer",i:0.0002797541077048,a:"Certificate chain member for the server. The server reads the certificates in the chain in the order they are presented in this parameter. \n   ssl_server_issuer = chain_member The same certificate can appear in multiple places in the certificate chain. \n\t\t The certificates must be in PEM, DER, ..."},"433":{y:0,u:"../users-guide/ssl-server-trusted.htm",l:-1,t:"ssl_server_trusted",i:0.00104537522812737,a:"List of CA root certificates the server trusts as issuers of client certificates. \n   ssl_server_trusted = certificates Specify only CA root certificates. Do not include intermediate CA certificates. \n\t\t The certificates must be in PEM, DER, or PKCS#7 format. You can either provide the actual ..."},"434":{y:0,u:"../users-guide/ssl-crl-path.htm",l:-1,t:"ssl_crl_path",i:0.0002797541077048,a:"A non-null value for this parameter activates the server’s certificate revocation list (CRL) feature. \n   ssl_crl_path = pathname The server reads CRL files from this directory. The directory should contain only CRL files. If other files are located in the \n\t\t  pathname directory, TLS initialization ..."},"435":{y:0,u:"../users-guide/ssl-crl-update-inter.htm",l:-1,t:"ssl_crl_update_interval",i:0.0002797541077048,a:"ssl_crl_update_interval The server automatically updates its CRLs at this interval (in hours).\n   ssl_crl_update_interval = hours When this parameter is absent, the default is 24 hours.\n\t\t"},"436":{y:0,u:"../users-guide/ssl-auth-only.htm",l:-1,t:"ssl_auth_only",i:0.000442353966596644,a:"When enabled, the server allows clients to request the use of TLS only for authentication (to protect user passwords). \n   ssl_auth_only = enable | disable For an overview of this feature, see \n\t\t   TLS Authentication Only . \n\t\t When disabled, the server ignores client requests for this feature. ..."},"437":{y:0,u:"../users-guide/fips140-2.htm",l:-1,t:"fips140-2",i:0.0003186546058157,a:"fips140-2 When \n\t true, the EMS server is enabled to run in FIPS 140-2 compliant mode. When \n\t false or excluded, the server is not FIPS compliant. \n   fips140-2 = true | false For more information, see \n\t\t   Enable FIPS Compliance . \n\t\t"},"438":{y:0,u:"../users-guide/extensible-security-.htm",l:-1,t:"Extensible Security Parameters",i:0.000228822666381883,a:"Extensible Security Parameters The extensible security feature allows you to write your own authentication and permissions modules for the server.\n   For more information on this feature, see \n\t\t Extensible Security .\n\t "},"439":{y:0,u:"../users-guide/jaas-config-file.htm",l:-1,t:"jaas_config_file",i:0.00090157006358939,a:"Specifies the location of the JAAS configuration file used by the EMS server to run a custom authentication \n\t LoginModule. \n   jaas_config_file = file-name For more information, see \n\t\t   Loading the LoginModule in the EMS Server . \n\t\t This parameter is required to enable the extensible security ..."},"440":{y:0,u:"../users-guide/jaas-login-timeout.htm",l:-1,t:"jaas_login_timeout",i:0.0002797541077048,a:"Specifies the length of time, in milliseconds, that the EMS server will wait for the JAAS authentication module to execute and respond. \n   jaas_login_timeout = milliseconds This timeout is used each time the server passes a username and password to the LoginModule. If the module does not return a ..."},"441":{y:0,u:"../users-guide/jaci-class.htm",l:-1,t:"jaci_class",i:0.0003186546058157,a:"Specifies the name of the class that implements the extensible permissions interface.\n   jaci_class = class-name The class must be written using the Java Access Control Interface (JACI). For more information about writing a custom application using JACI to grant permissions, see \n\t\t   Permissions ..."},"442":{y:0,u:"../users-guide/jaci-timeout.htm",l:-1,t:"jaci_timeout",i:0.000366612830074699,a:"Specifies the length of time, in milliseconds, that the EMS server will wait for the JACI permissions module to execute and respond.\n   jaci_timeout = milliseconds This timeout is used each time the server passes a destination, username, and action to the permissions module. If the module does not ..."},"443":{y:0,u:"../users-guide/security-classpath.htm",l:-1,t:"security_classpath",i:0.000416042503802711,a:"Includes the JAR files and dependent classes used by the JAAS LoginModules and JACI modules.\n   security_classpath = classpath This parameter is required to enable the extensible security feature for authentication and the extensible security feature for granting permissions.\n\t\t For example:\n\t\t ..."},"444":{y:0,u:"../users-guide/jvm-parameters.htm",l:-1,t:"JVM Parameters",i:0.000380847448063896,a:"JVM Parameters These parameters enable and configure the Java virtual machine (JVM) in the EMS server.\n   For more information on how the JVM works in EMS, see \n\t\t Enable the JVM .\n\t "},"445":{y:0,u:"../users-guide/jre-library.htm",l:-1,t:"jre_library",i:0.000496749705614739,a:"Enables the JVM in the EMS server, where \n\t path \n\t is the absolute path to the JRE shared library file that is installed with the JRE. \n   jre_library = path Depending on your platform, this could be \n\t\t  jvm.dll, \n\t\t  libjvm.so, \n\t\t  libjvm.dylib, and so forth. \n\t\t If this parameter is not ..."},"446":{y:0,u:"../users-guide/jre-option.htm",l:-1,t:"jre_option",i:0.00062995433842988,a:"Passes command line options to the JVM at start-up.\n   jre_option = JVMoption The \n\t\t  jre_option parameter can be used to define Java system properties, which are used by applications running in the JVM, such as extensible security modules.\n\t\t You can use multiple \n\t\t  jre_option entries in order ..."},"447":{y:0,u:"../users-guide/using-other-configur.htm",l:-1,t:"Using Other Configuration Files",i:0.000228822666381883,a:"In addition to the main configuration file, there are several other configuration files used for various purposes. \n   These configuration files can be edited by hand, but you can also use the administration tool or the administration APIs to modify some of these files. See \n\t\t   EMS Administration ..."},"448":{y:0,u:"../users-guide/bridges.conf.htm",l:-1,t:"bridges.conf",i:0.000437218191975993,a:"This file defines bridges between destinations. \n   See \n\t\t   Destination Bridges  for more information about destination bridges. \n\t\t The format of the file is: \n\t\t [destinationType:destinationName] # mandatory -- include brackets\ndestinationType=destinationToBridgeTo1 ..."},"449":{y:0,u:"../users-guide/durables.conf.htm",l:-1,t:"durables.conf",i:0.00132768713749405,a:"This file defines static durable subscribers. \n   The file consists of lines with either of these formats: \n\t\t topic-name durable-name\n  [route]\n  [clientid=id]\n  [nolocal]\n  [selector=\"msg-selector\"] Example topic1 dName1\ntopic2 dName2 clientid=myId,nolocal\ntopic3 dName3 selector=\"urgency in ..."},"450":{y:0,u:"../users-guide/factories.conf.htm",l:-1,t:"factories.conf",i:0.00491903597557506,a:"This file defines the connection factories for the internal JNDI names. \n   The file consists of factory definitions with this format: \n\t\t [factory-name] # mandatory -- square brackets included\n  type = generic|xageneric|topic|queue|xatopic|xaqueue|\n  url = url-string\n  metric = connections | ..."},"451":{y:0,u:"../users-guide/groups.conf.htm",l:-1,t:"groups.conf",i:0.000388592569337367,a:"groups.conf This file defines all groups. The format of the file is: group-name1:\"description\"\n   user-name1\n   user-name2 group-name2:\"description\"\n   user-name1\n   user-name2 Example administrators: \"TIBCO Enterprise Message Service administrators\"\n   admin\n   Bob"},"452":{y:0,u:"../users-guide/jaas.conf.htm",l:-1,t:"jaas.conf",i:0.00024271570142149,a:"jaas.conf This file directs the TIBCO Enterprise Message Service server to the JAAS LoginModule.\n   See \n\t\t   Loading the LoginModule in the EMS Server  for more information about the \n\t\t  jaas.conf file.\n\t\t"},"453":{y:0,u:"../users-guide/queues.conf.htm",l:-1,t:"queues.conf",i:0.00112800414189937,a:"This file defines all queues.\n   The format of the file is:\n\t\t [jndi-name1, jndi-name2, ...]queue-name property1, property2, ... \n                Note that, while including JNDI names is optional, the square brackets [ ] must be included around JNDI names if they are included. For more information ..."},"454":{y:0,u:"../users-guide/routes.conf.htm",l:-1,t:"routes.conf",i:0.00175776789444826,a:"This file defines routes between this TIBCO Enterprise Message Service server and other TIBCO Enterprise Message Service servers. \n   \n                Routes may only be configured administratively, using the administration tool (see \n\t\t   Using the EMS Administration Tool ), or the administration ..."},"455":{y:0,u:"../users-guide/stores.conf.htm",l:-1,t:"stores.conf",i:0.000478058279610036,a:"This file defines the locations of stores where the EMS server will store messages or metadata (if the default \n\t $sys.meta definition is overridden). You can configure one or many stores in the \n\t stores.conf file. \n   Store parameters specific to file-based stores are described here. Database ..."},"456":{y:0,u:"../users-guide/tibrvcm.conf.htm",l:-1,t:"tibrvcm.conf",i:0.00191237723148984,a:"This file defines the TIBCO Rendezvous certified messaging (RVCM) listeners for use by topics that export messages to a \n\t tibrvcm transport. The server preregisters these listeners when the server starts up so that all messages (including the first message published) sent by way of the \n\t tibrvcm ..."},"457":{y:0,u:"../users-guide/topics.conf.htm",l:-1,t:"topics.conf",i:0.00122041192416596,a:"This file defines all topics. \n   The format of the file is: \n\t\t [jndi-name1, jndi-name2, ...]topic-name property1, property2, ... \n                Note that, while including JNDI names is optional, the square brackets [ ] must be included around JNDI names if they are included. For more information ..."},"458":{y:0,u:"../users-guide/transports.conf.htm",l:-1,t:"transports.conf",i:0.0043403350686038,a:"This file defines transports for importing messages from or exporting messages to TIBCO FTL and Rendezvous. \n   The format of the file is: \n\t\t [transport_name] # mandatory -- square brackets included\n   type = tibftl | tibrv | tibrvcm # mandatory\n   [topic_import_dm = TIBEMS_PERSISTENT ..."},"459":{y:0,u:"../users-guide/transport-specific-p.htm",l:-1,t:"Transport-specific Parameters",i:0.0039183291231059,a:"tibftl transports If \n\t\t  type = tibftl, the extended syntax is: \n\t\t    [endpoint = endpoint-name]\n   [import_subscriber_name = subscriber-name]\n   [import_match_string = {\"fieldname1\":value1,...,\"fieldnameN\":valueN}]\n   [export_format = format-name]\n   [export_constant = ..."},"460":{y:0,u:"../users-guide/users.conf.htm",l:-1,t:"users.conf",i:0.000970495016393638,a:"This file defines all users.\n   The format of the file is:\n\t\t username:password:\"description\" Example admin::\"Administrator\"\nBob::\"Bob Smith\"\nBill::\"Bill Jones\" After the server has started and passwords have been assigned, the file will look like this:\n\t\t ..."},"461":{y:0,u:"../users-guide/authentication-and-p.htm",l:-1,t:"Authentication and Permissions",i:0.00554288256244153,a:"You can create users and assign passwords to the users to control access to the EMS server. EMS can also be configured to use an external directory (such as an LDAP server, using provided JAAS modules) to control access to the server.\n   You can also assign permissions to users and groups to control ..."},"462":{y:0,u:"../users-guide/setting-up-ems-acces.htm",l:-1,t:"Setting up EMS Access Control",i:0.000228822666381883,a:"EMS supports two basic access levels: administrative and user. Administrator permissions control the ability of a user to login as an administrator to create, delete, or view the status of users, destinations, connections, factories, and so on. Administrators with the correct permissions can control ..."},"463":{y:0,u:"../users-guide/administrator-permis.htm",l:-1,t:"Administrator Permissions",i:0.00155359664622726,a:"Administrators are a special class of users that can manage the EMS server. Administrators create, modify, and delete users, destinations, routes, factories, and other items. In general, administrators must be granted permission to perform administration activities when using the Administration Tool ..."},"464":{y:0,u:"../users-guide/predefined-administr.htm",l:-1,t:"Predefined Administrative User and Group",i:0.000228822666381883,a:"There is a special, predefined user named \n\t admin that can perform any administrative action. You cannot grant or revoke any permissions to admin. You must assign a password for \n\t admin immediately after installation. \n   For more information about changing the \n\t\tadmin password, see \n\t\t When You ..."},"465":{y:0,u:"../users-guide/granting-and-revokin.htm",l:-1,t:"Granting and Revoking Administration Permissions",i:0.000228822666381883,a:"You grant and revoke administrator permissions to users using the \n\t grant and \n\t revoke commands in \n\t tibemsadmin, or by means of the Java or .NET administration API. You can either grant global administrator permissions or permissions on specific destinations. \n   See \n\t\t Global Administrator ..."},"466":{y:0,u:"../users-guide/enforcement-of-admin.htm",l:-1,t:"Enforcement of Administrator Permissions",i:0.000228822666381883,a:"An administrator can only perform actions for which the administrator has been granted permission. Any action that an administrator performs may be limited by the set of permissions granted to that administrator. \n   For example, an administrator has been granted the view permission on the \n\t\tfoo.* ..."},"467":{y:0,u:"../users-guide/global-administrator.htm",l:-1,t:"Global Administrator Permissions",i:0.000471950779575012,a:"Certain permissions allow administrators to perform global actions, such as creating users or viewing all queues. \n   The following table describes the global administrator permissions. \n\t\t \n                Any type of modification to an item requires that the user can view that item. Therefore, ..."},"468":{y:0,u:"../users-guide/destination-level-pe.htm",l:-1,t:"Destination-Level Permissions",i:0.000587682081851157,a:"Administrators can be granted permissions on each destination. Destination-level permissions control the administration functions a user can perform on a specific destination. Global permissions granted to a user override any destination-level permissions. \n   The typical use of destination-level ..."},"469":{y:0,u:"../users-guide/protection-permissio.htm",l:-1,t:"Protection Permissions",i:0.000277448289020508,a:"Protection permissions allow you to group users into administrative domains so that administrators can only perform actions within their domain. An administrator can only perform administrative operations on a user that has the same protection permission as the user. \n   There are four protection ..."},"470":{y:0,u:"../users-guide/enable-access-contro.htm",l:-1,t:"Enable Access Control",i:0.00251848760790929,a:"Enable Access Control Administrators can enable or disable access control for the server. Administrators can also enable and disable permission checking for specific destinations."},"471":{y:0,u:"../users-guide/server-control.htm",l:-1,t:"Server Control",i:0.000228822666381883,a:"The property in the main configuration file enables or disables the checking of permissions for all destinations managed by the server.\n   The \n\t\t authorization  property also enables or disables verification of user names and passwords.\n\t  \n            The default setting is \n\t\tdisabled. For secure ..."},"472":{y:0,u:"../users-guide/destination-control.htm",l:-1,t:"Destination Control",i:0.000272681071114761,a:"When server \n\t\t authorization  is enabled, the server checks user names and password of all connections without exceptions. However, operations on destinations, such as sending a message or receiving a message, are not verified unless the destination has enabled the \n\t\t secure  property on the ..."},"473":{y:0,u:"../users-guide/users-and-groups.htm",l:-1,t:"Users and Groups",i:0.000261239748140966,a:"User permissions apply to the activities a user can perform on each destination (topic and queue). Using permissions you can control which users have permission to send, receive, or browse messages for queues. You can also control who can publish or subscribe to topics, or who can create durable ..."},"474":{y:0,u:"../users-guide/users.htm",l:-1,t:"Users",i:0.000228822666381883,a:"Users are specific, named IDs that allow you to identify yourself to the server. When a client logs in, the connect request should be accompanied by a username and the password associated with the username. \n   \n            In special cases, you may wish to allow anonymous access to the server. In ..."},"475":{y:0,u:"../users-guide/groups.htm",l:-1,t:"Groups",i:0.000228822666381883,a:"Groups allow you to create classes of users. Groups make access control administration significantly simpler because you can grant and revoke permissions to large numbers of users with a single operation on the group. \n   Each user can belong to as many groups as necessary. A user’s permissions are ..."},"476":{y:0,u:"../users-guide/configure-an-externa.htm",l:-1,t:"Configure an External Directory",i:0.000261239748140966,a:"Configure an External Directory You can define user authentication and group information either in EMS server configuration files, or in an external directory (such as an LDAP server, using provided JAAS modules).\n  "},"477":{y:0,u:"../users-guide/external-user-authen.htm",l:-1,t:"External User Authentication",i:0.000228822666381883,a:"EMS can be configured to authenticate users stored in an external directory server, such as an LDAP server. \n   The parameter \n\t\tuser_auth in \n\t\t tibemsd.conf  guides the EMS server when authenticating users. When a user attempts to authenticate to the EMS server, this parameter specifies the source ..."},"478":{y:0,u:"../users-guide/group-information.htm",l:-1,t:"Group Information",i:0.000228822666381883,a:"Group Information Group information stored in an external directory can also be retrieved by the EMS server. Static and dynamic groups are supported and you can configure the EMS server to retrieve either or both."},"479":{y:0,u:"../users-guide/administration-comma.htm",l:-1,t:"Administration Commands and External Users and Groups",i:0.00058865558875945,a:"You can perform administrative commands on users and groups defined either locally (in the EMS server’s local configuration files) or through JAAS. Furthermore, you can combine users and groups that are defined in different locations (for example, you can grant and revoke permissions for users and ..."},"480":{y:0,u:"../users-guide/user-permissions.htm",l:-1,t:"User Permissions",i:0.00136208719356092,a:"User permissions are stored in the access control list and determine the actions a user can perform on a destination. A user’s permissions are the union of the permissions granted explicitly to that user along with any permissions the user receives by belonging to a group.\n   When granting user ..."},"481":{y:0,u:"../users-guide/queue-and-topic-perm.htm",l:-1,t:"Queue and Topic Permissions",i:0.000867630255681286,a:"The permissions that can be granted to users to access queues and topics are listed in the following tables. \n   Topic Permission Name \n\t\t\t\t Description \n\t\t\t\t subscribe permission to create non-durable subscribers on the topic \n\t\t\t\t publish permission to publish on the topic \n\t\t\t\t durable permission ..."},"482":{y:0,u:"../users-guide/example-of-setting-u.htm",l:-1,t:"Example of Setting User Permissions",i:0.000228822666381883,a:"The user \n\t\tbob has the following permission recorded in the \n\t\tacl.conf file: \n\t  USER=bob TOPIC=foo PERM=subscribe,publish This set of permissions means that \n\t\tbob can subscribe to topic \n\t\tfoo and publish messages to it, but \n\t\tbob cannot create durable subscribers to \n\t\tfoo. \n\t  If \n\t\tbob is a ..."},"483":{y:0,u:"../users-guide/inheritance-of-user-.htm",l:-1,t:"Inheritance of User Permissions",i:0.000460383736309072,a:"When you grant permissions to users for topics or queues with wildcard specifications, all created topics and queues that match the specification will have the same granted permissions as the permissions on the parent topic.\n   If there are multiple parent topics, the user receives the union of all ..."},"484":{y:0,u:"../users-guide/revoking-user-permis.htm",l:-1,t:"Revoking User Permissions",i:0.000228822666381883,a:"Administrators can revoke permissions for users to create consumers on a destination. Without permission, the user cannot create new consumers for a destination—however, existing consumers of the destination continue to receive messages.\n   You can only revoke a permission that is granted directly. ..."},"485":{y:0,u:"../users-guide/when-permissions-are.htm",l:-1,t:"When Permissions Are Checked",i:0.00107154097948662,a:"If permissions are enforced (that is, the \n\t\t authorization configuration property is set, and the \n\t\t secure property is set for the destination), the server checks them when a user attempts to perform an operation on a destination. For example, create a subscription to a topic, send a message to a ..."},"486":{y:0,u:"../users-guide/example-of-permissio.htm",l:-1,t:"Example of Permission Checking",i:0.000228822666381883,a:"This example walks through a scenario for granting and revoking permissions to a user, and describes what happens as various operations are performed. \n   User bob is working with a EMS application that subscribes to topics and displays any messages sent to those topics. \n\t\t User bob creates a ..."},"487":{y:0,u:"../users-guide/extensible-security.htm",l:-1,t:"Extensible Security",i:0.000506568100715614,a:"Extensible Security The following sections outline how to develop and implement custom authentication and permissions modules. \n  "},"488":{y:0,u:"../users-guide/overview-of-extensib.htm",l:-1,t:"Overview of Extensible Security",i:0.000228822666381883,a:"The extensible security feature allows you to use your own authentication and permissions systems, in addition to the prebuilt JAAS modules included in EMS, to authenticate users and authorize them to perform actions such as publish and subscribe operations. Developing custom applications to grant ..."},"489":{y:0,u:"../users-guide/how-extensible-secur.htm",l:-1,t:"How Extensible Security Works",i:0.000228822666381883,a:"Extensible security works by allowing you to write your own authentication and permissions modules, which run in a Java virtual machine (JVM) in the EMS server. The modules connect to the server using the Java Authentication and Authorization Service (JAAS) for authentication modules, and the Java ..."},"490":{y:0,u:"../users-guide/extensible-authentic.htm",l:-1,t:"Extensible Authentication",i:0.000713337241319702,a:"The extensible authentication feature uses the Java virtual machine (JVM) and the Java Authentication and Authorization Service (JAAS) to allow you to run your own Java-based authentication module in the EMS server.\n   Your authentication module, or LoginModule, runs in the JVM within the EMS ..."},"491":{y:0,u:"../users-guide/enable-extensible-au.htm",l:-1,t:"Enable Extensible Authentication",i:0.000228822666381883,a:"Extensible authentication is enabled in the EMS server, through parameters in the \n\t tibemsd.conf configuration file. The required parameters are:\n\t  authorization—directs the server to verify user credentials and permissions on secure destinations.\n\t\t user_auth—directs the EMS server to use the ..."},"492":{y:0,u:"../users-guide/prebuilt-authenticat.htm",l:-1,t:"Prebuilt Authentication Modules",i:0.000228822666381883,a:"TIBCO Enterprise Message Service includes several supported JAAS authentication modules that offer flexible authentication for the EMS server. The source files of the prebuilt modules are provided in \n\t  EMS_HOME/src/java/jaas, and provide an excellent template for developing custom modules. ..."},"493":{y:0,u:"../users-guide/writing-an-authentic.htm",l:-1,t:"Writing an Authentication Module",i:0.000228822666381883,a:"The LoginModule is a custom module that runs inside the EMS server within a JVM. The LoginModule is written using JAAS, a set of APIs provided by Sun Microsystems, and used to create plugable Java applications. JAAS provides the interface between your code and the EMS server. JAAS is a standard part ..."},"494":{y:0,u:"../users-guide/loginmodule-requirem.htm",l:-1,t:"LoginModule Requirements",i:0.000228822666381883,a:"In order to implement extensible authentication, you must write a LoginModule implementing the JAAS interface. \n\t  There are some requirements for a LoginModule that will run in the EMS server: \n\t  The LoginModule must accept the username and password from the EMS server by way of the \n\t\t  ..."},"495":{y:0,u:"../users-guide/load-the-loginmodule.htm",l:-1,t:"Load the LoginModule in the EMS Server",i:0.00123390988467981,a:"The EMS server locates and loads the LoginModule based on the contents of the configuration file specified by the \n\t\t jaas_config_file  parameter in the \n\t\t tibemsd.conf file. Usually, the JAAS configuration file is named \n\t\tjaas.conf. This file contains the configuration information used to invoke ..."},"496":{y:0,u:"../users-guide/extensible-permissio.htm",l:-1,t:"Extensible Permissions",i:0.000423325156936386,a:"The extensible permissions feature uses the Java virtual machine (JVM) and the Java Access Control Interface (JACI) to allow you to run your own Java-based permissions module in the EMS server.\n   Your Permissions Module runs in the JVM within the EMS server, and connects to \n\t\ttibemsd using the ..."},"497":{y:0,u:"../users-guide/cached-permissions.htm",l:-1,t:"Cached Permissions",i:0.000228822666381883,a:"In order to speed the authorization process, the EMS server caches responses received from the Permissions Module in two pools, the allow cache and the deny cache. Before invoking the Permissions Module, the server first checks these caches for a cache entry matching the user’s request."},"498":{y:0,u:"../users-guide/what-is-cached.htm",l:-1,t:"What is Cached",i:0.000228822666381883,a:"Each cache entry consists of a username and action, and the authorization result response from the Permissions Module. \n\t  Properties of cache entries: \n\t  The username is specific; the cached permission applies only to this user. \n\t\t The action is also specific. Only one action is included in each ..."},"499":{y:0,u:"../users-guide/how-long-permissions.htm",l:-1,t:"How Long Permissions are Cached",i:0.000228822666381883,a:"Permissions Module results also include timeouts, which determine how long the cache entry is kept in the cache before it expires.\n   When a timeout has expired, the entry is removed from the cache. Because these timeouts are assigned by the Permissions Module, you can control how often the ..."},"500":{y:0,u:"../users-guide/administer-the-cache.htm",l:-1,t:"Administer the Cache",i:0.000228822666381883,a:"Administer the Cache You can view and reset cache statistics, as well as clear all cache entries.\n   These commands are available in the administration tool:\n\t  jaci showstats jaci resetstats jaci clear"},"501":{y:0,u:"../users-guide/granting-permissions.htm",l:-1,t:"How Permissions are Granted",i:0.000408739127570667,a:"When an EMS client attempts to perform an action that requires permissions, the EMS server looks in several locations for authorization. \n   First, the server checks the \n\t\t\t acl.conf for authorization. This is the standard EMS mechanism for granting permissions, as is documented in \n\t\t\t  ..."},"502":{y:0,u:"../users-guide/durable-subscribers.htm",l:-1,t:"Durable Subscribers",i:0.000228822666381883,a:"When a durable subscriber is disconnected from the EMS server, the server continues to accumulate messages for the client. However, while the client is disconnected, there is no user associated with the durable subscriber. Because of this, the server cannot immediately check permissions for a ..."},"503":{y:0,u:"../users-guide/special-circumstance.htm",l:-1,t:"Special Circumstances",i:0.000228822666381883,a:"There are some special circumstances under which the request, although it is not exactly matched in the acl.conf file, will be denied without reference to either the permissions cache or the Permissions Module. Any request will be denied if, in the acl.conf The username exists but is not associated ..."},"504":{y:0,u:"../users-guide/implications-of-wild.htm",l:-1,t:"Implications of Wildcards on Permissions",i:0.000315681388751782,a:"A permission result from the Permissions Module can allow or deny the user authorization to perform the action on a range of destinations by including wildcards in the destination name.\n   For example, even though the application attempts to have user \n\t\tmwalton publish on topic \n\t\tfoo.bar.1, the ..."},"505":{y:0,u:"../users-guide/enable-extensible-pe.htm",l:-1,t:"Enable Extensible Permissions",i:0.000228822666381883,a:"Extensible permissions are enabled in the EMS server, through parameters in the \n\t tibemsd.conf configuration file.\n   The required parameters are:\n\t  authorization—enables authorization.\n\t\t jaci_class—specifies the class that implements the Permissions Module.\n\t\t security_classpath—specifies the ..."},"506":{y:0,u:"../users-guide/permissions-module.htm",l:-1,t:"Permissions Module",i:0.000499684625957264,a:"The Permissions Module is a custom module that runs inside the EMS server within a JVM. The Permissions Module is written using JACI, a set of APIs developed by TIBCO Software Inc. that you can use to create a Java module that will authorize EMS client requests. \n   JACI provides the interface ..."},"507":{y:0,u:"../users-guide/requirements.htm",l:-1,t:"Requirements",i:0.000228822666381883,a:"In order to implement extensible permissions, you must write a Permissions Module implementing the JACI interface. \n   There are some requirements for a Permissions Module that will run in the EMS server: \n\t  The Permissions Module must implement the JACI \n\t\t  Authorizer interface, which accepts ..."},"508":{y:0,u:"../users-guide/the-jvm-in-the-ems-s.htm",l:-1,t:"The JVM in the EMS Server",i:0.000293793482609809,a:"The Java virtual machine (JVM) is a virtual machine on the Java platform, capable of running inside the EMS server. \n   Select independent Java modules can operate in the JVM and plug into the EMS server. The JVM is required to use the following TIBCO Enterprise Message Service features: \n\t  ..."},"509":{y:0,u:"../users-guide/enable-the-jvm.htm",l:-1,t:"Enable the JVM",i:0.000623867041248964,a:"The Java virtual machine is enabled in the EMS server, through parameters in the \n\t tibemsd.conf configuration file. \n   The parameters that enable and configure the JVM are: \n\t  jre_library—enables the JVM. \n\t\t jre_option—allows you to pass standard JVM options, defined by Sun Microsystems, to the ..."},"510":{y:0,u:"../users-guide/jaas-authentication-.htm",l:-1,t:"JAAS Authentication Modules",i:0.000699328939821679,a:"JAAS Authentication Modules TIBCO provides several compiled and fully functional JAAS modules that can be used to enable LDAP and host-based authentication in the EMS server."},"511":{y:0,u:"../users-guide/overview-of-the-jaas.htm",l:-1,t:"Overview of the JAAS Authentication Modules",i:0.000228822666381883,a:"Overview of the JAAS Authentication Modules The JAAS Authentication modules are LoginModules that use the JVM in the EMS server to authenticate connections to the EMS server. Refer to  Extensible Authentication  for further information the use of JAAS in TIBCO Enterprise Message Service."},"512":{y:0,u:"../users-guide/prebuilt-jaas-module.htm",l:-1,t:"Prebuilt JAAS Modules",i:0.000228822666381883,a:"TIBCO Enterprise Message Service provides a number of JAAS modules that can be used with the EMS server. These default modules are very flexible, and offer a variety of configuration options to suit most needs. \n   An EMS server file, \n\t\ttibemsd-jaas.conf, that is preconfigured to use the prebuilt ..."},"513":{y:0,u:"../users-guide/custom-jaas-modules.htm",l:-1,t:"Custom JAAS Modules",i:0.00059435663813266,a:"The default JAAS modules included with your TIBCO Enterprise Message Service installation will accommodate most environments. However, sometimes specialized support for authentication is required. To support this, well-documented source-code is provided for all of the EMS JAAS modules in the ..."},"514":{y:0,u:"../users-guide/multiple-jaas-module.htm",l:-1,t:"Multiple JAAS Modules",i:0.000228822666381883,a:"The prebuilt JAAS modules support stacking, which provides great flexibility. Using multiple modules, you can direct the EMS server to check authentication using any arrangement of the modules. A common example would stack the LDAP Authentication module with the Host Based Authentication module to ..."},"515":{y:0,u:"../users-guide/authenticate-adminis.htm",l:-1,t:"Authenticate Administrative Connections",i:0.000228822666381883,a:"Administrative connections, such as those created by the EMS Administration Tool and the EMS administrative API, are authorized differently than client connections. When establishing an administrative connection, local authentication is always attempted before JAAS authentication. If the local ..."},"516":{y:0,u:"../users-guide/enabling-authenticat.htm",l:-1,t:"Enabling Authentication Using JAAS Modules",i:0.000256025878644197,a:"The JAAS modules are designed to be simple to use. \n   A default EMS server configuration file, \n\t\t  tibemsd-jaas.conf, is located with the other sample configuration files in the \n\t\t   EMS_HOME/samples/config directory. \n\t\t This file provides a default JAAS configuration that includes the ..."},"517":{y:0,u:"../users-guide/prebuilt-jaas-module2.htm",l:-1,t:"Prebuilt JAAS Modules",i:0.000256025878644197,a:"This section provides detailed descriptions of the prebuilt JAAS modules. \n   Configuration files for these modules are provided in the \n\t\t EMS_HOME/samples/config/jaas directory. \n\t  For the LDAP modules, properties added in the JAAS configuration file that do not begin with \n\t\ttibems are passed ..."},"518":{y:0,u:"../users-guide/ldap-simple-authenti.htm",l:-1,t:"LDAP Simple Authentication",i:0.000277448289020508,a:"The LDAP Simple Authentication module implements a very basic form of LDAP authentication. The module validates all connections (users, routes, and so on) by authenticating to the LDAP server. The authentication process uses the name and password that the application used when connecting to the EMS ..."},"519":{y:0,u:"../users-guide/authentication-proce4.htm",l:-1,t:"Authentication Process",i:0.000228822666381883,a:"Authentication Process The simple authentication login module creates a local LDAP context, binding to the LDAP server as a particular user with credentials from the incoming connection. The result of the bind dictates authentication success or failure."},"520":{y:0,u:"../users-guide/implementation2.htm",l:-1,t:"Implementation",i:0.000228822666381883,a:"The LDAP Simple Authentication module name is: \n\t com.tibco.tibems.tibemsd.security.jaas.LDAPSimpleAuthentication The JAAS configuration file entry for this login module should have a section similar to the following:\n\t  EMSUserAuthentication ..."},"521":{y:0,u:"../users-guide/parameters2.htm",l:-1,t:"Parameters",i:0.000228822666381883,a:"Parameters The LDAP Simple Authentication Module parameters are listed in the following table. \n  "},"522":{y:0,u:"../users-guide/ldap-authentication.htm",l:-1,t:"LDAP Authentication",i:0.000277448289020508,a:"The LDAP Authentication login module is a more fully featured LDAP authentication module. This module validates all connections (users, routes, and so on) by authenticating to the LDAP server using the supplied credentials. This EMS JAAS module keeps one lookup context open using a manager context, ..."},"523":{y:0,u:"../users-guide/authentication-proce3.htm",l:-1,t:"Authentication Process",i:0.000228822666381883,a:"This implementation queries LDAP, and optionally a user cache, to authenticate a user. A context with LDAP manager credentials is first used to look up a user and retrieve the complete distinguished name of the user\u0027s entry. If the user exists, a separate LDAP context is then created to authenticate ..."},"524":{y:0,u:"../users-guide/implementation.htm",l:-1,t:"Implementation",i:0.000228822666381883,a:"The LDAP Authentication module name is: \n\t com.tibco.tibems.tibemsd.security.jaas.LDAPAuthentication. The JAAS configuration file entry for this login module should have a section similar to the following:\n\t  EMSUserAuthentication {\n com.tibco.tibems.tibemsd.security.jaas.LDAPAuthentication ..."},"525":{y:0,u:"../users-guide/parameters3.htm",l:-1,t:"Parameters",i:0.000228822666381883,a:"Parameters The LDAP Authentication Module parameters are listed in the following table. \n  "},"526":{y:0,u:"../users-guide/ldap-group-user-auth.htm",l:-1,t:"LDAP Group User Authentication",i:0.000277448289020508,a:"The LDAP Group User Authentication module extends the full featured LDAP Authentication module and provides additional group information to the EMS server. This module validates all connections (users, routes, and so on) by authenticating to the LDAP server using the supplied credentials, and then ..."},"527":{y:0,u:"../users-guide/authentication-proce5.htm",l:-1,t:"Authentication Process",i:0.000228822666381883,a:"The Group User LDAP module authenticates a user just as the LDAP Authentication module does, but will make additional requests to garner group membership information from LDAP and update the EMS server for authorization purposes. For example, consider a user \"Joe\", who belongs to the \"Engineering\" ..."},"528":{y:0,u:"../users-guide/implementation4.htm",l:-1,t:"Implementation",i:0.000228822666381883,a:"The LDAP Group User Authentication module name is: \n\t com.tibco.tibems.tibemsd.security.jaas.LDAPGroupUserAuthentication The JAAS configuration file entry for this module should have an entry similar to:\n\t  EMSUserAuthentication ..."},"529":{y:0,u:"../users-guide/parameters4.htm",l:-1,t:"Parameters",i:0.000228822666381883,a:"Parameters In addition to all parameters available for the LDAP Authentication module, which are described in the following table, the following parameters are supported:\n  "},"530":{y:0,u:"../users-guide/host-based-authentic.htm",l:-1,t:"Host Based Authentication",i:0.000277448289020508,a:"The Host Based Authentication module authenticates a user based on the IP address or host name that is associated with their client connection during authentication. When enabled, the IP address of the incoming connection is evaluated against a whitelist of IP addresses and/or IP masks. If any of ..."},"531":{y:0,u:"../users-guide/authentication-proce2.htm",l:-1,t:"Authentication Process",i:0.000228822666381883,a:"When a client connects to the EMS server, this module compares the IP address with the specified IP net/prefix list, if configured. If that is not successful, then the hostname is compared with the list of hostnames or domain names. Should none of the above succeed, authentication fails. \n           ..."},"532":{y:0,u:"../users-guide/implementation3.htm",l:-1,t:"Implementation",i:0.000228822666381883,a:"The Host Based Authentication module name is: \n\t com.tibco.tibems.tibemsd.security.jaas.HostBasedAuthentication The JAAS configuration file entry for this login module should have a section similar to the following: \n\t  EMSUserAuthentication ..."},"533":{y:0,u:"../users-guide/parameters5.htm",l:-1,t:"Parameters",i:0.000228822666381883,a:"Parameters The Host Based Authentication Module parameters are listed in the following table. \n  "},"534":{y:0,u:"../users-guide/connection-limit-aut.htm",l:-1,t:"Connection Limit Authentication",i:0.000228822666381883,a:"Connection Limit Authentication The Connection Limit Authentication module limits the number of active connections a user can have at any one time."},"535":{y:0,u:"../users-guide/authentication-proce.htm",l:-1,t:"Authentication Process",i:0.000228822666381883,a:"When a client connects, the user name is identified and then authenticated based on the number of connections open for that user. If the number of connections is less than the configured limit, the user is authenticated successfully, and the internal connection count is incremented. When a user ..."},"536":{y:0,u:"../users-guide/implementation5.htm",l:-1,t:"Implementation",i:0.000228822666381883,a:"The Connection Limit Authentication module name is: \n\t com.tibco.tibems.tibemsd.security.jaas.ConnectionLimitAuthentication The JAAS configuration file entry for this login module should have a section similar to the following: \n\t  EMSUserAuthentication {\n ..."},"537":{y:0,u:"../users-guide/parameters.htm",l:-1,t:"Parameters",i:0.000228822666381883,a:"Parameters The Host Based Authentication Module parameters are listed in the following table. \n  "},"538":{y:0,u:"../users-guide/using-multiple-jaas-.htm",l:-1,t:"Using Multiple JAAS Modules",i:0.000423325156936386,a:"You can stack the provided JAAS modules to suit your environment and authentication needs. There are no restrictions on which or how many modules can be stacked. \n   To stack multiple JAAS modules, include the desired module configurations and JAAS flags in the same configuration file that is ..."},"539":{y:0,u:"../users-guide/example-two-authenti.htm",l:-1,t:"Example: Two Authentication Requirements",i:0.000228822666381883,a:"In this example, a user is authenticated based on network location. If that succeeds, the user is then authenticated using LDAP credentials. Both must succeed for the user to be authenticated.\n   This behavior is controlled by the requisite \n\t\tFlag.\n\t  EMSUserAuthentication ..."},"540":{y:0,u:"../users-guide/example-one-authenti.htm",l:-1,t:"Example: One Authentication is Sufficient",i:0.000228822666381883,a:"In this example, a user is authenticated against multiple LDAP branches. If authentication fails in the first branch, the second is tried. Only one module instance needs to succeed for the user to be authenticated. This behavior is controlled by the sufficient Flag. EMSUserAuthentication ..."},"541":{y:0,u:"../users-guide/migrating-to-the-ems.htm",l:-1,t:"Migrating to the EMS JAAS Modules",i:0.000228822666381883,a:"Servers earlier than EMS 8.7 used to support user LDAP authentication within the EMS server through a set of server properties that started with \n\t ldap_. Migrating from this now unsupported authentication mechanism to the JAAS modules is relatively straightforward. Many of the parameters directly ..."},"542":{y:0,u:"../users-guide/former-ems-server-ld.htm",l:-1,t:"Former EMS Server LDAP Parameter to JAAS Module Parameter Mapping",i:0.000228822666381883,a:"When parameters have an exact equivalent, as indicated in the notes column, the same values from the Former EMS Server LDAP parameters can be used in the JAAS modules, except that the JAAS modules expect parameter values to be enclosed in quotes. \n  "},"543":{y:0,u:"../users-guide/parameters-requiring.htm",l:-1,t:"Parameters Requiring Conversion",i:0.0004300321393693,a:"ldap_conn_type The connection type is indirectly supported by the JAAS modules through the protocol portion of the LDAP URL. \n\t\t ldap:// creates a TCP connection. \n\t\t   ldaps:// creates a TLS connection. \n\t\t   If the \n\t\t  startTLS LDAP extension is required, additional JNDI parameters may be ..."},"544":{y:0,u:"../users-guide/dynamic-groups.htm",l:-1,t:"Dynamic Groups",i:0.000228822666381883,a:"Dynamic groups in LDAP should normally behave similarly to static groups in LDAP. However, some LDAP implementations require a modified search algorithm.\n   In order to perform this type of search with the JAAS modules, set the parameter:\n\t  tibems.ldap.dynamic_group_search_direct=\"true\" It is ..."},"545":{y:0,u:"../users-guide/example2.htm",l:-1,t:"Example",i:0.000266590270347494,a:"This section provides a walk through converting an existing set of pre-EMS 8.7 LDAP parameters using the LDAP Group User Authentication login module. \n   Set the \n\t\t   jre_library parameter to enable the JVM. \n\t\t   For more information, see \n\t\t\t  The JVM in the EMS Server . \n\t\t   Set the \n\t\t   ..."},"546":{y:0,u:"../users-guide/troubleshooting-prob.htm",l:-1,t:"Troubleshooting Problems in the JAAS Modules",i:0.000228822666381883,a:"In order to troubleshoot JAAS modules, \n   Add JAAS to the EMS server trace options in the main server configuration file: \n\t\t   console_trace = DEFAULT,+JAAS,+JVM,+JVMERR Enable debugging in the JAAS module itself, by setting the debug parameter to true: \n\t\t   EMSUserAuthentication { ..."},"547":{y:0,u:"../users-guide/database-stores.htm",l:-1,t:"Database Stores",i:0.000915371851052281,a:"Database Stores  You can configure the TIBCO Enterprise Message Service server to store messages in a database. \n   The following topics describe database stores. For more information about file-based stores, see \n\t\t Store Messages in Multiple Stores . \n\t "},"548":{y:0,u:"../users-guide/database-stores-over.htm",l:-1,t:"Database Stores Overview",i:0.000228822666381883,a:"The EMS server can connect to a database, and store messages in one or more database instances. The server connects to the database using Hibernate Core for Java to interface between the database and the EMS server. \n   On certain platforms, the optional database store feature requires the ..."},"549":{y:0,u:"../users-guide/Configure-Deploy-Database-Stores.htm",l:-1,t:"Configure and Deploy Database Stores",i:0.000228822666381883,a:"This section describes the steps required to configure and deploy database stores.\nFor general conceptual information about the multiple store feature, see  Store Messages in Multiple Stores .\n Settings for creating and configuring database stores are managed in the EMS server, and are transparent ..."},"550":{y:0,u:"../users-guide/configuration-in-tib.htm",l:-1,t:"Configuration in tibemsd.conf",i:0.000318618093349603,a:"Configuration in tibemsd.conf These parameters are set in the \n\t\t tibemsd.conf configuration file.\n\t "},"551":{y:0,u:"../users-guide/dbstore-classpath.htm",l:-1,t:"dbstore_classpath",i:0.000228822666381883,a:" Includes all the JAR files required by the EMS server when employing the database store feature. This parameter must be set when a store of type \n\t dbstore has been created in the \n\t stores.conf file. \n   dbstore_classpath = pathname Required JAR files are determined by the installed Hibernate ..."},"552":{y:0,u:"../users-guide/supported-database-d.htm",l:-1,t:"Supported Database Drivers",i:0.000228822666381883,a:"Supported Database Drivers"},"553":{y:0,u:"../users-guide/dbstore-driver-name.htm",l:-1,t:"dbstore_driver_name",i:0.000228822666381883,a:"Specifies the name of the JDBC driver used by Hibernate. \n   dbstore_driver_name = name For example: \n\t\t If you are using the Microsoft SQL Server: \n\t\t\t  dbstore_driver_name= com.microsoft.sqlserver.jdbc.SQLServerDriver If you are using Oracle: \n\t\t\t  ..."},"554":{y:0,u:"../users-guide/dbstore-driver-diale.htm",l:-1,t:"dbstore_driver_dialect",i:0.000228822666381883,a:"Specifies the Hibernate SQL dialect used to construct SQL commands.\n   dbstore_driver_dialect = dialect For example, if you are using the Oracle:\n\t\t dbstore_driver_dialect = org.hibernate.dialect.Oracle10gDialect The SQL dialect is defined by Hibernate. For a list of databases and the associated ..."},"555":{y:0,u:"../users-guide/configuration-in-sto.htm",l:-1,t:"Configuration in stores.conf",i:0.000386344281837047,a:"This section describes parameters configured for each database store in the \n\t stores.conf file. The \n\t stores.conf includes definitions for both database and file-based stores. \n   For information about configuring file-based stores, see  stores.conf. \n\t\t The format of the file is: \n\t\t [store_name] ..."},"556":{y:0,u:"../users-guide/configuration-to-det.htm",l:-1,t:"Configuration to Detect Database Unavailability",i:0.000228822666381883,a:"If the database becomes unresponsive or unreachable, the JDBC driver does not automatically notify the EMS server of that situation until the operating system\u0027s TCP keep-alive mechanism kicks in, which usually defaults to a delay of 2 hours.\n   To expedite the notification of such a situation, you ..."},});