define({"557":{y:0,u:"../users-guide/configuration-for-th.htm",l:-1,t:"Configuration for the Oracle RAC Database",i:0.000283555789055533,a:"Configuration for the Oracle RAC Database The TIBCO Enterprise Message Service server must connect to the Oracle RAC database using the Oracle JDBC OCI driver and TAF configuration. \n  "},"558":{y:0,u:"../users-guide/installing-the-oci-d.htm",l:-1,t:"Installing the OCI Driver",i:0.000228822666381883,a:"Installing the OCI Driver We recommend using the Oracle Instant Client, which is an optimized light-weight OCI driver package available from Oracle:\n   www.oracle.com/technetwork/database/features/instant-client/index.html Follow the instructions provided to install the Oracle Instant Client.\n\t\t"},"559":{y:0,u:"../users-guide/using-a-taf-configur.htm",l:-1,t:"Using a TAF Configured URL",i:0.000283555789055533,a:"To ensure that the EMS server does not lose its connection to the database during a database failover, the server should connect to the database using a Transparent Application Failover (TAF) configured URL. For example: ..."},"560":{y:0,u:"../users-guide/ems-schema-export-to.htm",l:-1,t:"EMS Schema Export Tool",i:0.000248272915437333,a:"Each database store that is configured for an EMS server includes a configuration parameter pointing to a database. The EMS Schema Export Tool creates and exports database tables for the database stores. Database administrators can use the Schema Export Tool to selectively export and tune schemas to ..."},"561":{y:0,u:"../users-guide/how-the-schema-expor.htm",l:-1,t:"How the Schema Export Tool Works",i:0.000228822666381883,a:"When it is invoked, the Schema Export Tool accepts the \n\t tibemsd.conf or \n\t tibemsd.json file and reviews the database store parameters, then parses the stores configured, either in the \n\t stores.conf file or in the JSON configuration file. Depending on the options specified when it was invoked, ..."},"562":{y:0,u:"../users-guide/running-the-schema-e.htm",l:-1,t:"Running the Schema Export Tool",i:0.000228822666381883,a:"The Schema Export Tool is invoked from the command line. The tool can be invoked from its directory, or by giving the absolute path to the \n\t tibems_util.jar file. \n    For example: \n\t  On Windows \u003e java -jar EMS_HOME\\bin\\tibemsd_util.jar options On UNIX $ java -jar EMS_HOME/bin/tibemsd_util.jar ..."},"563":{y:0,u:"../users-guide/ems-schema-export-to2.htm",l:-1,t:"EMS Schema Export Tool Options",i:0.000299167844294153,a:"The following table shows the options that are used with the Schema Export Tool. \n   Examples The following examples show how the Schema Export Tool can be used to create database schemas in various configurations. \n\t\t Example 1\n\t\t   This example shows how the Schema Export Tool can be invoked from ..."},"564":{y:0,u:"../users-guide/developing-an-ems-cl.htm",l:-1,t:"Developing an EMS Client Application",i:0.000228822666381883,a:"Developing an EMS Client Application The following topics outline the development of EMS client applications in Java, C, and C#. \n  "},"565":{y:0,u:"../users-guide/jms-specification.htm",l:-1,t:"JMS Specification",i:0.000228822666381883,a:"Jakarta Messaging Specification EMS implements the Jakarta Messaging 2.0 and 3.0 specifications, which are backward compatible with earlier versions of the specification.\n   While the old JMS 1.0.2b interfaces are still supported, newly developed applications should use the JMS 2.0 or 1.1 interfaces ..."},"566":{y:0,u:"../users-guide/jms-3.0.0-spec.htm",l:-1,t:"JMS 2.0 Specification",i:0.000228822666381883,a:"Jakarta Messaging 3.0.0 Specification Jakarta EE, formerly Java EE, has renamed the javax.jms package into jakarta.jms with the Jakarta EE 9 release. The Jakarta Messaging 3.0 specification reflects the corresponding change of namespace. EMS implements both Jakarta Messaging 2.0 (javax.jms ..."},"567":{y:0,u:"../users-guide/jms-2.0.3-spec.htm",l:-1,t:"JMS 2.0 Specification",i:0.000228822666381883,a:"Jakarta Messaging 2.0.3 Specification The JMS specification has been renamed Jakarta Messaging specification as part of Jakarta EE, which has been moved to the Eclipse Foundation. The changes introduced in JMS 2.0.1 and Jakarta Messaging 2.0.2 and 2.0.3 are mostly cosmetic, such as the replacement ..."},"568":{y:0,u:"../users-guide/jms-2.0-specificatio.htm",l:-1,t:"JMS 2.0 Specification",i:0.000228822666381883,a:"The JMS 2.0 specification introduces several new features, including delivery delay, shared subscriptions, asynchronous sending and the Simplified API. \n   The Simplified API is offered in addition to the API originally provided with JMS 1.1, which is now called the Classic API. The Simplified API ..."},"569":{y:0,u:"../users-guide/jms-1.1-specificatio.htm",l:-1,t:"JMS 1.1 Specification",i:0.000228822666381883,a:"In the JMS 1.1 specification, applications using the point to point (queues) or publish and subscribe (topics) models use the same interfaces to create objects. The  specification refers to these interfaces as common facilities because these interfaces create objects that can be used for either ..."},"570":{y:0,u:"../users-guide/jms-1.0.2b-specifica.htm",l:-1,t:"JMS 1.0.2b Specification",i:0.000228822666381883,a:"JMS 1.0.2b Specification The JMS 1.0.2b specification defined specific interfaces for topics and for queues. The JMS 1.0.2b interfaces have the same structure as the JMS 1.1 common facilities, but the interfaces are specific to topics or queues."},"571":{y:0,u:"../users-guide/sample-clients.htm",l:-1,t:"Sample Clients",i:0.000228822666381883,a:"TIBCO Enterprise Message Service includes several sample client applications that illustrate various features of EMS. You may wish to view these sample clients when reading about the corresponding features in this manual. \n   The samples are included in the \n\t\t EMS_HOME/samples/java, \n\t\t ..."},"572":{y:0,u:"../users-guide/programmer-checklist.htm",l:-1,t:"Programmer Checklists",i:0.000228822666381883,a:"Programmer Checklists This section provides a checklist that outlines the steps for creating an EMS application in each language: Java Programmer’s Checklist C Programmer’s Checklist C# Programmer’s Checklist"},"573":{y:0,u:"../users-guide/java-programmers-ch.htm",l:-1,t:"Java Programmer’s Checklist",i:0.00029365682990005,a:"Install Install the EMS software release, which automatically includes the EMS jar files in the \n\t\t\t  EMS_HOME/lib subdirectory. \n\t\t   Add the full pathnames for the following jar files to your \n\t\t\t CLASSPATH: \n\t\t\t  jakarta.jms-api-2.0.3.jar tibjms.jar Programs that use the unshared state failover ..."},"574":{y:0,u:"../users-guide/c-programmers-check.htm",l:-1,t:"C Programmer’s Checklist",i:0.00324643329157744,a:"Developers of EMS C programs can use this checklist during the five phases of the development cycle. \n   Install Install the EMS software release, which includes the EMS client libraries, binaries, and header files. \n\t\t Code Application programs must: \n\t\t Add \n\t\t\t  EMS_HOME/include to the include ..."},"575":{y:0,u:"../users-guide/c-programmers-chec.htm",l:-1,t:"C# Programmer’s Checklist",i:0.00029365682990005,a:"Developers of EMS C# programs can use this checklist during the four phases of the development cycle. \n   The EMS .NET client libraries are built to the .NET Standard 2.0 specification. They can be used to build both .NET Framework applications, which can only run on Windows, and .NET Core ..."},"576":{y:0,u:"../users-guide/assembly-versioning.htm",l:-1,t:"Assembly Versioning in the Windows .NET Framework Environment",i:0.000478435300877407,a:"TIBCO Enterprise Message Service assembly DLLs are versioned using the format 1.0.release.version, where \n\t release is the EMS release number and \n\t version is an arbitrary value. For example, the assembly version number for software release 8.7.0 is similar to 1.0.870.3. \n   Automatic Upgrades ..."},"577":{y:0,u:"../users-guide/excluded-features-an.htm",l:-1,t:"Excluded Features and Restrictions",i:0.000228822666381883,a:"This section summarizes features that are not available in the .NET library. \n   Character Encoding .NET programs represent strings within messages as byte arrays. Before sending an outbound message, EMS programs translate strings to their byte representation using an encoding, which the program ..."},"578":{y:0,u:"../users-guide/connection-factories.htm",l:-1,t:"Connection Factories",i:0.000482224560645542,a:"A client must connect to a running instance of the EMS server to perform any Jakarta Messaging operations. A connection factory is an object that encapsulates the data used to define a client connection to an EMS server. The minimum factory parameters are the type of connection and the URL for the ..."},"579":{y:0,u:"../users-guide/looking-up-connectio.htm",l:-1,t:"Looking up Connection Factories",i:0.000228822666381883,a:"EMS provides a JNDI implementation that can be used to store connection factories. Java, C, and C# clients can use the EMS JNDI implementation to lookup connection factories.\n   You can also store connection factories in any JNDI-compliant naming service or in an LDAP server. Java clients can lookup ..."},"580":{y:0,u:"../users-guide/dynamically-creating.htm",l:-1,t:"Dynamically Creating Connection Factories",i:0.000358490993418218,a:"Normally client applications use JNDI to look up a Connection Factory object. However, some situations require clients to connect to the server directly. To connect to the EMS server directly, the application must dynamically create a connection factory. \n   The following examples show how to create ..."},"581":{y:0,u:"../users-guide/set-connection-attem.htm",l:-1,t:"Set Connection Attempts, Timeout and Delay Parameters",i:0.00189947468952627,a:"Set Connection Attempts, Timeout, and Delay Parameters By default, a client will attempt to connect to the server two times with a 500 ms delay between each attempt. \n   A client can modify this behavior by setting new connection attempt count and delay values. There are also a number of factors ..."},"582":{y:0,u:"../users-guide/connect-to-the-ems-s.htm",l:-1,t:"Connect to the EMS Server",i:0.000298114592998391,a:"A connection with the EMS server is defined by the Connection object obtained from a Connection Factory. \n   For more information, see \n\t\t Connection Factories . \n\t  A connection is a fairly heavyweight object, so most clients will create a connection once and keep it open until the client exits. ..."},"583":{y:0,u:"../users-guide/start-stop-and-clos.htm",l:-1,t:"Start, Stop and Close a Connection",i:0.000228822666381883,a:"Before consuming messages, the Message Consumer client must \"start\" the connection. If you wish to temporarily suspend message delivery, you can \"stop\" the connection. When a client application exits, all open connections must be \"closed.\"\n   See \n\t\t Create a Message Consumer  for more details about ..."},"584":{y:0,u:"../users-guide/create-a-session.htm",l:-1,t:"Create a Session",i:0.000520217331478394,a:"A Session is a single-threaded context for producing or consuming messages. You create Message Producers or Message Consumers using Session objects. \n   A Session can be transactional to enable a group of messages to be sent and received in a single transaction. A non-transactional Session can ..."},"585":{y:0,u:"../users-guide/set-an-exception-lis.htm",l:-1,t:"Set an Exception Listener",i:0.000588970565757161,a:"All the APIs support the ability to set an exception listener on the connection that gets invoked when a connection breaks or experiences a fault-tolerant failover. \n   When the event is a disconnect, the exception handler can call various EMS methods without any problem. However, when the event is ..."},"586":{y:0,u:"../users-guide/dynamically-create-t.htm",l:-1,t:"Dynamically Create Topics and Queues",i:0.000852947334914489,a:"EMS provides a JNDI implementation that can be used to store topics and queues. Java, C, and C# clients can use the EMS JNDI implementation to lookup topics and queues. \n   You can also store topics and queues in any JNDI-compliant naming service or in an LDAP server. Java clients can lookup topics ..."},"587":{y:0,u:"../users-guide/create-a-message-pro.htm",l:-1,t:"Create a Message Producer",i:0.000383625782060212,a:"A \n\t Message Producer is an EMS client that either publishes messages to a topic or sends messages to a queue. When working with topics, a Message Producer is commonly referred to as a \n\t Publisher. \n   Optionally, when creating a Message Producer, you can set the destination to NULL and specify the ..."},"588":{y:0,u:"../users-guide/configure-a-message-.htm",l:-1,t:"Configure a Message Producer",i:0.00059454070129817,a:"A message producer can be configured to generate messages with default headers and properties that define how those messages are to be routed and delivered. \n   Specifically, you can: \n\t  Set the producer\u0027s default delivery mode. \n\t\t Set whether message IDs are disabled. \n\t\t Set whether message ..."},"589":{y:0,u:"../users-guide/create-a-completion-.htm",l:-1,t:"Create a Completion Listener for Asynchronous Sending",i:0.000423325156936386,a:"TIBCO Enterprise Message Service provides APIs for a Message Producer to send messages either synchronously or asynchronously. For asynchronous sending, you need to implement a \n\t CompletionListener that serves as an asynchronous event handler for message send result notification. \n   A completion ..."},"590":{y:0,u:"../users-guide/create-a-message-con.htm",l:-1,t:"Create a Message Consumer",i:0.0011937282994307,a:"Message consumers are clients that receive messages published to a topic or sent to a queue. When working with topics, a Message Consumer is commonly referred to as a \n\t Subscriber. \n   A Message Consumer can be created with a \"message selector\" that restricts the consumption of message to those ..."},"591":{y:0,u:"../users-guide/create-a-message-lis.htm",l:-1,t:"Create a Message Listener for Asynchronous Message Consumption",i:0.000550168953953973,a:"EMS allows a Message Consumer to consume messages either synchronously or asynchronously. For synchronous consumption, the Message Consumer explicitly calls a receive method on the topic or queue. For asynchronous consumption, you can implement a \n\t Message Listener that serves as an asynchronous ..."},"592":{y:0,u:"../users-guide/messages.htm",l:-1,t:"Messages",i:0.000228822666381883,a:"Messages Messages are a self-contained units of information used by Jakarta Messaging applications to exchange data or request operations."},"593":{y:0,u:"../users-guide/create-messages.htm",l:-1,t:"Create Messages",i:0.000228822666381883,a:"As described in  Jakarta Messaging Message Bodies \t\t, EMS works with the following types of messages: \n\t  Messages with no body \n\t\t Text Messages \n\t\t Map Messages \n\t\t Bytes Messages \n\t\t Stream Messages \n\t\t Object Messages \n\t\t There is a separate create method for each type of message. \n\t  The ..."},"594":{y:0,u:"../users-guide/set-and-get-message-.htm",l:-1,t:"Set and Get Message Properties",i:0.000228822666381883,a:"Before a client sends a message, it can use a \"set property\" method to set the message properties. The client can check the message properties with a \"get property\" method. \n   For more information on message properties, see \n\t\t EMS Message Properties . \n\t  Java \n\t\t  Use the \n\t\t\t  Message object’s ..."},"595":{y:0,u:"../users-guide/send-messages.htm",l:-1,t:"Send Messages",i:0.000910583823616151,a:"Use a Message Producer client to send messages to a destination. You can either send a message to the destination specified by the Message Producer or, if the Message Producer specifies NULL as the destination, you can send a message to a specific destination. \n   In either case, you can optionally ..."},"596":{y:0,u:"../users-guide/receive-messages.htm",l:-1,t:"Receive Messages",i:0.000326073911659134,a:"A Message Consumer receives messages from a destination and acknowledges the receipt of messages using the mode established for the session, as described in \n\t\t Create a Session . \n\t  Before receiving messages, the Message Consumer must start the connection to the EMS server. Before exiting, the ..."},"597":{y:0,u:"../users-guide/the-ems-implementati.htm",l:-1,t:"The EMS Implementation of JNDI",i:0.000423325156936386,a:"The EMS server provides a implementation of JNDI that enables you to lookup connection factories, topics and queues, which are collectively referred to as administered objects. Java clients can look up administered objects stored in EMS using standard JNDI calls. The C and C# APIs provide similar ..."},"598":{y:0,u:"../users-guide/create-and-modify-ad.htm",l:-1,t:"Create and Modify Administered Objects in EMS",i:0.000326073911659134,a:"You can create administered objects for storage in EMS using either the administration tool or the administration APIs, or directly in the configuration files. This section describes how to create administered objects using the administration tool. \n   To create a connection factory, use the \n\t\t ..."},"599":{y:0,u:"../users-guide/create-connection-fa2.htm",l:-1,t:"Create Connection Factories for Secure Connections",i:0.000460065252897067,a:"This topic describes how to create a static connection factory for establishing a TLS connection. \n   Similar TLS parameters must be used when looking up the connection factory, as described in \n\t\t Perform Secure Lookups . \n\t  Connections that are to be secured using TLS identify the transport ..."},"600":{y:0,u:"../users-guide/create-connection-fa.htm",l:-1,t:"Create Connection Factories for Fault-Tolerant Connections",i:0.000228822666381883,a:"When connecting a fault-tolerant client to EMS, you must specify two or more EMS servers in your connection factory. When creating a connection factory for a fault-tolerant client, specify multiple server URLs in the \n\t url argument of the create factory command. \n   For example, to create a generic ..."},"601":{y:0,u:"../users-guide/look-up-administered.htm",l:-1,t:"Look up Administered Objects Stored in EMS",i:0.000446911071292316,a:"You can lookup objects from an EMS server by name. All clients can lookup objects in the EMS naming service. Alternatively, Java applications can lookup objects in a third-party JNDI server, and C# clients can lookup objects in a third-party LDAP server. \n   To lookup administered objects stored in ..."},"602":{y:0,u:"../users-guide/look-up-objects-usin.htm",l:-1,t:"Look Up Objects Using Full URL Names",i:0.000228822666381883,a:"Java clients can look up administered objects using full URL names. In this case, the \n\t Context.URL_PKG_PREFIXES property is used in place of the \n\t Context.PROVIDER_URL property. \n   For example: \n\t  Hashtable env = new ..."},"603":{y:0,u:"../users-guide/perform-secure-looku.htm",l:-1,t:"Perform Secure Lookups",i:0.000456256688791895,a:"TIBCO Enterprise Message Service client programs can perform secure JNDI lookups using the Transport Layer Security (TLS) protocol. To accomplish this, the client program must set TLS properties in the environment when the \n\t InitialContext is created. The TLS properties are similar to the TLS ..."},"604":{y:0,u:"../users-guide/perform-fault-tolera.htm",l:-1,t:"Perform Fault-Tolerant Lookups",i:0.00149358327694741,a:"TIBCO Enterprise Message Service can perform fault-tolerant JNDI lookups. If the active server fails and the standby server becomes active, the JNDI provider automatically uses the new active server for JNDI lookups. You accomplish this by providing multiple URLs in the \n\t Context.PROVIDER_URL ..."},"605":{y:0,u:"../users-guide/interoperation-with-2.htm",l:-1,t:"Interoperation with TIBCO FTL",i:0.00147426918322256,a:"TIBCO Enterprise Message Service can exchange messages with supported versions of TIBCO FTL. Scope EMS can import and export messages to TIBCO FTL through an EMS \n\t\t\t topic. \n\t\t   EMS can import messages from TIBCO FTL to an EMS \n\t\t\t queue (but queues cannot export). \n\t\t   \n                    Do ..."},"606":{y:0,u:"../users-guide/message-translation2.htm",l:-1,t:"Message Translation",i:0.000228822666381883,a:"Message Translation EMS and TIBCO FTL use different formats for messages and their data.\n   When \n\t\ttibemsd imports or exports a messages, it translates the message and its data to the appropriate format; for details, see \n\t\t Message Translation .\n\t "},"607":{y:0,u:"../users-guide/configuration.htm",l:-1,t:"Configuration",i:0.000228822666381883,a:"Configuration In classic EMS configuration, the \n\t tibemsd uses definitions and parameters in three configuration files to guide the exchange of messages with TIBCO FTL. In JSON-configured servers, all configuration options are in the same file. \n  "},"608":{y:0,u:"../users-guide/enabling.htm",l:-1,t:"Enabling",i:0.000228822666381883,a:"An EMS server is part of exactly one FTL realm, so all EMS transports for TIBCO FTL use the same TIBCO FTL realm. Thus, some parameters are shared for every EMS transport instance. These parameters are found in \n\t tibemsd.conf. \n   To enable EMS transports for TIBCO FTL, you must set these ..."},"609":{y:0,u:"../users-guide/transports.htm",l:-1,t:"Transports",i:0.000228822666381883,a:"Transports Transport definitions (in the configuration file \n\t transports.conf) specify the communication protocol between EMS and TIBCO FTL.\n   For more information, see \n\t\t Configure EMS Transports for TIBCO FTL .\n\t "},"610":{y:0,u:"../users-guide/destinations.htm",l:-1,t:"Destinations",i:0.00103391053173652,a:"Destination definitions (in the configuration files \n\t topics.conf and \n\t queues.conf) can set the \n\t import and \n\t export properties to specify one or more EMS transport for TIBCO FTL. \n   import instructs \n\t\t  tibemsd to import messages that arrive on those transports from TIBCO FTL, and deliver ..."},"611":{y:0,u:"../users-guide/configure-ems-transp.htm",l:-1,t:"Configure EMS Transports for TIBCO FTL",i:0.000488159320454554,a:"EMS transports mediate the flow of messages between TIBCO Enterprise Message Service and TIBCO FTL.\n   \n            In TIBCO FTL, \n\t\ttransport refers to the underlying mechanism that moves message data between FTL publishers and subscribers.\n\t\t In TIBCO Enterprise Message Service, a transport is a ..."},"612":{y:0,u:"../users-guide/requirements2.htm",l:-1,t:"Requirements",i:0.000228822666381883,a:"To successfully deploy the EMS transport for TIBCO FTL, in the TIBCO FTL deployment, you must configure transports to be server-defined / of type Auto (see the TIBCO FTL documentation for more information on the server-defined \u0027Server\u0027 transport and on the \u0027Auto\u0027 transport type). Other types of ..."},"613":{y:0,u:"../users-guide/ems-transport-for-ft.htm",l:-1,t:"EMS Transport for FTL Definitions",i:0.00189422480934977,a:"transports.conf contains zero or more transport definitions. Each definition begins with the name of a transport, surrounded by square brackets. Subsequent lines set the parameters of the transport. \n   Example These examples from \n\t\t   transports.conf illustrate the syntax of EMS transport for FTL ..."},"614":{y:0,u:"../users-guide/topics.htm",l:-1,t:"Topics",i:0.00066827461350406,a:"Topics can both export and import messages. Accordingly, you can configure topic definitions (in the configuration file \n\t topics.conf) with \n\t import and \n\t export properties that specify one or more external transports: \n   import import instructs \n\t\t  tibemsd to import messages that arrive on ..."},"615":{y:0,u:"../users-guide/import-only-when-sub.htm",l:-1,t:"Import Only when Subscribers Exist",i:0.000228822666381883,a:"Import Only when Subscribers Exist When a topic specifies \n\t import on a connected transport, \n\t tibemsd imports messages only when the topic has at least one subscriber. \n   For more information, see \n\t\t import. \n\t "},"616":{y:0,u:"../users-guide/queues2.htm",l:-1,t:"Queues",i:0.00066827461350406,a:"Queues Queues can \n\t import messages, but cannot \n\t export them.  See  import  and  export  for more information.\n  "},"617":{y:0,u:"../users-guide/configuration3.htm",l:-1,t:"Configuration",i:0.000228822666381883,a:"You can configure queue definitions (in the configuration file \n\t queues.conf) with the \n\t import property to specify one or more external transports. \n   import  instructs \n\t\ttibemsd to import messages that arrive on those EMS transports from TIBCO FTL, and deliver them to the EMS destination. \n\t  ..."},"618":{y:0,u:"../users-guide/importstart-and-sto.htm",l:-1,t:"Import—Start and Stop",i:0.000228822666381883,a:"When a queue specifies \n\t import on a connected transport, \n\t tibemsd immediately begins importing messages to the queue, even when no receivers exist for the queue.\n   For static queues (configured by an administrator) \n\t\ttibemsd continues importing until you explicitly delete the queue. When the ..."},"619":{y:0,u:"../users-guide/message-translation.htm",l:-1,t:"Message Translation",i:0.000423325156936386,a:"Message Translation The following topics describe how a message is translated by the EMS server when either imported from or exported to FTL. \n  "},"620":{y:0,u:"../users-guide/jms-header-fields.htm",l:-1,t:"JMS Header Fields",i:0.000358490993418218,a:"Jakarta Messaging Header Fields EMS supports the predefined JMS header fields. \n   For more information, see \n\t\t Jakarta Messaging Message Header Fields . \n\t  \n            The \n\t\t JMSTimestamp  Jakarta Messaging header field is a special case. \n\t\t The Jakarta Messaging header \n\t\t   JMSTimestamp  ..."},"621":{y:0,u:"../users-guide/jms-property-fields.htm",l:-1,t:"JMS Property Fields",i:0.000358490993418218,a:"Jakarta Messaging Property Fields EMS supports the Jakarta Messaging property fields described in \n\t  EMS Message Properties.\n  "},"622":{y:0,u:"../users-guide/import.htm",l:-1,t:"Import",i:0.000832714304400693,a:"When importing a TIBCO FTL message to an EMS message, \n\t tibemsd sets these EMS properties:\n   JMS_TIBCO_IMPORTED  gets the value \n\t\t  true, to indicate that the message did not originate from an EMS client.\n\t\t JMS_TIBCO_MSG_EXT  gets the value \n\t\t  true, to indicate that the message \n\t\t  might ..."},"623":{y:0,u:"../users-guide/export2.htm",l:-1,t:"Export",i:0.000228822666381883,a:"TIBCO FTL messages do not have destinations or subjects, or a mandatory set of predefined header fields. Instead, message fields and their values are set for individual messages.\n   If \n\t\texport_properties is defined as \n\t\ttrue in the common EMS transport properties, the EMS server converts the ..."},"624":{y:0,u:"../users-guide/message-body.htm",l:-1,t:"Message Body",i:0.000228822666381883,a:"tibemsd can export messages with most Jakarta Messaging message body types to TIBCO FTL. However, Object messages and Stream messages cannot be exported. They are discarded with a warning. \n   tibemsd can import messages with any message format from TIBCO FTL. \n\t  For information about Jakarta ..."},"625":{y:0,u:"../users-guide/import2.htm",l:-1,t:"Import",i:0.000228822666381883,a:"Import When importing a TIBCO FTL message, \n\t tibemsd translates it to an EMS message body type based on the TIBCO FTL message format. \n  "},"626":{y:0,u:"../users-guide/export4.htm",l:-1,t:"Export",i:0.000228822666381883,a:"When exporting an EMS message, \n\t tibemsd translates it to a TIBCO FTL message with the following structure: \n   When \n\t\t  export_headers is enabled on the EMS transport, Jakarta Messaging header fields are converted to TIBCO FTL message fields. See \n\t\t   Jakarta Messaging Header Fields . When the ..."},"627":{y:0,u:"../users-guide/message-fields.htm",l:-1,t:"Message Fields",i:0.000228822666381883,a:"When \n\t tibemsd converts messages, it converts fields individually, based on field type. Some field types are equivalent between EMS and TIBCO FTL, while converting others may result in some information loss of data type, or require additional formatting. \n   The mapping of equivalent fields is ..."},"628":{y:0,u:"../users-guide/import3.htm",l:-1,t:"Import",i:0.000228822666381883,a:"Import Not all TIBCO FTL field types are supported by EMS. When \n\t tibemsd imports a TIBCO FTL message, these fields are converted into EMS sub-messages as shown below. \n  "},"629":{y:0,u:"../users-guide/export.htm",l:-1,t:"Export",i:0.000228822666381883,a:"Export When exporting an EMS message, \n\t tibemsd translates it to a TIBCO FTL message. Not all field types that are supported by EMS map to TIBCO FTL. When \n\t tibemsd converts these fields, some information about data size is lost. The EMS fields are converted to TIBCO FTL fields as shown here:\n  "},"630":{y:0,u:"../users-guide/interoperation-with-.htm",l:-1,t:"Interoperation with TIBCO Rendezvous",i:0.00155774289251456,a:"TIBCO Enterprise Message Service can exchange messages with supported versions of TIBCO Rendezvous. Scope EMS can import and export messages to an external system through an EMS topic. EMS can import messages from an external system to an EMS queue (but queues cannot export)."},"631":{y:0,u:"../users-guide/message-translation3.htm",l:-1,t:"Message Translation",i:0.000228822666381883,a:"Message Translation EMS and Rendezvous use different formats for messages and their data. When \n\t tibemsd imports or exports a messages, it translates the message and its data to the appropriate format.\n   For more information, see \n\t\t Message Translation .\n\t "},"632":{y:0,u:"../users-guide/configuration4.htm",l:-1,t:"Configuration",i:0.000228822666381883,a:"Configuration tibemsd uses definitions and parameters in four configuration files to guide the exchange of messages with Rendezvous.\n  "},"633":{y:0,u:"../users-guide/enabling2.htm",l:-1,t:"Enabling",i:0.000228822666381883,a:"The parameter \n\t tibrv_transports (in the configuration file \n\t tibemsd.conf) globally enables or disables message exchange with Rendezvous. The default value is \n\t disabled. To use these transports, you must explicitly set this parameter to enabled. \n\t  The parameter \n\t\t module_path  (in the ..."},"634":{y:0,u:"../users-guide/transports2.htm",l:-1,t:"Transports",i:0.000228822666381883,a:"Transports Transport definitions (in the configuration file \n\t transports.conf) specify the communication protocol between EMS and the external system.\n   For more information, see \n\t\t Configure EMS Transports for Rendezvous .\n\t "},"635":{y:0,u:"../users-guide/destinations-rendezvous.htm",l:-1,t:"Destinations",i:0.000228822666381883,a:"Destination definitions (in the configuration files topics.conf and queues.conf) can set the import and\nexport properties to specify one or more transports: import instructs tibemsd to import messages that arrive on those transports from Rendezvous, and deliver them to the EMS destination. export ..."},"636":{y:0,u:"../users-guide/rvcm-listeners.htm",l:-1,t:"RVCM Listeners",i:0.000228822666381883,a:"RVCM Listeners When exporting messages on a transport configured for certified message delivery, you can pre-register RVCM listeners in the file \n\t tibrvcm.conf . \n   For details, see \n\t\t tibrvcm.conf , and \n\t\t Certified Messages"},"637":{y:0,u:"../users-guide/configure-transports-ems.htm",l:-1,t:"Configure Transports for Rendezvous",i:0.000488159320454554,a:"Configure EMS Transports for Rendezvous Transports mediate the flow of messages between EMS and TIBCO Rendezvous. \n   tibemsd connects to Rendezvous daemons in the same way as any other Rendezvous client would. Transport definitions (in the file \n\t\t transports.conf ) configure the behavior of these ..."},"638":{y:0,u:"../users-guide/how-rendezvous-messa.htm",l:-1,t:"How Rendezvous Messages are Imported",i:0.000228822666381883,a:"The EMS server connects to the Rendezvous daemon as any other Rendezvous client would. Messages received from the Rendezvous daemon are stored in Rendezvous queues, then are dispatched to callbacks. The EMS server creates Jakarta Messaging message copies of the Rendezvous messages, and begins ..."},"639":{y:0,u:"../users-guide/queue-limit-policies.htm",l:-1,t:"Queue Limit Policies",i:0.000228822666381883,a:"In order to limit the number of pending messages in Rendezvous queues, a transport property allows you to set a queue limit policy, as you would for TIBCO Rendezvous client applications.\n   When the queue limit for the transport is reached, the Rendezvous library discards a set number of messages. ..."},"640":{y:0,u:"../users-guide/transport-definition.htm",l:-1,t:"Transport Definitions",i:0.00244169477793831,a:"transports.conf contains zero or more transport definitions. Each definition begins with the name of a transport, surrounded by square brackets. Subsequent lines set the parameters of the transport. \n   Example These examples from \n\t\t   transports.conf illustrate the syntax of transport definitions. ..."},"641":{y:0,u:"../users-guide/topics2.htm",l:-1,t:"Topics",i:0.000326073911659134,a:"Topics Topics can both export and import messages. Accordingly, you can configure topic definitions (in the configuration file \n\t topics.conf) with \n\t import and \n\t export properties that specify one or more external transports:\n  "},"642":{y:0,u:"../users-guide/import-ems.htm",l:-1,t:"import",i:0.000228822666381883,a:"import import instructs tibemsd to import messages that arrive on those transports from Rendezvous, and deliver\nthem to the EMS destination."},"643":{y:0,u:"../users-guide/export-ems.htm",l:-1,t:"export",i:0.000228822666381883,a:"export instructs tibemsd to take messages that arrive on the EMS destination, and export them to Rendezvous via those transports. The EMS server never re-exports an imported message on the same topic. (For general information about topics.conf syntax and semantics, see  topics.conf.  You can also ..."},"644":{y:0,u:"../users-guide/example-ems.htm",l:-1,t:"Example",i:0.000228822666381883,a:"For example, the following tibemsadmin commands configure the topic myTopics.news to import\nmessages on the transports RV01 and RV02, and to export messages on the transport RV02.\n addprop topic myTopics.news import=\"RV01,RV02\"\naddprop topic myTopics.news export=\"RV02\"\n Rendezvous messages with ..."},"645":{y:0,u:"../users-guide/import-only-when-sub2.htm",l:-1,t:"Import Only when Subscribers Exist",i:0.000228822666381883,a:"Import Only when Subscribers Exist When a topic specifies \n\t  import on a connected transport, \n\t tibemsd imports messages only when the topic has has registered subscribers. \n  "},"646":{y:0,u:"../users-guide/wildcards-ems.htm",l:-1,t:"Wildcards",i:0.000228822666381883,a:"Wildcards Wildcards in the \n\t  import property obey EMS syntax and semantics (which is identical to Rendezvous syntax and semantics). \n  For more information, see  Destination Name—Syntax and Semantics . \n\t "},"647":{y:0,u:"../users-guide/certified-messages.htm",l:-1,t:"Certified Messages",i:0.000228822666381883,a:"Certified Messages You can  import and \n\t\t export  TIBCO Rendezvous certified messages (tibrvcm transport) to EMS topics. Rendezvous certified transports guarantee message delivery.\n\t "},"648":{y:0,u:"../users-guide/rvcm-ledger.htm",l:-1,t:"RVCM Ledger",i:0.000228822666381883,a:"RVCM Ledger tibrvcm transports can store information about subjects in a ledger file. You can review the ledger file using an administration tool command; see \n\t\t show rvcmtransportledger. \n\t  For more information about ledger files, see TIBCO Rendezvous documentation. \n\t "},"649":{y:0,u:"../users-guide/subject-collisions.htm",l:-1,t:"Subject Collisions",i:0.000228822666381883,a:"Subscribers to destinations that import from RVCM transports are subject to the same restrictions that direct RVCM listeners. These restrictions are described in the TIBCO Rendezvous documentation, and include subject collisions. When importing messages from RV, the EMS server creates RVCM listeners ..."},"650":{y:0,u:"../users-guide/queues3.htm",l:-1,t:"Queues",i:0.000326073911659134,a:"Queues Queues can \n\t import messages, but cannot \n\t export them. \n\t  See \n\t\t import and \n\t\t export for more information.\n\t "},"651":{y:0,u:"../users-guide/configuration5.htm",l:-1,t:"Configuration",i:0.000228822666381883,a:"You can configure queue definitions (in the configuration file \n\t queues.conf) with the \n\t import property that specify one or more external transports. import instructs \n\t\ttibemsd to import messages that arrive on those transports from Rendezvous, and deliver them to the EMS destination. \n\t  (For ..."},"652":{y:0,u:"../users-guide/importstart-and-sto2.htm",l:-1,t:"Import—Start and Stop",i:0.000228822666381883,a:"When a queue specifies  import on a connected transport, \n\t tibemsd immediately begins importing messages to the queue, even when no receivers exist for the queue. \n   For static queues (configured by an administrator) \n\t\ttibemsd continues importing until you explicitly delete the queue. \n\t "},"653":{y:0,u:"../users-guide/wildcards-queue.htm",l:-1,t:"Wildcards",i:0.000228822666381883,a:"Wildcards in the  import property obey EMS syntax and semantics (not Rendezvous syntax and semantics). \n  For more information, see  Destination Name—Syntax and Semantics . \n\t  EMS clients cannot subscribe to wildcard queues—however, you can define wildcards queues in the EMS server for the purpose ..."},"654":{y:0,u:"../users-guide/import-issues.htm",l:-1,t:"Import Issues",i:0.000228822666381883,a:"Import Issues This section presents issues associated with importing messages to EMS from Rendezvous—whether on a topic or a queue."},"655":{y:0,u:"../users-guide/field-identifiers.htm",l:-1,t:"Field Identifiers",i:0.000228822666381883,a:"Field Identifiers When importing and translating Rendezvous messages, \n\t tibemsd is only able to process standard message field types that are identified by name in the Rendezvous program application. Custom fields and fields identified using a field identifier cannot be imported to EMS.\n  "},"656":{y:0,u:"../users-guide/jmsdestination.htm",l:-1,t:"JMSDestination",i:0.000228822666381883,a:"When \n\t tibemsd imports and translates a Rendezvous message, it sets the \n\t JMSDestination field of the EMS message to the value of the Rendezvous subject. \n   Therefore, imported destination names must be unique. When a topic and a queue share the same name, at most one of them may set the ..."},"657":{y:0,u:"../users-guide/jmsreplyto.htm",l:-1,t:"JMSReplyTo",i:0.000228822666381883,a:"When \n\t tibemsd imports and translates a Rendezvous message, it sets the \n\t JMSReplyTo field of the EMS message to the value of the Rendezvous reply subject, so that EMS clients can reply to the message. \n   Usually this value represents a Rendezvous subject. You must explicitly configure \n\t\ttibemsd ..."},"658":{y:0,u:"../users-guide/jmsexpiration.htm",l:-1,t:"JMSExpiration",i:0.000228822666381883,a:"When \n\t tibemsd imports and translates a Rendezvous certified message, it sets the \n\t JMSExpiration field of the EMS message to the time limit of the certified message. \n   See \n\t\t JMSExpiration for more information. \n\t  If the message time limit is exceeded, the sender program no longer certifies ..."},"659":{y:0,u:"../users-guide/guaranteed-delivery2.htm",l:-1,t:"Guaranteed Delivery",i:0.000228822666381883,a:"For full end-to-end certified delivery from Rendezvous to EMS, all three of these conditions must be true: \n\t\t Rendezvous senders must send labeled messages on RVCM transports. See the \n\t\t\t  TIBCO Rendezvous Concepts manual for more information. \n\t\t   The transport definition must set \n\t\t\t ..."},"660":{y:0,u:"../users-guide/export-issues.htm",l:-1,t:"Export Issues",i:0.000228822666381883,a:"Export Issues This section presents issues associated with exporting messages from EMS to Rendezvous."},"661":{y:0,u:"../users-guide/jmsreplyto2.htm",l:-1,t:"JMSReplyTo",i:0.000228822666381883,a:"Topics Consider an EMS message in which the field \n\t\t  JMSReplyTo contains a topic. When exporting such a message to Rendezvous, you must explicitly configure \n\t\t  tibemsd to import replies from Rendezvous to that reply topic. \n\t\t Temporary Topics Consider an EMS message in which the field \n\t\t  ..."},"662":{y:0,u:"../users-guide/certified-messages2.htm",l:-1,t:"Certified Messages",i:0.000326073911659134,a:"RVCM Registration When an RVCM listener receives its first labeled message, it registers to receive subsequent messages as certified messages. Until the registration is complete, it receives labeled messages as reliable messages. When exporting messages on a \n\t\t  tibrvcm transport, we recommend ..."},"663":{y:0,u:"../users-guide/guaranteed-delivery.htm",l:-1,t:"Guaranteed Delivery",i:0.000228822666381883,a:"Guaranteed Delivery For full end-to-end certified delivery to Rendezvous from EMS, the following condition must be true: \n\t  EMS senders must send persistent messages. \n\t\t"},"664":{y:0,u:"../users-guide/message-translation4.htm",l:-1,t:"Message Translation",i:0.000423325156936386,a:"Message Translation The following topics describe how a message is translated by the EMS server when either imported from or exported to Rendezvous. \n  "},"665":{y:0,u:"../users-guide/jms-header-fields2.htm",l:-1,t:"JMS Header Fields",i:0.000277448289020508,a:"Jakarta Messaging Header Fields EMS supports the predefined Jakarta Messaging header fields described in \n\t\t Jakarta Messaging Message Header Fields . \n\t "},"666":{y:0,u:"../users-guide/special-cases.htm",l:-1,t:"Special Cases",i:0.000228822666381883,a:"The following header fields are special cases: \n\t  Jakarta Messaging header \n\t\t   JMSDestination corresponds to Rendezvous subject. \n\t\t Jakarta Messaging header \n\t\t  JMSReplyTo corresponds to Rendezvous reply subject. \n\t\t Jakarta Messaging header \n\t\t   JMSExpiration corresponds to the time limit of ..."},"667":{y:0,u:"../users-guide/import6.htm",l:-1,t:"Import",i:0.000228822666381883,a:"Import When importing a Rendezvous message to an EMS message, \n\t tibemsd does not set any Jakarta Messaging header fields, except for the special cases noted above.\n  "},"668":{y:0,u:"../users-guide/export-jmsheader.htm",l:-1,t:"Export",i:0.000228822666381883,a:"When exporting an EMS message to a Rendezvous message, \n\t tibemsd groups all the Jakarta Messaging header fields into a single submessage within the Rendezvous message. The field \n\t JMSHeaders contains that submessage. Fields of the submessage map the names of Jakarta Messaging header fields to ..."},"669":{y:0,u:"../users-guide/jms-property-fields2.htm",l:-1,t:"JMS Property Fields",i:0.000277448289020508,a:"Jakarta Messaging Property Fields"},"670":{y:0,u:"../users-guide/import7.htm",l:-1,t:"Import",i:0.000832714304400693,a:"When importing a Rendezvous message to an EMS message, \n\t tibemsd sets these EMS properties:\n   JMS_TIBCO_IMPORTED  gets the value \n\t\t  true, to indicate that the message did not originate from an EMS client.\n\t\t JMS_TIBCO_MSG_EXT  gets the value \n\t\t  true, to indicate that the message \n\t\t  might ..."},"671":{y:0,u:"../users-guide/import-rvcm.htm",l:-1,t:"Import RVCM",i:0.000832714304400693,a:"Import RVCM In addition to the two fields described above, when \n\t tibemsd imports a certified message on a \n\t tibrvcm transport, it can also set these properties (if the corresponding information is set in the Rendezvous message). \n  "},"672":{y:0,u:"../users-guide/export6.htm",l:-1,t:"Export",i:0.000228822666381883,a:"When exporting an EMS message to a Rendezvous message, \n\t tibemsd groups all the Jakarta Messaging property fields into a single submessage within the Rendezvous message. The field \n\t JMSProperties contains that submessage. Fields of the submessage map the names of Jakarta Messaging property fields ..."},"673":{y:0,u:"../users-guide/message-body2.htm",l:-1,t:"Message Body",i:0.000824035747423378,a:"tibemsd can export messages with any Jakarta Messaging message body type to TIBCO Rendezvous. Conversely, \n\t tibemsd can import messages with any message type from TIBCO Rendezvous.\n   For information about Jakarta Messaging body types, see \n\t\t Jakarta Messaging Message Bodies .\n\t  For information ..."},"674":{y:0,u:"../users-guide/import5.htm",l:-1,t:"Import",i:0.000228822666381883,a:"When importing a Rendezvous message, \n\t tibemsd translates it to an EMS message body type based on the presence of the field as seen in the following table. \n   The field names \n\t\tDATA and \n\t\t_data_ are reserved. We strongly discourage you from using these field names in EMS and Rendezvous ..."},"675":{y:0,u:"../users-guide/export-message.htm",l:-1,t:"Export",i:0.000228822666381883,a:"When exporting an EMS message, tibemsd translates it to a Rendezvous message with the following\nstructure. The field JMSHeaders contains a submessage; see  Jakarta Messaging Header Fields . When the transport parameter export_headers is false, this field is omitted. The field JMSProperties contains ..."},"676":{y:0,u:"../users-guide/data-types.htm",l:-1,t:"Data Types",i:0.000228822666381883,a:"Data Types The mapping between EMS datatypes and Rendezvous datatypes is bidirectional, except for the Rendezvous types that have no corresponding EMS type (for these types the mapping is marked as unidirectional in the middle column). \n  "},"677":{y:0,u:"../users-guide/pure-java-rendezvous.htm",l:-1,t:"Pure Java Rendezvous Programs",i:0.000423325156936386,a:"TIBCO Enterprise Message Service is shipped with the \n\t tibrvjms.jar file that you can include in your TIBCO Rendezvous applications. This JAR file includes the implementation of the \n\t com.tibco.tibrv.TibrvJMSTransport class. This class extends the \n\t com.tibco.tibrv.TibrvNetTransport class and ..."},"678":{y:0,u:"../users-guide/monitor-server-activ.htm",l:-1,t:"Monitor Server Activity",i:0.000790451093996814,a:"Monitor Server Activity System administrators must monitor and manage the TIBCO Enterprise Message Service server. The logging, monitoring, and statistics facilities provided by the server allow system administrators to effectively view system activity and track system performance."},"679":{y:0,u:"../users-guide/server-health.htm",l:-1,t:"Server Health",i:0.000812997468727956,a:"You can configure the TIBCO Enterprise Message Service server to service HTTP GET requests for the current health of the server on a dedicated port. \n   This feature can be used to support the health check probes in Kubernetes. For more information refer to the Kubernetes documentation. \n\t  ..."},"680":{y:0,u:"../users-guide/log-files-and-tracin.htm",l:-1,t:"Log Files and Tracing",i:0.000228822666381883,a:"You can configure the TIBCO Enterprise Message Service server to write a variety of information to the log. Several parameters and commands control where the log is located as well as what information is written to the log. The log can be written to a file, to the system console, or to both."},"681":{y:0,u:"../users-guide/configure-the-log-fi.htm",l:-1,t:"Configure the Log File",i:0.000228822666381883,a:"The \n\t logfile configuration parameter in \n\t tibemsd.conf controls the location and the name of the log file.\n   You can specify that the log file should be backed up and emptied after it reaches a maximum size. This allows you to rotate the log file and ensure that the log file does not grow ..."},"682":{y:0,u:"../users-guide/trace-messages-for-t.htm",l:-1,t:"Trace Messages for the Server",i:0.00126933393672646,a:"The TIBCO Enterprise Message Service server can be configured to produce trace messages. These messages can describe actions performed for various areas of functionality (for example, Access Control, Administration, or Routing). These messages can also provide information about activities performed ..."},"683":{y:0,u:"../users-guide/server-tracing-optio.htm",l:-1,t:"Server Tracing Options",i:0.000950465999147506,a:"When configuring log or console tracing, you have a variety of options for the types of trace messages that can be generated. \n   Specify tracing with a comma-separated list of trace options. You may specify trace options in three forms: \n\t\t plain:  A trace option without a prefix character replaces ..."},"684":{y:0,u:"../users-guide/message-tracing.htm",l:-1,t:"Message Tracing",i:0.00211053695110577,a:"In addition to other server activity, you can trace messages as they are processed. \n   Trace entries for messages are only generated for destinations or messages that specify tracing should be performed. For destinations, you specify the \n\t\ttrace property to enable the generation of trace messages. ..."},"685":{y:0,u:"../users-guide/enable-message-traci2.htm",l:-1,t:"Enable Message Tracing for a Destination",i:0.000228822666381883,a:"The \n\t trace property on a destination specifies that trace entries are generated for that destination.\n   The trace property can optionally be specified as \n\t\ttrace=body. Setting trace=body includes the message body in trace messages. The EMS server prints up to one kilobyte of a message string ..."},"686":{y:0,u:"../users-guide/enable-message-traci.htm",l:-1,t:"Enable Message Tracing on a Message",i:0.000228822666381883,a:"You can enable tracing on individual messages by setting the \n\t JMS_TIBCO_MSG_TRACE property on the message.\n   The value of the property can be either null (Java/.NET null or NULL in C) or the string \"body\". Setting the property to null specifies only the message ID and message sequence will be ..."},"687":{y:0,u:"../users-guide/monitor-server-event.htm",l:-1,t:"Monitor Server Events",i:0.00201870016180499,a:"The TIBCO Enterprise Message Service server can publish topic messages for internal system events. For example, the server can publish a message when users connect or disconnect. \n   System event messages contain detail about the event stored in properties of the message. This section gives an ..."},"688":{y:0,u:"../users-guide/system-monitor-topic.htm",l:-1,t:"System Monitor Topics",i:0.000228822666381883,a:"The TIBCO Enterprise Message Service server can publish messages to various topics when certain events occur. There are several types of event classes, each class groups a set of related events. For example, some event classes are connection, admin, and route. Each event class is further subdivided ..."},"689":{y:0,u:"../users-guide/monitor-messages.htm",l:-1,t:"Monitor Messages",i:0.000423325156936386,a:"You can monitor messages processed by a destination as they are sent, received, or acknowledged. \n   You can also monitor messages that have prematurely exited due to expiration, being discarded, or a \n\t\t maxRedelivery failure. \n\t  The \n\t\t$sys.monitor topic for monitor messages has the following ..."},"690":{y:0,u:"../users-guide/message-monitoring-q.htm",l:-1,t:"Message monitoring qualifiers",i:0.000228822666381883,a:"Possible values of \n\t D and \n\t E in message monitoring topics. \n   For example, \n\t\t  $sys.monitor.T.r.corp.News is the topic for monitoring any received messages to the topic named \n\t\t  corp.News. The message body of any received message is included in monitor messages on this topic. The topic \n\t\t  ..."},"691":{y:0,u:"../users-guide/view-monitor-topics.htm",l:-1,t:"View Monitor Topics",i:0.000228822666381883,a:"Monitor topics are similar to other topics. To view these topics, create a client application that subscribes to the desired topics. \n   Because monitor topics contain potentially sensitive system information, authentication and permissions are always checked when clients access a monitor topic. ..."},"692":{y:0,u:"../users-guide/performance-implicat.htm",l:-1,t:"Performance Implications of Monitor Topics",i:0.00029365682990005,a:"The TIBCO Enterprise Message Service server only generates messages for monitor topics that currently have subscribers. So, if no applications subscribe to monitor topics, no monitor messages are generated. Generating a monitor message does consume system resources, and therefore you should consider ..."},"693":{y:0,u:"../users-guide/server-statistics.htm",l:-1,t:"Server Statistics",i:0.00058865558875945,a:"The TIBCO Enterprise Message Service server allows you to track incoming and outgoing message volume, message size, and message statistics for the server overall as well as for each producer, consumer, or route. You can configure the type of statistics collected, the interval for computing averages, ..."},"694":{y:0,u:"../users-guide/overall-server-stati.htm",l:-1,t:"Overall Server Statistics",i:0.000228822666381883,a:"The server always collects certain overall server statistics. This includes the rate of inbound and outbound messages (expressed as number of messages per second), message memory usage, disk storage usage, and the number of destinations, connections, and durable subscriptions. Gathering this ..."},"695":{y:0,u:"../users-guide/enable-statistics-ga.htm",l:-1,t:"Enable Statistics Gathering",i:0.000228822666381883,a:"Each producer, consumer, destination, and route can gather overall statistics and statistics for each of its destinations. To enable statistic gathering, you must set the \n\t statistics parameter to enabled. This parameter can be specified in the configuration file, and it can be changed dynamically ..."},"696":{y:0,u:"../users-guide/detailed-statistics.htm",l:-1,t:"Detailed Statistics",i:0.000228822666381883,a:"In some situations, the default statistic gathering may not be sufficient. For example, if a topic subscriber subscribes to wildcard topics, the total statistics for all topics that match the wildcard are kept. You may wish to get further detail in this case and track the statistics for each actual ..."},"697":{y:0,u:"../users-guide/display-the-statisti.htm",l:-1,t:"Display the Statistics",i:0.000228822666381883,a:"When statistic collecting is enabled, you can view statistics for producers, consumers, routes, and destinations using the \n\t show stat command in the administration tool. \n   The \n\t\tshow stat command allows you to filter the statistics based on destination name, user name, connection ID, or any ..."},"698":{y:0,u:"../users-guide/tls-protocol.htm",l:-1,t:"TLS Protocol",i:0.00311879184497275,a:" Transport Layer Security (TLS) is a protocol that provides secure authentication and transmits encrypted data over the Internet or an internal network. \n   The TLS protocol is complex, and this chapter is not a complete description of TLS. Instead, this chapter describes how to configure TLS in the ..."},"699":{y:0,u:"../users-guide/tls-support-in-tibco.htm",l:-1,t:"TLS Support in TIBCO Enterprise Message Service",i:0.000228822666381883,a:"TIBCO Enterprise Message Service supports the Transport Layer Security (TLS) protocol. \n   TLS uses public and private keys to encrypt data over a network connection to secure communication between pairs of components: \n\t  between an EMS client and the \n\t\t  tibemsd server \n\t\t  between the \n\t\t  ..."},"700":{y:0,u:"../users-guide/implementations.htm",l:-1,t:"Implementations",i:0.000228822666381883,a:"The TIBCO Enterprise Message Service server and the C client libraries use OpenSSL for TLS support. \n   For more information, see \n\t\t www.openssl.org . \n\t  EMS Java clients use JSSE (from Sun JavaSoft). JSSE is included in Java distributions. \n\t  EMS .NET Framework clients use the Microsoft ..."},"701":{y:0,u:"../users-guide/digital-certificates.htm",l:-1,t:"Digital Certificates",i:0.000228822666381883,a:"Digital certificates are data structures that represent identities. EMS uses certificates to verify the identities of servers and clients. Though it is not necessary to validate either the server or the client for them to exchange data over TLS, certificates provide an additional level of security.\n ..."},"702":{y:0,u:"../users-guide/digital-certificate-.htm",l:-1,t:"Digital Certificate File Formats",i:0.000228822666381883,a:"Digital Certificate File Formats TIBCO Enterprise Message Service supports the following file formats for digital certificates: PEM (Privacy Enhanced Mail) DER (Distinguished Encoding Rules) PKCS#7 PKCS#12 Java KeyStore (for client digital certificates)"},"703":{y:0,u:"../users-guide/private-key-formats.htm",l:-1,t:"Private Key Formats",i:0.000228822666381883,a:"Private Key Formats TIBCO Enterprise Message Service supports the following file formats for private keys: PEM (Privacy Enhanced Mail) DER (Distinguished Encoding Rules) PKCS#8 PKCS#12 The EMS server uses OpenSSL to read private keys. It does not read Java KeyStore files."},"704":{y:0,u:"../users-guide/file-names-for-certi.htm",l:-1,t:"File Names for Certificates and Keys",i:0.00267111443642192,a:"For all parameters that specify the identity (digital certificate), private key, issuer (certificate chain), or trusted list of certificate authorities, valid files must be specified. Not all types of files are supported for clients and servers. The description of each parameter details which ..."},"705":{y:0,u:"../users-guide/configure-tls-in-the.htm",l:-1,t:"Configure TLS in the Server",i:0.000228822666381883,a:"To use TLS, each instance of \n\t tibemsd must have a digital certificate and a private key. The server can optionally require a certificate chain or trusted certificates. \n   Set the server to listen for TLS connections from clients by using the \n\t\tlisten parameter in \n\t\t tibemsd.conf. To specify ..."},"706":{y:0,u:"../users-guide/tls-parameters.htm",l:-1,t:"TLS Parameters",i:0.000228822666381883,a:"Several TLS parameters can be set in \n\t\ttibemsd.conf. The minimum configuration is only one required parameter—ssl_server_identity. However, if the server’s certificate file does not contain its private key, then you must specify it in \n\t\tssl_server_key. \n\t  TLS Server Parameters  provides a ..."},"707":{y:0,u:"../users-guide/command-line-options.htm",l:-1,t:"Command Line Options",i:0.000228822666381883,a:"The server accepts a few command-line options for TLS. \n   When starting \n\t\ttibemsd, you can specify the following options: \n\t  -ssl_trace—enables tracing of loaded certificates. This prints a message to the console during startup of the server that describes each loaded certificate. \n\t\t ..."},"708":{y:0,u:"../users-guide/configure-tls-in-ems.htm",l:-1,t:"Configure TLS in EMS Clients",i:0.000897991018120182,a:"In basic TLS connections to the EMS server, with standard ciphers, EMS Java clients require no additional libraries or JAR files. The use of ciphers that use stronger encryption may require the installation of the Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files into ..."},"709":{y:0,u:"../users-guide/client-digital-certi.htm",l:-1,t:"Client Digital Certificates",i:0.000228822666381883,a:"When client authentication with a digital certificate is required by the EMS server (see the description of the \n\t\tssl_require_client_cert parameter in \n\t\t tibemsd.conf ), the client may combine its client certificate and private key in a single file in one of the following formats: \n\t  PKCS#12 \n\t\t ..."},"710":{y:0,u:"../users-guide/configure-tls.htm",l:-1,t:"Configure TLS",i:0.000228822666381883,a:"A client connecting to an EMS server can configure TLS characteristics in the following ways: \n   Create a connection factory that specifies the appropriate TLS parameters and use JNDI to lookup the connection factory. The server URL in the connection factory must specify the TLS protocol, and the ..."},"711":{y:0,u:"../users-guide/configure-a-connecti.htm",l:-1,t:"Configure a Connection Factory",i:0.00172636770441045,a:"You can configure a connection factory using the administration tool or the administration APIs. \n   See \n\t\t EMS Administration Tool . \n\t  When configuring a connection factory, you can specify several TLS parameters, similar to the server parameters that you can configure in \n\t\t tibemsd.conf . \n\t  ..."},"712":{y:0,u:"../users-guide/specify-cipher-suite.htm",l:-1,t:"Specify Cipher Suites",i:0.0013354708974641,a:"On the EMS server, specify cipher suites using the \n\t ssl_server_ciphers configuration parameter in \n\t tibemsd.conf. \n   For more information about server configuration files, see \n\t\t Configuration Files . \n\t  For clients connecting with a connection factory, specify cipher suites using the \n\t\t ..."},"713":{y:0,u:"../users-guide/syntax-for-cipher-su.htm",l:-1,t:"Syntax for Cipher Suites",i:0.000228822666381883,a:"EMS uses OpenSSL for TLS support. Therefore, the cipher suite names can be specified as the OpenSSL name for the cipher suite.\n   When specifying cipher suites, the usual way to specify more than one cipher suite is to separate each suite name with a colon (:) character. Alternatively, you can use ..."},"714":{y:0,u:"../users-guide/java-client-syntax.htm",l:-1,t:"Java Client Syntax",i:0.000228822666381883,a:"The syntax for specifying the list of cipher suites is different for Java clients than for any other location where cipher suites can be specified. For Java clients, you specify a qualifier (for example, + to add the suite) followed by the cipher suite name. Cipher suite names are case-sensitive. ..."},"715":{y:0,u:"../users-guide/syntax-for-all-other.htm",l:-1,t:"Syntax for All Other Cipher Suite Specifications",i:0.000228822666381883,a:"For any cipher suite list that is not specified in a connection factory of a Java client, use the OpenSSL syntax. In particular, C clients and the \n\t ssl_server_ciphers configuration parameter require OpenSSL syntax. \n   While the full syntax of OpenSSL cipher suite selection is supported for ..."},"716":{y:0,u:"../users-guide/default-cipher-list.htm",l:-1,t:"Default Cipher List",i:0.000228822666381883,a:"Default Cipher List The EMS server and C client library use \n\t DEFAULT as their default cipher list. For details on the cipher suites corresponding to \n\t DEFAULT for a given version of OpenSSL, refer to the OpenSSL documentation. \n  "},"717":{y:0,u:"../users-guide/supported-cipher-sui3.htm",l:-1,t:"Supported Cipher Suites",i:0.000228822666381883,a:"For a current list of supported cipher suites, run the \n\t\thelp ciphers command in the \n\t\ttibemsadmin in tool. \n\t  Note that this list is only relevant to the release of \n\t\tTIBCO Enterprise Message Service that ships with the particular version of \n\t\ttibemsadmin that is running when the help command ..."},"718":{y:0,u:"../users-guide/supported-cipher-sui2.htm",l:-1,t:"Supported Cipher Suites for the Server and C Clients",i:0.000228822666381883,a:"Supported Cipher Suites for the Server and C Clients The EMS server and C client library support a subset of the cipher suites that OpenSSL supports. \n  "},"719":{y:0,u:"../users-guide/supported-cipher-sui4.htm",l:-1,t:"Supported Cipher Suites for Java Clients",i:0.000228822666381883,a:"For Java clients, restrictions apply to some of the newer cipher suites. Using these may require adjustments to some of the following: JVM version, JVM vendor, JCE unlimited strength jurisdiction policy files, the \n\t\tjava.security properties file and X509 certificate digital signature algorithms. \n\t ..."},"720":{y:0,u:"../users-guide/supported-cipher-sui.htm",l:-1,t:"Supported Cipher Suites for .NET Clients",i:0.000228822666381883,a:"Supported Cipher Suites for .NET Clients In general, the .NET client library supports the cipher suites that .NET supports. Refer to your MSDN documentation or contact Microsoft support for complete details on supported ciphers on specific .NET environments. \n\t "},"721":{y:0,u:"../users-guide/tls-authentication-o.htm",l:-1,t:"TLS Authentication Only",i:0.000984199891785447,a:"TLS Authentication Only EMS servers can use TLS for secure data exchange (standard usage), or only for client authentication. This section describes the use of TLS for client authentication.\n  "},"722":{y:0,u:"../users-guide/motivation.htm",l:-1,t:"Motivation",i:0.000228822666381883,a:"Some applications require strong or encrypted authentication, but do not require message encryption.\n   In this situation, application architects could configure TLS with a null cipher. However, this solution incurs internal overhead costs of TLS calls, decreasing message speed and throughput.\n\t  ..."},"723":{y:0,u:"../users-guide/preconditions.htm",l:-1,t:"Preconditions",i:0.000228822666381883,a:"All the following preconditions must be satisfied to use TLS only for authentication: \n   The server must explicitly enable the parameter \n\t\t  ssl_auth_only in the \n\t\t   tibemsd.conf  configuration file. \n\t\t The client program must request a connection that uses TLS for authentication only. Clients ..."},"724":{y:0,u:"../users-guide/enable-fips-complian.htm",l:-1,t:"Enable FIPS Compliance",i:0.000499684625957264,a:"Enable FIPS Compliance You can enable TIBCO Enterprise Message Service to run in compliance with Federal Information Processing Standard (FIPS), Publication 140-2."},"725":{y:0,u:"../users-guide/enable-the-ems-serve.htm",l:-1,t:"Enable the EMS Server",i:0.000228822666381883,a:"\n            The EMS server supports FIPS compliance only on the Linux and Windows platforms. \n\t  To enable FIPS 140-2 operations in the EMS server: \n\t  Set the \n\t\t   fips140-2 parameter in the main configuration file to \n\t\t  true. \n\t\t Ensure that incompatible parameters, listed below, are not ..."},"726":{y:0,u:"../users-guide/enable-ems-clients.htm",l:-1,t:"Enable EMS Clients",i:0.000228822666381883,a:"Java and C client applications can operate in FIPS compliance: \n   Java Clients \n\t\t\t\t  Java clients that use JSSE can operate in FIPS 140-2 compliant mode by using a FIPS 140-2 compliant cryptographic provider that supports the PKCS#11 interface. This interface is described in the Oracle ..."},"727":{y:0,u:"../users-guide/fault-tolerance2.htm",l:-1,t:"Fault Tolerance",i:0.00112146372905888,a:"Fault Tolerance The following sections describe the fault tolerance features of TIBCO Enterprise Message Service. \n  "},"728":{y:0,u:"../users-guide/fault-tolerance-over.htm",l:-1,t:"Fault Tolerance Overview",i:0.000228822666381883,a:"You can arrange TIBCO Enterprise Message Service servers for fault-tolerant operation by configuring a pair of servers—one primary and one secondary. \n   Upon startup, the first server to start reaches the active state and the other the standby state. The active server accepts client connections, ..."},"729":{y:0,u:"../users-guide/shared-state3.htm",l:-1,t:"Shared State",i:0.000228822666381883,a:"A pair of fault-tolerant servers can have access to shared state, which consists of information about clients and persistent messages. \n   \n             You cannot use more than two servers in a fault-tolerant configuration. \n\t  This information enables the standby server to properly assume ..."},"730":{y:0,u:"../users-guide/unshared-state-failo2.htm",l:-1,t:"Unshared State Failover",i:0.000228822666381883,a:"You can also include additional servers that do not share state. As with shared state, the clients can automatically reconnect to additional servers. \n   However, unlike shared state, unshared state is controlled by the EMS client. As a result, it is up to client producers to catch failures on send ..."},"731":{y:0,u:"../users-guide/shared-state-failove.htm",l:-1,t:"Shared State Failover Process",i:0.000326073911659134,a:"Shared State Failover Process This section presents details of the shared state failover sequence."},"732":{y:0,u:"../users-guide/detection.htm",l:-1,t:"Detection",i:0.000228822666381883,a:"A standby server detects a failure of the active server in either of the following ways: Heartbeat Failure or Connection Failure.\n   Heartbeat Failure—The active server sends heartbeat messages to the standby server to indicate that it is still operating. When a network failure stops the servers ..."},"733":{y:0,u:"../users-guide/response2.htm",l:-1,t:"Response",i:0.000228822666381883,a:"Response When a standby server (B) detects the failure of the active server (A), then B attempts to assume the role of active server. First, B obtains the lock on the current shared state. When B can access this information, it becomes the new active server. \n  "},"734":{y:0,u:"../users-guide/lock-unavailable.htm",l:-1,t:"Lock Unavailable",i:0.000228822666381883,a:"Lock Unavailable If B cannot obtain the lock immediately, it alternates between attempting to obtain the lock (and become the active server), and attempting to reconnect to A (and resume as a standby server)—until one of these attempts succeeds."},"735":{y:0,u:"../users-guide/role-reversal.htm",l:-1,t:"Role Reversal",i:0.000228822666381883,a:"Role Reversal When B becomes the new active server, A can restart as a standby server, so that the two servers exchange roles. \n  "},"736":{y:0,u:"../users-guide/client-transfer.htm",l:-1,t:"Client Transfer",i:0.000228822666381883,a:"Client Transfer Clients of A that are configured to failover to standby server B automatically transfer to B when it becomes the new active server. B reads the client’s current state from the shared storage to deliver any persistent messages to the client."},"737":{y:0,u:"../users-guide/client-notification.htm",l:-1,t:"Client Notification",i:0.000228822666381883,a:"Client applications can receive notification when shared state failover occurs. \n   Java \n\t\t   To receive notification, Java client programs set the system property \n\t\t\t tibco.tibjms.ft.switch.exception to any value, and define an \n\t\t\t ExceptionListener to handle failover notification; see the class ..."},});