define({"738":{y:0,u:"../users-guide/message-redelivery.htm",l:-1,t:"Message Redelivery",i:0.000423325156936386,a:"Qualified messages will be redelivered in a failover situation. \n   Persistent \n\t\t   When a failure occurs, messages with delivery mode \n\t\t\t PERSISTENT, that were not successfully acknowledged before the failure, are redelivered. \n\t\t   Synchronous Mode \n\t\t   When using durable subscribers, EMS ..."},"739":{y:0,u:"../users-guide/transactions2.htm",l:-1,t:"Transactions",i:0.000228822666381883,a:"A (non-XA) transaction is considered active when at least one message has been sent or received by the session, and the transaction has not been successfully committed. An XA transaction is considered active when the XA start method is called.\n   After a failover, attempting to commit the active ..."},"740":{y:0,u:"../users-guide/queues.htm",l:-1,t:"Queues",i:0.000228822666381883,a:"For queue receivers, any messages that have been sent to receivers, but have not been acknowledged before the failover, may be sent to other receivers immediately after the failover.\n   A receiver trying to acknowledge a message after a failover may receive the \n\t\tjavax.jms.IllegalStateException. ..."},"741":{y:0,u:"../users-guide/heartbeat-parameters.htm",l:-1,t:"Heartbeat Parameters",i:0.000423325156936386,a:"When the active server heartbeat stops, the standby server waits for its activation interval (elapsed time since it detected the most recent heartbeat); then the standby server retrieves information from shared storage and assumes the role of active server. The default heartbeat interval is 3 ..."},"742":{y:0,u:"../users-guide/configuration-files.htm",l:-1,t:"Configuration Files",i:0.000228822666381883,a:"When an active server fails, its standby server assumes the status of the active server and resumes operation. Before becoming the active server, the standby server re-reads its configuration files.\n   If the two servers share configuration files, then the administrative changes to an active server ..."},"743":{y:0,u:"../users-guide/unshared-state-failo.htm",l:-1,t:"Unshared State Failover Process",i:0.000403761703646093,a:"Unshared State Failover Process The following topics detail the unshared state failover sequence of events. \n   To configure clients, see \n\t\t Configure Clients for Unshared State Failover Connections . \n\t "},"744":{y:0,u:"../users-guide/detection2.htm",l:-1,t:"Detection",i:0.000228822666381883,a:"Unshared state failover is initiated by the EMS client. When a client setup for unshared state detects a lost connection to server (A), it attempts to connect to server (B), as defined in the connection factory. \n   \n                Unshared state is not limited to two servers. Unlike shared state ..."},"745":{y:0,u:"../users-guide/response.htm",l:-1,t:"Response",i:0.000228822666381883,a:"Clients with unshared state connections automatically connect to B after losing the connection to A. When clients setup for unshared state detect lost connections to server A, they create new connections to server B. All runtime objects from the client\u0027s connection are recreated, including sessions, ..."},"746":{y:0,u:"../users-guide/message-loss.htm",l:-1,t:"Message Loss",i:0.000228822666381883,a:"Message Loss Because B does not have access to persistent messages that were not delivered or acknowledged prior to the failover, some messages may be lost or delivered out of order across the failover process. To prevent message loss, use shared state failover."},"747":{y:0,u:"../users-guide/unsupported-features.htm",l:-1,t:"Unsupported Features",i:0.000228822666381883,a:"Unsupported Features These features and Java classes are not supported with unshared state connections: XA transactions Durable topic subscribers ConnectionConsumer ServerSession ServerSessionPool QueueRequestor TopicRequestor"},"748":{y:0,u:"../users-guide/dual-state-failover.htm",l:-1,t:"Dual State Failover",i:0.000228822666381883,a:"An unshared state connection factory can include shared-state server pairs in its list of backup servers. When both shared state and unshared state servers are included, the failover process is a combination of both types of failover. \n   The following image illustrates the dual state failover ..."},"749":{y:0,u:"../users-guide/shared-state.htm",l:-1,t:"Shared State",i:0.000617827647490889,a:"For the most robust failover protection, the active server and standby server must share the same state. Shared state includes the following categories of information: persistent message data (for queues and topics) client connections of the active server metadata about message delivery During a ..."},"750":{y:0,u:"../users-guide/implement-shared-sta.htm",l:-1,t:"Implement Shared State",i:0.000228822666381883,a:"Implement Shared State We recommend that you implement shared state using shared storage devices. The shared state must be accessible to both the active and standby servers. "},"751":{y:0,u:"../users-guide/support-criteria.htm",l:-1,t:"Support Criteria",i:0.0036140525763528,a:"If your stores are file-based, there are several options available for implementing shared storage, using a combination of hardware and software. EMS requires that your storage solution guarantees the following listed criteria.  Note that these criteria are inherently satisfied by database store ..."},"752":{y:0,u:"../users-guide/hardware-options.htm",l:-1,t:"Hardware Options",i:0.000228822666381883,a:"Hardware Options Consider these examples of commonly-sold hardware options for shared storage: Dual-Port SCSI device Storage Area Network (SAN) Network Attached Storage (NAS)"},"753":{y:0,u:"../users-guide/scsi-and-san.htm",l:-1,t:"SCSI and SAN",i:0.000228822666381883,a:"SCSI and SAN Dual-port SCSI and SAN solutions generally satisfy the  Write Order  and  Synchronous Write Persistence  criteria. (The clustering software must satisfy the remaining two criteria.) As always, you must confirm all four requirements with your vendors."},"754":{y:0,u:"../users-guide/nas.htm",l:-1,t:"NAS",i:0.000228822666381883,a:"NAS NAS solutions require a CS (rather than a CFS) to satisfy the  Distributed File Locking  criterion (see below). Some NAS solutions satisfy the criteria, and some do not; you must confirm all four requirements with your vendors."},"755":{y:0,u:"../users-guide/nas-with-nfs.htm",l:-1,t:"NAS with NFS",i:0.000228822666381883,a:"When NAS hardware uses NFS as its file system, it is particularly difficult to determine whether the solution meets the criteria. Our research indicates the following conclusions: \n   NFS v2 and NFS v3 definitely do \n\t\t  not satisfy the criteria. \n\t\t NFS v4 with TCP \n\t\t  might satisfy the criteria. ..."},"756":{y:0,u:"../users-guide/software-options.htm",l:-1,t:"Software Options",i:0.00330990123897288,a:"Consider these examples of commonly-sold software options: Cluster Server (CS) A cluster server monitors the EMS server processes and their host computers, and ensures that exactly one server process is running at all times. If that server fails, the CS restarts it; if the CS fails to restart it, it ..."},"757":{y:0,u:"../users-guide/messages-stored-in-s.htm",l:-1,t:"Messages Stored in Shared State",i:0.000228822666381883,a:"Messages with \n\t PERSISTENT delivery mode are stored, and are available in the event of active server failure. Messages with \n\t NON_PERSISTENT \n\t delivery mode are not available if the active server fails.\n   For more information about recovery of messages during failover, see \n\t\t Message Redelivery ..."},"758":{y:0,u:"../users-guide/storage-files.htm",l:-1,t:"Storage Files",i:0.000228822666381883,a:"By default, the \n\t tibemsd server creates three file-based stores to store shared state. \n   $sys.failsafe—This store holds persistent messages using synchronous I/O calls. \n\t\t $sys.nonfailsafe—This file stores messages using asynchronous I/O calls. \n\t\t $sys.meta—This store holds state information ..."},"759":{y:0,u:"../users-guide/storage-parameters.htm",l:-1,t:"Storage Parameters",i:0.000228822666381883,a:"Storage Parameters Several configuration parameters apply to EMS storage files (even when fault-tolerant operation is not configured).\n   For more information, see \n\t\t Storage File Parameters .\n\t "},"760":{y:0,u:"../users-guide/configure-fault-tole.htm",l:-1,t:"Configure Fault-Tolerant Servers",i:0.000228822666381883,a:"Configure Fault-Tolerant Servers The following topics describe how to configure fault-tolerant servers, for the shared state and the unshared state scenarios. \n  "},"761":{y:0,u:"../users-guide/shared-state2.htm",l:-1,t:"Shared State",i:0.000228822666381883,a:"To configure an EMS server as a fault-tolerant secondary, set parameters in its main configuration file (or on the server command line).  server    Set this parameter to the same server name in the configuration files of both the primary server and the secondary server.\n\t\t ft_active    In the ..."},"762":{y:0,u:"../users-guide/authorization-and-fa.htm",l:-1,t:"Authorization and Fault-Tolerant Servers",i:0.000396346225625893,a:"EMS authorization interacts with fault tolerance. If \n\t  authorization is enabled and the two EMS Servers are configured for fault tolerance, then both servers in a fault-tolerant pair must be configured. \n   The following files have to be updated: \n\t  The \n\t\t   tibemsd.conf file for each server ..."},"763":{y:0,u:"../users-guide/tls.htm",l:-1,t:"TLS",i:0.000549282075646772,a:"You can use TLS to secure communication between a pair of fault-tolerant servers. \n   Parameters in the main configuration file ( tibemsd.conf ) affect this behavior. The relevant parameters all begin with the prefix ft_ssl. \n\t  The server initializing a secure connection to another server uses the ..."},"764":{y:0,u:"../users-guide/reconnect-timeout.htm",l:-1,t:"Reconnect Timeout",i:0.000228822666381883,a:"When a standby server assumes the role of the active server during failover, clients attempt to reconnect to the standby server (that is, the new active) and continue processing their current message state. Before accepting reconnects from the clients, the new active server reads its message state ..."},"765":{y:0,u:"../users-guide/unshared-state.htm",l:-1,t:"Unshared State",i:0.000228822666381883,a:"When configuring a fault tolerant pair that does not share state, you must ensure that both servers use identical configurations.\n   This is especially important for these configuration settings:\n\t  Destinations\n\t\t\t\t   Both servers must support the same destinations.\n\t\t\t\t Routes\n\t\t\t\t   Messages must ..."},"766":{y:0,u:"../users-guide/fault-tolerance-with.htm",l:-1,t:"Fault Tolerance with a JSON Configuration",i:0.000228822666381883,a:"When using a JSON configuration, the same JSON file is used to manage both servers in a fault tolerant pair. Primary and secondary server roles are determined when the servers are started. \n   All but two configuration settings are shared by both EMS servers: the \n\t\tlisten and  ft_active parameters ..."},"767":{y:0,u:"../users-guide/configuring-fault-to.htm",l:-1,t:"Configuring Fault Tolerance",i:0.000228822666381883,a:"Configuring Fault Tolerance  To configure a fault tolerant server pair using a JSON configuration, refer to the \n\t\t TIBCO Messaging Manager  documentation.\n\t "},"768":{y:0,u:"../users-guide/configuration-errors.htm",l:-1,t:"Configuration Errors",i:0.000228822666381883,a:"When an EMS server is started, the fault tolerance mechanism is triggered by the presence of a URL in the \"secondary_listens\" node of a primary tibemsd, or by that of a URL in the \"primary_listens\" node of a secondary \n\t tibemsd. \n   Once fault tolerance is triggered, the EMS server generates an ..."},"769":{y:0,u:"../users-guide/configure-clients-fo2.htm",l:-1,t:"Configure Clients for Shared State Failover Connections",i:0.00148789034773754,a:"When a failover occurs and the standby server takes the active state, clients attempt to reconnect to this server (that is, the new active server). To enable a client to reconnect, you must specify the URLs of both servers when creating a connection.\n   Specify multiple servers as a comma-separated ..."},"770":{y:0,u:"../users-guide/specify-more-than-tw.htm",l:-1,t:"Specify More Than Two URLs",i:0.000228822666381883,a:"Even though there are only two servers (the primary and secondary servers), clients can specify more than two URLs for the connection. For example, if each server has more than one listen address, a client can reconnect to the same server at a different address (that is, at a different network ..."},"771":{y:0,u:"../users-guide/set-reconnection-fai.htm",l:-1,t:"Set Reconnection Failure Parameters",i:0.00242811732761232,a:"EMS allows you to establish separate parameters for initial connection attempts and reconnection attempts. \n   How to set the initial connection attempt parameters is described in \n\t\t Set Connection Attempts, Timeout and Delay Parameters . This section describes the parameters you can establish for ..."},"772":{y:0,u:"../users-guide/configure-clients-fo.htm",l:-1,t:"Configure Clients for Unshared State Failover Connections",i:0.000572027157506153,a:"\n            Unshared state failover is an extension of the Jakarta Messaging specification. Because state is not shared among servers, messages can be lost, duplicated, or delivered out-of-order across the failover process. \n\t  Unshared state connections are created differently from shared state ..."},"773":{y:0,u:"../users-guide/include-the-unshared.htm",l:-1,t:"Include the Unshared State Library",i:0.000228822666381883,a:"Java Applications \n\t\t   Before creating the connection factory, ensure that the \n\t\t\t CLASSPATH includes the JAR file: tibjmsufo.jar C Applications \n\t\t   Include the \n\t\t\t tibemsufo.h header file. \n\t\t   C# Applications \n\t\t   Include the \n\t\t\t TIBCO.EMS.UFO.dll file. \n\t\t  "},"774":{y:0,u:"../users-guide/create-an-unshared-s.htm",l:-1,t:"Create an Unshared State Connection Factory",i:0.000228822666381883,a:"To create unshared state connections, use the relevant methods:\n   Java Applications\n\t\t   java com.tibco.tibems.ufo package.\n\t\t   C Applications\n\t\t   tibemsufo library and functions.\n\t\t   C# Applications\n\t\t   TIBCO.EMS.UFO package.\n\t\t   Methods called inside a MessageListener callback immediately ..."},"775":{y:0,u:"../users-guide/connection-recovery.htm",l:-1,t:"Connection Recovery",i:0.000228822666381883,a:"When an unshared state connection fails, the connection’s \n\t\tExceptionListener callback is invoked. To recover the connection—repair it so that it is connected to an active server—the client application calls the connection factory’s \n\t\t recoverConnection method or ..."},"776":{y:0,u:"../users-guide/specify-server-urls.htm",l:-1,t:"Specify Server URLs",i:0.000228822666381883,a:"When a server connection is lost during an unshared state failover, clients attempt to reconnect to the second server. To enable a client to reconnect, you must specify the URLs of both servers when creating a connection. \n   Unshared State \n\t\t\t\t  Specify multiple servers as a list of URLs separated ..."},"777":{y:0,u:"../users-guide/set-connect-attempt-.htm",l:-1,t:"Set Connect Attempt and Reconnect Attempt Behavior",i:0.000228822666381883,a:"The effect of setting connect attempt and reconnect attempt properties at the application level is different when applied to unshared state connection factories.\n   If the EMS client is using a shared state connection factory, then the values specified by way of properties or API calls will be the ..."},"778":{y:0,u:"../users-guide/routes.htm",l:-1,t:"Routes",i:0.00130297818073483,a:"Routes The following sections describe routing of messages among TIBCO Enterprise Message Service servers. \n  "},"779":{y:0,u:"../users-guide/overview-of-routing.htm",l:-1,t:"Overview",i:0.000228822666381883,a:"TIBCO Enterprise Message Service servers can route messages to other servers. \n   Topic messages can travel one hop or multiple hops (from the first server). \n\t\t Queue messages can travel only one hop to the home queue, and one hop from the home queue. \n\t\t You can define routes using an ..."},"780":{y:0,u:"../users-guide/route.htm",l:-1,t:"Route",i:0.000228822666381883,a:"Route"},"781":{y:0,u:"../users-guide/basic-operation2.htm",l:-1,t:"Basic Operation",i:0.000228822666381883,a:"Each \n\t\t  route connects two TIBCO Enterprise Message Service servers. \n\t\t Each route forwards messages between corresponding destinations (that is, global topics with the same name, or explicitly routed queues) on its two servers. \n\t\t Routes are bidirectional; that is, each server in the pair ..."},"782":{y:0,u:"../users-guide/global-destinations.htm",l:-1,t:"Global Destinations",i:0.000228822666381883,a:"Routes forward messages only between global destinations—that is, for topics the \n\t\tglobal property must be set on both servers (for queues, see \n\t\t Routed Queues ). \n\t  For more information about destination properties, See \n\t\t Destination Properties . \n\t  The following image illustrates a route ..."},"783":{y:0,u:"../users-guide/unique-routing-path.htm",l:-1,t:"Unique Routing Path",i:0.000228822666381883,a:"It is illegal to define a set of routes that permit a message to reach a server by more than one path. TIBCO Enterprise Message Service servers detect illegal duplicate routes and report them as configuration errors. \n   The following image depicts two sets of routes. On the left, the routes ..."},"784":{y:0,u:"../users-guide/zone.htm",l:-1,t:"Zone",i:0.00067234828049791,a:"Zone Zones restrict the behavior of routes, so you can configure complex routing paths. Zones affect topic messages, but not queue messages."},"785":{y:0,u:"../users-guide/basic-operation.htm",l:-1,t:"Basic Operation",i:0.000228822666381883,a:"A \n\t zone is a named set of routes. Every route belongs to a zone. \n   A zone affects the forwarding behavior of its routes: \n\t  In a multi-hop (mhop) zone, topic messages travel along all applicable routes to all servers connected by routes within the zone. \n\t\t In a one-hop (1hop) zone, topic ..."},"786":{y:0,u:"../users-guide/eliminate-redundant-.htm",l:-1,t:"Eliminate Redundant Paths with a One-Hop Zone",i:0.000228822666381883,a:"The following image illustrates an enterprise with four servers: \n\t  B1 and B2 serve producers at branch offices of an enterprise. \n\t\t M serves consumers at the main office, which process the messages from the branches. \n\t\t R serves consumers that record messages for archiving, auditing, and backup. ..."},"787":{y:0,u:"../users-guide/overlapping-zones.htm",l:-1,t:"Overlapping Zones",i:0.000228822666381883,a:"A server can have routes that belong to several zones. When zones overlap at a server, the routing behavior within each zone does not limit routing in other zones. That is, when a forwarded message reaches a server with routes in several zones, the message crosses zone boundaries, and its hop count ..."},"788":{y:0,u:"../users-guide/active-and-passive-r.htm",l:-1,t:"Active and Passive Routes",i:0.000515714392425064,a:"Active and Passive Routes A route connects two servers. You may configure a route at either or both of the servers."},"789":{y:0,u:"../users-guide/active-passive-route.htm",l:-1,t:"Active-Passive Routes",i:0.000228822666381883,a:"When you configure a route at only one server, this asymmetry results in different perspectives on the route. \n   A route is \n\t\t  active from the perspective of the server where it is configured. This server actively initiates the connection to the other server, so we refer to it as the \n\t\t  active ..."},"790":{y:0,u:"../users-guide/active-active-routes.htm",l:-1,t:"Active-Active Routes",i:0.000228822666381883,a:"Two servers can both configure an active route one to the other. This arrangement is called an \n\t active-active configuration. \n   For example, server A specifies a route to server B, and B specifies a route to A. Either server can attempt to initiate the connection. This configuration results in ..."},"791":{y:0,u:"../users-guide/configure-routes-and.htm",l:-1,t:"Configure Routes and Zones",i:0.00086198876126384,a:"You can create routes using the administration tool, or the administration APIs (see \n\t com.tibco.tibjms.admin.RouteInfo in the online documentation). \n   Syntax To create a route using the administration tool, first connect to one of the servers, then use the \n\t\t  create route command with the ..."},"792":{y:0,u:"../users-guide/routes-to-fault-tole.htm",l:-1,t:"Routes to Fault-Tolerant Servers",i:0.000228822666381883,a:"You can configure servers for fault tolerance. Client applications can specify the primary and secondary servers. Once a client has connected to the active server, if its connection to the server fails, the client can connect to the standby server and resume operation. Similarly, a route ..."},"793":{y:0,u:"../users-guide/routing-and-tls.htm",l:-1,t:"Routing and TLS",i:0.000411999338684987,a:"When configuring a route, you can specify TLS parameters for the connection. Although both participants in a TLS connection must specify a similar set of parameters, each server specifies this information in a different place. \n   The passive server must specify TLS parameters in its main ..."},"794":{y:0,u:"../users-guide/tls-parameters-for-r.htm",l:-1,t:"TLS Parameters for Routes",i:0.000477845789943407,a:"The following table lists parameters that you can specify in the \n\t\t   routes.conf configuration file, or on the command line when creating a route. The parameters for configuring TLS between routed servers are similar to the parameters used to configure TLS between server and clients; see \n\t\t   TLS ..."},"795":{y:0,u:"../users-guide/routed-topic-message.htm",l:-1,t:"Routed Topic Messages",i:0.000228822666381883,a:"A server forwards topic messages along routes only when the global property is defined for the topic. \n   Topic messages can traverse multiple hops. \n\t  When a route becomes disconnected (for example, because of network problems), the forwarding server stores topic messages. When the route ..."},"796":{y:0,u:"../users-guide/registered-interest-.htm",l:-1,t:"Registered Interest Propagation",i:0.000228822666381883,a:"To ensure forwarding of messages along routes, servers propagate their topic subscriptions to other servers. \n   For example, the top of the following image depicts an enterprise with three servers—A, M and B—connected by routes in a multi-hop zone. The bottom of the figure illustrates the mechanism ..."},"797":{y:0,u:"../users-guide/selectors-for-routin.htm",l:-1,t:"Selectors for Routing Topic Messages",i:0.000661022462246511,a:"A server forwards a global topic message along routes to all servers with subscribers for that topic. When each of those other servers requires only a small subset of the messages, this policy could potentially result in a high volume of unwanted network traffic. \n\t  You can specify \n\t\tmessage ..."},"798":{y:0,u:"../users-guide/example.htm",l:-1,t:"Example",i:0.000326073911659134,a:"The following figure illustrates an enterprise with a central server for processing customer orders, and separate regional servers for billing those orders. For optimal use of network capacity, we configure topic selectors so that each regional server gets only those orders related to customers ..."},"799":{y:0,u:"../users-guide/specifying-selectors.htm",l:-1,t:"Specifying Selectors",i:0.000228822666381883,a:"Specify message selectors for global topics as properties of routes. You can define these properties in two ways: \n   Define selectors when creating the route (either in \n\t\t\t  routes.conf , or with the administrator command \n\t\t\t create route). \n\t\t   Manipulate selectors on an existing route (using ..."},"800":{y:0,u:"../users-guide/syntax.htm",l:-1,t:"Syntax",i:0.000228822666381883,a:"The message selector properties have the same syntax whether they appear in a command or in a configuration file:  incoming_topic=topicName selector=\"msg-selector\"\n outgoing_topic=topicName selector=\"msg-selector\" \n            The terms incoming and outgoing refer to the perspective of the active ..."},"801":{y:0,u:"../users-guide/example-syntax.htm",l:-1,t:"Example Syntax",i:0.000228822666381883,a:"As described in \n\t\t Example , an administrator might configure these routes on the central order server: \n\t  setprop route Canada outgoing_topic=\"orders\" selector=\"country=\u0027Canada\u0027\"\nsetprop route Mexico outgoing_topic=\"orders\" selector=\"country=\u0027Mexico\u0027\"\nsetprop route USA    outgoing_topic=\"orders\" ..."},"802":{y:0,u:"../users-guide/symmetry.htm",l:-1,t:"Symmetry",i:0.000228822666381883,a:"Symmetry outgoing_topic and \n\t incoming_topic are symmetric. Whether A specifies a route to B with \n\t incoming_topic selectors, or B specifies a route to A with \n\t outgoing_topic \n\t selectors, the effect is the same. That is, B sends only those messages that match the selector over the route.\n  "},"803":{y:0,u:"../users-guide/active-active-config.htm",l:-1,t:"Active-Active Configuration",i:0.000228822666381883,a:"In an active-active configuration, you may specify selectors on either or both servers. If you specify \n\t outgoing_topic \n\t selector S1 for topic T on server A, and \n\t incoming_topic selector S2 for T on server B, then the effective selector for T on the route from A to B is (S1 AND S2).\n   See also ..."},"804":{y:0,u:"../users-guide/wildcards2.htm",l:-1,t:"Wildcards",i:0.000423325156936386,a:"You can specify wildcards in topic names. For each actual topic, the server uses logical AND to combine all the selectors that match the topic.\n   \n            However, routing of topic messages is only reliably supported when the subscriber\u0027s topic is a subset (or equal) of the configured global ..."},"805":{y:0,u:"../users-guide/routed-queues.htm",l:-1,t:"Routed Queues",i:0.000326073911659134,a:"With respect to routing, queues differ from topics in several respects. \n   These differences can be summarized as: \n\t  Servers route queue messages between the queue owner and adjacent servers. \n\t\t The concept of zones and hops does not apply to queue messages (only to topic messages). \n\t\t The left ..."},"806":{y:0,u:"../users-guide/owner-and-home.htm",l:-1,t:"Owner and Home",i:0.000228822666381883,a:"Server R defines a global queue named Q1. R is the owner of Q1. Servers P and S define routed queues Q1@R. This designation indicates that these queues depend upon and reflect their home queue (that is, Q1 on server R). Notice that the designation Q1@R is only for the purpose of configuration; ..."},"807":{y:0,u:"../users-guide/example3.htm",l:-1,t:"Example",i:0.000228822666381883,a:"When J sends a message to Q1, server P forwards the message to the home queue—Q1 on server R. Now the message is available to receivers on all three servers, P, R and S—although only one client can consume the message. Either Q1 on P receives it on behalf of K; or Q1 on S receives it on behalf of N; ..."},"808":{y:0,u:"../users-guide/producers.htm",l:-1,t:"Producers",i:0.000228822666381883,a:"From the perspective of producer clients, a routed queue stores messages and forwards them to the home queue. For example, when J sends a message to Q1 on server P, P forwards it to the queue owner, R, which delivers it to Q1 (the home queue).\n   The message is not available for consumers until it ..."},"809":{y:0,u:"../users-guide/consumers.htm",l:-1,t:"Consumers",i:0.000228822666381883,a:"From the perspective of consumer clients, a routed queue acts as a proxy receiver. For example, when L sends a message to Q1 on server R, Q1 on P can receive it from R on behalf of K, and immediately gives it to K. If server P fails, or the route connection from P to R fails, K cannot receive ..."},"810":{y:0,u:"../users-guide/configuration2.htm",l:-1,t:"Configuration",i:0.000228822666381883,a:"You must explicitly configure each routed queue in \n\t\t queues.conf —clients cannot create routed queues dynamically. \n\t  \n            Dynamic routed queues are not supported. In a future release, the server will consider a routed queue with a wildcard as a misconfiguration and will fail to start ..."},"811":{y:0,u:"../users-guide/browsing.htm",l:-1,t:"Browsing",i:0.000228822666381883,a:"Browsing Queue browsers cannot examine routed queues. That is, you can create a browser only on the server that owns the home queue.\n  "},"812":{y:0,u:"../users-guide/transactions3.htm",l:-1,t:"Transactions",i:0.000228822666381883,a:"Transactions TIBCO Enterprise Message Service does not support transactional consumers on routed queues (through the use of XA or local transacted sessions). \n  "},"813":{y:0,u:"../users-guide/routing-and-authoriz.htm",l:-1,t:"Routing and Authorization",i:0.000347720602987267,a:"Routing and Authorization"},"814":{y:0,u:"../users-guide/user-password.htm",l:-1,t:"User \u0026 Password",i:0.000228822666381883,a:"When a server’s \n\t\t authorization parameter is enabled, other servers that actively connect to it must authenticate themselves by name and password, or by X.509 certificate. \n\t  In the above image, servers A and B both configure active routes to one another. \n\t  Because A enables authorization, A ..."},"815":{y:0,u:"../users-guide/acl.htm",l:-1,t:"ACL",i:0.000228822666381883,a:"When routing a secure topic or queue, servers consult the ACL specification before forwarding each message. The servers must grant one another appropriate permissions to send, receive, publish or subscribe. \n\t  For example, in above image, you don’t need an ACL for messages to flow from A (where a ..."},"816":{y:0,u:"../users-guide/conversion-of-server.htm",l:-1,t:"Conversion of Server Configuration Files to JSON",i:0.00583379918557447,a:"The \n\t tibemsconf2json utility is provided to convert a set of text-based EMS server configuration files into a single JSON configuration file. \n   When using the utility, keep in mind that: \n\t\t If there are any unsupported parameters in the source configuration file, the \n\t\t\t tibemsconf2json ..."},"817":{y:0,u:"../users-guide/monitor-messages2.htm",l:-1,t:"Monitor Messages",i:0.00210318664441053,a:"Monitor Messages This section lists all the topics on which the server publishes messages for system events. The message properties for messages published on each topic are also described.\n   See \n\t\t Monitor Server Events  for more information about monitor topics and messages.\n\t "},"818":{y:0,u:"../users-guide/description-of-monit.htm",l:-1,t:"Description of Monitor Topics",i:0.000228822666381883,a:"Description of Monitor Topics"},"819":{y:0,u:"../users-guide/description-of-topic.htm",l:-1,t:"Description of Topic Message Properties",i:0.00152208436289427,a:"Each monitor message can have a different set of these properties. \n   Event Action Property Values Event Action Value \n\t\t\t  Description \n\t\t\t  accept connection accepted \n\t\t\t  acknowledge message is acknowledged \n\t\t\t  add user added to a group \n\t\t\t  admin_commit administrator manually committed an ..."},"820":{y:0,u:"../users-guide/error-and-status-mes2.htm",l:-1,t:"Error and Status Messages",i:0.000228822666381883,a:"Error and Status Messages This section lists all possible error messages that the server can output, alphabetized by category. \n  "},"821":{y:0,u:"../users-guide/error-status-message-new.htm",l:-1,t:"Error and Status Codes",i:0.000228822666381883,a:"Authentication error Description The EMS server failed to authenticate the user or password. Resolution Ensure the user is defined to EMS by one of the methods allowed by the user_auth parameter in the main configuration file. The user is either specified by the application or in the TLS ..."},"822":{y:0,u:"../c-and-cobol-reference/introduction.htm",l:-1,t:"Introduction",i:0.00058865558875945,a:"Introduction The following topics present concepts specific to the TIBCO Enterprise Message Service™ C API and COBOL API. For more information, see \n\t TIBCO Enterprise Message Service™ User Guide.  "},"823":{y:0,u:"../c-and-cobol-reference/overview.htm",l:-1,t:"Overview",i:0.000228822666381883,a:"TIBCO Enterprise Message Service Java API implements (and extends) the JMS 2.0 specification. TIBCO Enterprise Message Service C API closely mimics the Java API. EMS COBOL API brings the power of EMS to z/OS systems. Its entry points parallel those of the C API, with identical function names and ..."},"824":{y:0,u:"../c-and-cobol-reference/excluded-features-an.htm",l:-1,t:"Excluded Features and Restrictions",i:0.000228822666381883,a:"Excluded Features and Restrictions This section summarizes features that are not available in either the C library, or the COBOL library.\n  "},"825":{y:0,u:"../c-and-cobol-reference/naming-conventions-a.htm",l:-1,t:"Naming Conventions and Length Limitations",i:0.000228822666381883,a:"Naming Conventions and Length Limitations The rules that govern naming conventions and length limitations in TIBCO Enterprise Message Service are described in the \n\t TIBCO Enterprise Message Service User Guide. \n  "},"826":{y:0,u:"../c-and-cobol-reference/strings-and-characte.htm",l:-1,t:"Strings and Character Encodings",i:0.000918170155574276,a:"Typically, C clients manipulate strings using the character encoding of the machine on which they are running. \n   The EMS C client library itself does not do any encoding or decoding of characters. When sending a message, an EMS C client application can use \n\t\t tibemsMsg_SetEncoding to put ..."},"827":{y:0,u:"../c-and-cobol-reference/ibm-zos-and-ibm-i-i.htm",l:-1,t:"IBM z/OS and IBM i (i5)—COBOL and C",i:0.000228822666381883,a:"In EBCDIC environments, the EMS client library automatically converts message strings. To client programs, all strings appear in the host code page. On the network, all strings appear in the network host page. For details, see \n\t  tibems_SetCodePages() All the COBOL calls documented in this ..."},"828":{y:0,u:"../c-and-cobol-reference/configuring-c-and-co.htm",l:-1,t:"Configuring C and COBOL Clients for Fault-Tolerant Connections",i:0.00113287652815008,a:"When connecting a fault-tolerant client to EMS, you must specify two or more EMS servers. \n   C clients list the primary and backup server URLs in the \n\t\tbrokerURL argument to a connection constructor, separated by a comma. \n\t  Example In this example, the first server is \n\t\ttcp://server0:7222, and ..."},"829":{y:0,u:"../c-and-cobol-reference/messages.htm",l:-1,t:"Messages",i:0.000228822666381883,a:"Messages Message objects carry application data between client program processes. The following topics present the structure of Jakarta Messaging message selector syntax to specify a subset of messages based on their property values, the message types, and their functions.\n  "},"830":{y:0,u:"../c-and-cobol-reference/parts-of-a-message.htm",l:-1,t:"Parts of a Message",i:0.000228822666381883,a:"Messages consist of three parts: \n   Body The body of a message bears the information content of an application. Several types of message body organize that information in different ways; see \n\t\t\t\t Body Types . \n\t\t\t  Header Headers associate a fixed set of header field names with values. Clients and ..."},"831":{y:0,u:"../c-and-cobol-reference/body-types.htm",l:-1,t:"Body Types",i:0.000684921865351522,a:"EMS follows Jakarta Messaging in defining five types of message body: \n   tibemsMapMsg  \n\t\t   The message body is a mapping from field names to values. Field names are strings. EMS supports an extended set of values types (extending Jakarta Messaging). Programs can access fields either by name, or ..."},"832":{y:0,u:"../c-and-cobol-reference/headers.htm",l:-1,t:"Headers",i:0.0005769105972095,a:"Jakarta Messaging Message headers associate a fixed set of header field names with values. Clients and providers use headers to identify and route messages. \n   Programs can access header values using the function calls in the following table. \n\t\t However, programs can effectively set only three ..."},"833":{y:0,u:"../c-and-cobol-reference/properties.htm",l:-1,t:"Properties",i:0.000228822666381883,a:"Properties Properties associate an extensible set of property field names with values. The EMS server uses properties to attach ancillary information to messages. Client applications can also use properties—for example, to customize message filtering; see  Message Selectors ."},"834":{y:0,u:"../c-and-cobol-reference/setting-message-prop.htm",l:-1,t:"Set Message Properties",i:0.000228822666381883,a:"Property names must conform to the syntax for message selector identifiers. \n   For more information on the syntax, see \n\t\t Identifiers . \n\t  Property values cannot be null or an empty string. \n\t  Sending programs can set property values before sending a message. \n\t  Receiving programs cannot ..."},"835":{y:0,u:"../c-and-cobol-reference/ems-properties.htm",l:-1,t:"EMS Properties",i:0.00734216509616257,a:"The Jakarta Messaging specification reserves the property name prefix JMS_vendor_name_ for provider-specific properties (for EMS, this prefix is \n\t JMS_TIBCO_). Properties that begin with this prefix refer to features of EMS; client programs may use these properties to access those features, but not ..."},"836":{y:0,u:"../c-and-cobol-reference/jms-properties.htm",l:-1,t:"JMS Properties",i:0.000228822666381883,a:"Jakarta Messaging Properties The Jakarta Messaging specification reserves the property name prefix \n\t JMSX for properties defined by Jakarta Messaging. Client programs may use these properties to access those features, but not for communicating application-specific information among client ..."},"837":{y:0,u:"../c-and-cobol-reference/message-selectors.htm",l:-1,t:"Message Selectors",i:0.00789071686934529,a:"A message selector is string that lets a client program specify a set of messages, based on the values of message headers and properties. A selector matches a message if, after substituting header and property values from the message into the selector string, the string evaluates to true. Consumers ..."},"838":{y:0,u:"../c-and-cobol-reference/identifiers.htm",l:-1,t:"Identifiers",i:0.000326073911659134,a:"Identifiers can refer to the values of message headers and properties, but not to the message body. Identifiers are case-sensitive. \n   Basic Syntax An identifier is a sequence of letters and digits, of any length, that begins with a letter. As in Java, the set of letters includes _ (underscore) and ..."},"839":{y:0,u:"../c-and-cobol-reference/literals.htm",l:-1,t:"Literals",i:0.000228822666381883,a:"String Literal \n\t\t\t  A string literal is enclosed in single quotes. To represent a single quote within a literal, use two single quotes; for example, \n\t\t\t\t\u0027literal\u0027\u0027s\u0027. String literals use the Unicode character encoding. String literals are case sensitive. \n\t\t\t  Exact Numeric Literal \n\t\t\t  An exact ..."},"840":{y:0,u:"../c-and-cobol-reference/expressions.htm",l:-1,t:"Expressions",i:0.000228822666381883,a:"Selectors as Expressions Every selector is a conditional expression. A selector that evaluates to true matches the message; a selector that evaluates to false or unknown does not match. \n\t\t\t  Arithmetic Expression Arithmetic expressions are composed of numeric literals, identifiers (that evaluate to ..."},"841":{y:0,u:"../c-and-cobol-reference/operators.htm",l:-1,t:"Operators",i:0.000228822666381883,a:"Case Insensitivity Operator names are not case-sensitive. \n\t\t\t  Logical Operators \n\t\t\t  Logical operators in precedence order: \n\t\t\t\tNOT, \n\t\t\t\tAND, \n\t\t\t\tOR. \n\t\t\t  Comparison Operators \n\t\t\t  Comparison operators: =, \u003e, \u003e=, \u003c, \u003c=, \u003c\u003e (not equal). \n\t\t\t  These operators can compare only values of ..."},"842":{y:0,u:"../c-and-cobol-reference/white-space.htm",l:-1,t:"White Space",i:0.000228822666381883,a:"White Space White space is any of the characters space, horizontal tab, form feed, or line terminator—or any contiguous run of characters in this set.\n  "},"843":{y:0,u:"../c-and-cobol-reference/data-type-conversion.htm",l:-1,t:"Data Type Conversion",i:0.000228822666381883,a:"The following table summarizes legal datatype conversions. The symbol X in indicates that a value written into a message as the row type can be extracted as the column type. This table applies to all message values—including map pairs, headers and properties—except as noted below. \n   Notes Message ..."},"844":{y:0,u:"../c-and-cobol-reference/tibemsmsg.htm",l:-1,t:"tibemsMsg",i:0.0200651622057947,a:"Type Purpose Messages that carry information among EMS client programs. \n\t\t Related Types tibemsBytesMsg, \n\t\t   tibemsMapMsg, \n\t\t   tibemsObjectMsg, \n\t\t   tibemsStreamMsg, \n\t\t   tibemsTextMsg Message Constants Constant \n\t\t\t\t Description \n\t\t\t\t TIBEMS_DEFAULT_DELIVERY_MODE TIBEMS_PERSISTENT When ..."},"845":{y:0,u:"../c-and-cobol-reference/tibemsmsg-acknowledg.htm",l:-1,t:"tibemsMsg_Acknowledge",i:0.00104042590075458,a:"Function Purpose Acknowledge messages. \n\t\t C Declaration tibems_status  tibemsMsg_Acknowledge(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_Acknowledge\"\n     USING BY VALUE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks The behavior ..."},"846":{y:0,u:"../c-and-cobol-reference/tibemsmsg-clearbody.htm",l:-1,t:"tibemsMsg_ClearBody",i:0.00114985940631701,a:"Function Purpose Clear the body of a message. \n\t\t C Declaration tibems_status  tibemsMsg_ClearBody(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_ClearBody\"\n     USING BY VALUE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks Clearing ..."},"847":{y:0,u:"../c-and-cobol-reference/tibemsmsg-clearprope.htm",l:-1,t:"tibemsMsg_ClearProperties",i:0.000674161842486752,a:"Function Purpose Clear the properties of a message. \n\t\t C Declaration tibems_status  tibemsMsg_ClearProperties(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_ClearProperties\"\n     USING BY VALUE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters ..."},"848":{y:0,u:"../c-and-cobol-reference/tibemsmsg-create.htm",l:-1,t:"tibemsMsg_Create",i:0.00145514550958785,a:"Function Purpose Create a message object. \n\t\t C Declaration tibems_status  tibemsMsg_Create(\n     tibemsMsg * message ); COBOL Call CALL \"tibemsMsg_Create\"\n     USING BY REFERENCE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks Create a new ..."},"849":{y:0,u:"../c-and-cobol-reference/tibemsmsg-createcopy.htm",l:-1,t:"tibemsMsg_CreateCopy",i:0.0005769105972095,a:"Function Purpose Create a copy of the message object. \n\t\t C Declaration tibems_status  tibemsMsg_CreateCopy(\n    const  tibemsMsg  message,\n     tibemsMsg * copy ); COBOL Call CALL \"tibemsMsg_CreateCopy\"\n     USING BY VALUE message,\n           BY REFERENCE copy,\n           RETURNING ..."},"850":{y:0,u:"../c-and-cobol-reference/tibemsmsg-createfrom.htm",l:-1,t:"tibemsMsg_CreateFromBytes",i:0.000835759905950961,a:"Function Purpose Create a message object from data in a byte sequence. \n\t\t C Declaration tibems_status  tibemsMsg_CreateFromBytes(\n     tibemsMsg * message,\n    const void* bytes ); COBOL Call CALL \"tibemsMsg_CreateFromBytes\"\n     USING BY REFERENCE message,\n           BY REFERENCE bytes,\n           ..."},"851":{y:0,u:"../c-and-cobol-reference/tibemsmsg-destroy.htm",l:-1,t:"tibemsMsg_Destroy",i:0.00203322941859788,a:"tibemsMsg_Destroy Function Purpose Destroy a message. \n\t\t C Declaration tibems_status  tibemsMsg_Destroy(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_Destroy\"\n     USING BY VALUE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters"},"852":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getasbytes.htm",l:-1,t:"tibemsMsg_GetAsBytes",i:0.000835759905950961,a:"Function Purpose Get a byte sequence representation of the message object. \n\t\t C Declaration tibems_status  tibemsMsg_GetAsBytes(\n    const  tibemsMsg  message,\n    const void** bytes,\n     tibems_int * actual_size ); COBOL Call CALL \"tibemsMsg_GetAsBytes\"\n     USING BY VALUE message,\n           BY ..."},"853":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getasbytes2.htm",l:-1,t:"tibemsMsg_GetAsBytesCopy",i:0.000991327201561744,a:"Function Purpose Copy a byte sequence representation of the message object into storage supplied by the program. \n\t\t C Declaration tibems_status  tibemsMsg_GetAsBytesCopy(\n    const  tibemsMsg  message,\n    const void* bytes,\n     tibems_int  avail_size,\n     tibems_int * actual_size ); COBOL Call ..."},"854":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getbodytyp.htm",l:-1,t:"tibemsMsg_GetBodyType",i:0.00153873784472454,a:"Function Purpose Get the body type of a message. \n\t\t \n                Message body type is distinct from message type—even though they have similar names. Contrast \n\t\t   tibemsMsg_GetType. \n\t\t C Declaration tibems_status  tibemsMsg_GetBodyType(\n     tibemsMsg  message,\n     tibemsMsgType * type ); ..."},"855":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getbytesiz.htm",l:-1,t:"tibemsMsg_GetByteSize",i:0.000835759905950961,a:"Function Purpose Compute the size of the byte sequence representation of the message. \n\t\t C Declaration tibems_status  tibemsMsg_GetByteSize(\n     tibemsMsg  message,\n     tibems_int * size ); COBOL Call CALL \"tibemsMsg_GetByteSize\"\n     USING BY VALUE message,\n           BY REFERENCE size,\n         ..."},"856":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getcorrela.htm",l:-1,t:"tibemsMsg_GetCorrelationID",i:0.00116746069387636,a:"Function Purpose Get the correlation ID header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetCorrelationID(\n     tibemsMsg  message,\n    const char** value ); COBOL Call CALL \"tibemsMsg_GetCorrelationID\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"857":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getdeliver.htm",l:-1,t:"tibemsMsg_GetDeliveryMode",i:0.000754067241799661,a:"Function Purpose Get the delivery mode header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetDeliveryMode(\n     tibemsMsg  message,\n     tibemsDeliveryMode * value ); COBOL Call CALL \"tibemsMsg_GetDeliveryMode\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           ..."},"858":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getdeliver2.htm",l:-1,t:"tibemsMsg_GetDeliveryTime",i:0.000795714216425016,a:"Function Purpose Get the delivery time header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetDeliveryTime(\n     tibemsMsg  message,\n     tibems_long * time ); COBOL Call CALL \"tibemsMsg_GetDeliveryTime\"\n     USING BY VALUE message,\n           BY REFERENCE time,\n           RETURNING ..."},"859":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getdestina.htm",l:-1,t:"tibemsMsg_GetDestination",i:0.00128355951270665,a:"Function Purpose Get the destination header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetDestination(\n     tibemsMsg  message,\n     tibemsDestination * value ); COBOL Call CALL \"tibemsMsg_GetDestination\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           ..."},"860":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getencodin.htm",l:-1,t:"tibemsMsg_GetEncoding",i:0.00122813815379974,a:"Function Purpose Get the character encoding header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetEncoding(\n    const  tibemsMsg  message,\n    const char** value ); COBOL Call CALL \"tibemsMsg_GetEncoding\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"861":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getexpirat.htm",l:-1,t:"tibemsMsg_GetExpiration",i:0.00069468082932975,a:"Function Purpose Get the expiration header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetExpiration(\n     tibemsMsg  message,\n     tibems_long * value ); COBOL Call CALL \"tibemsMsg_GetExpiration\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"862":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getmessage.htm",l:-1,t:"tibemsMsg_GetMessageID",i:0.00120987016640922,a:"Function Purpose Get the message ID header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetMessageID(\n     tibemsMsg  message,\n    const char** value ); COBOL Call CALL \"tibemsMsg_GetMessageID\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"863":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getpriorit.htm",l:-1,t:"tibemsMsg_GetPriority",i:0.000691835075411045,a:"Function Purpose Get the priority header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetPriority(\n     tibemsMsg  message,\n     tibems_int * value ); COBOL Call CALL \"tibemsMsg_GetPriority\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"864":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getpropert.htm",l:-1,t:"tibemsMsg_Get Property",i:0.000910034838246978,a:"Function Purpose Get the value of a message property. \n\t\t C Declaration tibems_status  tibemsMsg_Get Property(\n     tibemsMsg  message, \n    const char* name,\n     tibemsMsgField * value );\n\n  tibems_status  tibemsMsg_GetBooleanProperty(\n      tibemsMsg  message, \n     const char* name,\n      ..."},"865":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getpropert2.htm",l:-1,t:"tibemsMsg_GetPropertyNames",i:0.000814347043873694,a:"Function Purpose Get a list of property names from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetPropertyNames(\n     tibemsMsg  message,\n     tibemsMsgEnum * enumeration ); COBOL Call CALL \"tibemsMsg_GetPropertyNames\"\n     USING BY VALUE message,\n           BY REFERENCE enumeration,\n      ..."},"866":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getredeliv.htm",l:-1,t:"tibemsMsg_GetRedelivered",i:0.000754067241799661,a:"Function Purpose Get the redelivered header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetRedelivered(\n     tibemsMsg  message,\n     tibems_bool * value ); COBOL Call CALL \"tibemsMsg_GetRedelivered\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"867":{y:0,u:"../c-and-cobol-reference/tibemsmsg-getreplyto.htm",l:-1,t:"tibemsMsg_GetReplyTo",i:0.000715453226512497,a:"Function Purpose Get the reply-to header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetReplyTo(\n     tibemsMsg  message,\n     tibemsDestination * value ); COBOL Call CALL \"tibemsMsg_GetReplyTo\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"868":{y:0,u:"../c-and-cobol-reference/tibemsmsg-gettimesta.htm",l:-1,t:"tibemsMsg_GetTimestamp",i:0.000715453226512497,a:"Function Purpose Get the timestamp header from a message. \n\t\t C Declaration tibems_status  tibemsMsg_GetTimestamp(\n     tibemsMsg  message,\n     tibems_long * value ); COBOL Call CALL \"tibemsMsg_GetTimestamp\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"869":{y:0,u:"../c-and-cobol-reference/tibemsmsg-gettype.htm",l:-1,t:"tibemsMsg_GetType",i:0.00102803665275176,a:"Function Purpose Get the type header of a message. \n\t\t \n                Message type is distinct from message body type—even though they have similar names. Contrast \n\t\t   tibemsMsg_GetBodyType . \n\t\t C Declaration tibems_status  tibemsMsg_GetType(\n     tibemsMsg  message,\n    const char** value ); ..."},"870":{y:0,u:"../c-and-cobol-reference/tibemsmsg-makewritea.htm",l:-1,t:"tibemsMsg_MakeWriteable",i:0.00702060195095699,a:"Function Purpose Make a message writeable. \n\t\t C Declaration tibems_status  tibemsMsg_MakeWriteable(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_MakeWriteable\"\n     USING BY VALUE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters"},"871":{y:0,u:"../c-and-cobol-reference/tibemsmsg-print.htm",l:-1,t:"tibemsMsg_Print",i:0.00100335775744258,a:"Function Purpose Print a message. \n\t\t C Declaration void tibemsMsg_Print(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_Print\"\n    USING BY VALUE message,\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks This call prints a string that includes the body type, headers (name-value ..."},"872":{y:0,u:"../c-and-cobol-reference/tibemsmsg-printtobuf.htm",l:-1,t:"tibemsMsg_PrintToBuffer",i:0.00100335775744258,a:"Function Purpose Print a message into a buffer. \n\t\t C Declaration tibems_status  tibemsMsg_PrintToBuffer(\n    tibemsMsg message,\n    char* buffer,\n    tibems_int maxlen ); COBOL Call CALL \"tibemsMsg_PrintToBuffer\"\n    USING BY VALUE message,\n    BY REFERENCE buffer,\n    BY VALUE ..."},"873":{y:0,u:"../c-and-cobol-reference/tibemsmsg-propertyex.htm",l:-1,t:"tibemsMsg_PropertyExists",i:0.0005769105972095,a:"Function Purpose Test whether a named property has been set on a message. \n\t\t C Declaration tibems_status  tibemsMsg_PropertyExists(\n     tibemsMsg  message,\n    const char* name,\n     tibems_bool * result ); COBOL Call CALL \"tibemsMsg_PropertyExists\"\n     USING BY VALUE message,\n           BY ..."},"874":{y:0,u:"../c-and-cobol-reference/tibemsmsg-recover.htm",l:-1,t:"tibemsMsg_Recover",i:0.000725783089345756,a:"Function Purpose Recover a single message. \n\t\t C Declaration tibems_status  tibemsMsg_Recover(\n     tibemsMsg  message ); COBOL Call CALL \"tibemsMsg_Recover\"\n     USING BY VALUE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks When the ..."},"875":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setcorrela.htm",l:-1,t:"tibemsMsg_SetCorrelationID",i:0.00119845192124548,a:"Function Purpose Set the correlation ID header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetCorrelationID(\n     tibemsMsg  message,\n    const char* value ); COBOL Call CALL \"tibemsMsg_SetCorrelationID\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"876":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setdeliver.htm",l:-1,t:"tibemsMsg_SetDeliveryMode",i:0.000754067241799661,a:"Function Purpose Set the delivery mode header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetDeliveryMode(\n     tibemsMsg  message,\n     tibemsDeliveryMode  value ); COBOL Call CALL \"tibemsMsg_SetDeliveryMode\"\n     USING BY VALUE message,\n           BY VALUE value,\n           RETURNING ..."},"877":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setdestina.htm",l:-1,t:"tibemsMsg_SetDestination",i:0.00124945612785369,a:"Function Purpose Set the destination header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetDestination(\n     tibemsMsg  message,\n     tibemsDestination  value ); COBOL Call CALL \"tibemsMsg_SetDestination\"\n     USING BY VALUE message,\n           BY VALUE value,\n           RETURNING ..."},"878":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setencodin.htm",l:-1,t:"tibemsMsg_SetEncoding",i:0.00122813815379974,a:"Function Purpose Set the character encoding header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetEncoding(\n     tibemsMsg  message,\n    const char* value ); COBOL Call CALL \"tibemsMsg_SetEncoding\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"879":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setexpirat.htm",l:-1,t:"tibemsMsg_SetExpiration",i:0.000711921740774583,a:"Function Purpose Set the expiration header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetExpiration(\n     tibemsMsg  message,\n     tibems_long  value ); COBOL Call CALL \"tibemsMsg_SetExpiration\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"880":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setmessage.htm",l:-1,t:"tibemsMsg_SetMessageID",i:0.00079950861979586,a:"Function Purpose Set the message ID header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetMessageID(\n     tibemsMsg  message,\n    const char* value ); COBOL Call CALL \"tibemsMsg_SetMessageID\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"881":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setpriorit.htm",l:-1,t:"tibemsMsg_SetPriority",i:0.000691835075411045,a:"Function Purpose Set the priority header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetPriority(\n     tibemsMsg  message,\n     tibems_int  value ); COBOL Call CALL \"tibemsMsg_SetPriority\"\n     USING BY VALUE message,\n           BY VALUE value,\n           RETURNING ..."},"882":{y:0,u:"../c-and-cobol-reference/tibemsmsg-set-proper.htm",l:-1,t:"tibemsMsg_Set Property",i:0.000705838241600881,a:"Function Purpose Set the value of a message property. \n\t\t C Declaration tibems_status  tibemsMsg_SetBooleanProperty(\n     tibemsMsg  message, \n    const char* name,\n     tibems_bool  value );\n\n tibems_status  tibemsMsg_SetByteProperty(\n     tibemsMsg  message, \n    const char* name,\n     tibems_byte ..."},"883":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setredeliv.htm",l:-1,t:"tibemsMsg_SetRedelivered",i:0.000754067241799661,a:"Function Purpose Set the redelivered header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetRedelivered(\n     tibemsMsg  message,\n     tibems_bool  value ); COBOL Call CALL \"tibemsMsg_SetRedelivered\"\n     USING BY VALUE message,\n           BY VALUE value,\n           RETURNING ..."},"884":{y:0,u:"../c-and-cobol-reference/tibemsmsg-setreplyto.htm",l:-1,t:"tibemsMsg_SetReplyTo",i:0.000715453226512497,a:"Function Purpose Set the reply-to header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetReplyTo(\n     tibemsMsg  message,\n     tibemsDestination  value ); COBOL Call CALL \"tibemsMsg_SetReplyTo\"\n     USING BY VALUE message,\n           BY VALUE value,\n           RETURNING ..."},"885":{y:0,u:"../c-and-cobol-reference/tibemsmsg-settimesta.htm",l:-1,t:"tibemsMsg_SetTimestamp",i:0.000715453226512497,a:"Function Purpose Set the timestamp header of a message. \n\t\t C Declaration tibems_status  tibemsMsg_SetTimestamp(\n     tibemsMsg  message,\n     tibems_long  value ); COBOL Call CALL \"tibemsMsg_SetTimestamp\"\n     USING BY VALUE message,\n           BY VALUE value,\n           RETURNING ..."},"886":{y:0,u:"../c-and-cobol-reference/tibemsmsg-settype.htm",l:-1,t:"tibemsMsg_SetType",i:0.000812288588754748,a:"Function Purpose Set the type header of a message. \n\t\t \n                Message type is distinct from message body type—even though they have similar names. Contrast \n\t\t   tibemsMsg_GetBodyType . \n\t\t C Declaration tibems_status  tibemsMsg_SetType(\n     tibemsMsg  message,\n    const char* value ); ..."},"887":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg.htm",l:-1,t:"tibemsBytesMsg",i:0.00962916614751231,a:"tibemsBytesMsg Type Purpose Message containing a stream of uninterrupted bytes. \n\t\t Related Types tibemsMsg Remarks Messages with this body type contain a single value, which is a byte sequence. \n\t\t"},"888":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-creat.htm",l:-1,t:"tibemsBytesMsg_Create",i:0.0010473421937618,a:"Function Purpose Create a bytes message. \n\t\t C Declaration tibems_status  tibemsBytesMsg_Create(\n     tibemsBytesMsg * message ); COBOL Call CALL \"tibemsBytesMsg_Create\"\n USING BY REFERENCE message,\n       RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks This call ..."},"889":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-getbo.htm",l:-1,t:"tibemsBytesMsg_GetBodyLength",i:0.0010473421937618,a:"Function Purpose Get the body length (in bytes) of a bytes message. \n\t\t C Declaration tibems_status  tibemsBytesMsg_GetBodyLength(\n     tibemsMsg  message,\n     tibems_int * return_length ); COBOL Call CALL \"tibemsBytesMsg_GetBodyLength\"\n USING BY VALUE message,\n       BY REFERENCE ..."},"890":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-getby.htm",l:-1,t:"tibemsBytesMsg_GetBytes",i:0.0010473421937618,a:"Function Purpose Get the body data of a bytes message. \n\t\t C Declaration tibems_status  tibemsBytesMsg_GetBytes(\n     tibemsBytesMsg  message,\n    void** bytes,\n     tibems_uint * byteSize ); COBOL Call CALL \"tibemsBytesMsg_GetBytes\"\n USING BY VALUE message,\n       BY REFERENCE bytes,\n       BY ..."},"891":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-read.htm",l:-1,t:"tibemsBytesMsg_Read",i:0.0010473421937618,a:"Function Purpose Read primitive datatypes from the byte stream in the message body. \n\t\t C Declaration tibems_status  tibemsBytesMsg_ReadBoolean(\n     tibemsBytesMsg  message,\n     tibems_bool * value );\n\n tibems_status  tibemsBytesMsg_ReadByte(\n     tibemsBytesMsg  message,\n     tibems_byte * value ..."},"892":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-readb.htm",l:-1,t:"tibemsBytesMsg_ReadBytes",i:0.00126991314754814,a:"Function Purpose Read bytes to a byte sequence from the byte stream in the message body. \n\t\t C Declaration tibems_status  tibemsBytesMsg_ReadBytes(\n     tibemsBytesMsg  message,\n    const void** value,\n     tibems_int    requested_length,\n     tibems_int *  return_length ); COBOL Call CALL ..."},"893":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-reset.htm",l:-1,t:"tibemsBytesMsg_Reset",i:0.0010473421937618,a:"Function Purpose Set the read position to the beginning of the byte stream, and mark the message body as read-only. \n\t\t C Declaration tibems_status  tibemsBytesMsg_Reset(\n     tibemsBytesMsg  message ); COBOL Call CALL \"tibemsBytesMsg_Reset\"\n USING BY ..."},"894":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-setby.htm",l:-1,t:"tibemsBytesMsg_SetBytes",i:0.0010473421937618,a:"Function Purpose Set the body data of a bytes message from a byte sequence.\n\t\t C Declaration tibems_status  tibemsBytesMsg_SetBytes(\n     tibemsBytesMsg  message,\n    const void* bytes,\n     tibems_uint  byteSize ); COBOL Call CALL \"tibemsBytesMsg_SetBytes\"\n USING BY VALUE message,\n       BY ..."},"895":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-write.htm",l:-1,t:"tibemsBytesMsg_Write",i:0.0010473421937618,a:"Function Purpose Write primitive datatypes to the byte stream in the message body. \n\t\t C Declaration tibems_status  tibemsBytesMsg_WriteBoolean(\n     tibemsBytesMsg  message,\n     tibems_bool  value );\n\n tibems_status  tibemsBytesMsg_WriteByte(\n     tibemsBytesMsg  message,\n     tibems_byte  value ..."},"896":{y:0,u:"../c-and-cobol-reference/tibemsbytesmsg-write2.htm",l:-1,t:"tibemsBytesMsg_WriteBytes",i:0.0020158244284059,a:"Function Purpose Write bytes from a byte array to the byte stream in the message body.\n\t\t C Declaration tibems_status  tibemsBytesMsg_WriteBytes(\n     tibemsBytesMsg  message,\n    const void* value,\n     tibems_uint  length ); COBOL Call CALL \"tibemsBytesMsg_WriteBytes\"\n USING BY ..."},"897":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg.htm",l:-1,t:"tibemsMapMsg",i:0.00128602270054877,a:"Type Purpose A message containing a set of name-value pairs. \n\t\t Related Types tibemsMsg Remarks Messages with this body type contain several values, indexed by name. \n\t\t Extensions TIBCO Enterprise Message Service extends the Jakarta Messaging \n\t\t  MapMessage and \n\t\t  StreamMessage body types in ..."},"898":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg-create.htm",l:-1,t:"tibemsMapMsg_Create",i:0.000481563770107913,a:"Function Purpose Create a map message. \n\t\t C Declaration tibems_status  tibemsMapMsg_Create(\n     tibemsMapMsg * message ); COBOL Call CALL \"tibemsMapMsg_Create\"\n     USING BY REFERENCE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks Create a ..."},"899":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg-get.htm",l:-1,t:"tibemsMapMsg_Get",i:0.000630370395701175,a:"Function Purpose Get data values from a map message. \n\t\t C Declaration tibems_status  tibemsMapMsg_GetBoolean(\n     tibemsMapMsg  message, \n    const char* name,\n     tibems_bool * value );\n\n tibems_status  tibemsMapMsg_GetByte(\n     tibemsMapMsg  message, \n    const char* name,\n     tibems_byte * ..."},"900":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg-getmapn.htm",l:-1,t:"tibemsMapMsg_GetMapNames",i:0.000602904437056866,a:"Function Purpose Get an enumeration of the field names in a map message. \n\t\t C Declaration tibems_status  tibemsMapMsg_GetMapNames(\n     tibemsMsg  message,\n     tibemsMsgEnum * enumeration ); COBOL Call CALL \"tibemsMapMsg_GetMapNames\"\n     USING BY VALUE message,\n           BY REFERENCE ..."},"901":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg-itemexi.htm",l:-1,t:"tibemsMapMsg_ItemExists",i:0.000365467990392672,a:"Function Purpose Test if a named pair exists. \n\t\t C Declaration tibems_status  tibemsMapMsg_ItemExists(\n     tibemsMapMsg  message,\n    const char* name,\n     tibems_bool * exists ); COBOL Call CALL \"tibemsMapMsg_ItemExists\"\n     USING BY VALUE message,\n           BY REFERENCE name,\n           BY ..."},"902":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg-set.htm",l:-1,t:"tibemsMapMsg_Set",i:0.000365467990392672,a:"Function Purpose Set a name-value pair in a map message. \n\t\t Single Value C Declarations tibems_status  tibemsMapMsg_SetBoolean(\n     tibemsMapMsg  message,\n    const char* name,\n     tibems_bool  value );\n\n tibems_status  tibemsMapMsg_SetByte(\n     tibemsMapMsg  message,\n    const char* name,\n     ..."},"903":{y:0,u:"../c-and-cobol-reference/tibemsmapmsg-setbyte.htm",l:-1,t:"tibemsMapMsg_SetBytes",i:0.000417244036451855,a:"Function Purpose Set a byte array as a named value in a map message. \n\t\t C Declaration tibems_status  tibemsMapMsg_SetBytes(\n     tibemsMapMsg  message,\n    const char* name,\n    void* bytes,\n     tibems_uint  bytesSize );\n\n tibems_status  tibemsMapMsg_SetReferencedBytes(\n     tibemsMapMsg  ..."},"904":{y:0,u:"../c-and-cobol-reference/tibemsobjectmsg.htm",l:-1,t:"tibemsObjectMsg",i:0.00100474946999198,a:"Type Purpose A message containing a serializable object. \n\t\t Related Types tibemsMsg Object Messages in C Object messages are used for objects created in .NET or Java. A C program can create, receive, and send object messages. For example, a C application can forward or store an object generated ..."},"905":{y:0,u:"../c-and-cobol-reference/tibemsobjectmsg-crea.htm",l:-1,t:"tibemsObjectMsg_Create",i:0.000442340353368629,a:"Function Purpose Create an object message. \n\t\t C Declaration tibems_status  tibemsObjectMsg_Create(\n     tibemsObjectMsg * message ); COBOL Call CALL \"tibemsObjectMsg_Create\"\n     USING BY REFERENCE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters ..."},"906":{y:0,u:"../c-and-cobol-reference/tibemsobjectmsg-geto.htm",l:-1,t:"tibemsObjectMsg_GetObjectBytes",i:0.000442340353368629,a:"Function Purpose Get the byte sequence representing a serialized object from a message. \n\t\t C Declaration tibems_status  tibemsObjectMsg_GetObjectBytes(\n     tibemsObjectMsg  message,\n    void** bytes,\n     tibems_uint * byteSize ); COBOL Call CALL \"tibemsObjectMsg_GetObjectBytes\"\n     USING BY ..."},"907":{y:0,u:"../c-and-cobol-reference/tibemsobjectmsg-seto.htm",l:-1,t:"tibemsObjectMsg_SetObjectBytes",i:0.000442340353368629,a:"Function Purpose Set the byte sequence of an object message.\n\t\t C Declaration tibems_status  tibemsObjectMsg_SetObjectBytes(\n     tibemsObjectMsg  message,\n    const void* bytes,\n     tibems_uint  byteSize ); COBOL Call CALL \"tibemsObjectMsg_SetObjectBytes\"\n     USING BY VALUE message,\n           BY ..."},"908":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg.htm",l:-1,t:"tibemsStreamMsg",i:0.0087750010256242,a:"Type Purpose A message containing a stream of data items. \n\t\t Related Types tibemsMsg Remarks Each datum in the stream must be a primitive type, or an object representation of a primitive type. \n\t\t Extensions TIBCO Enterprise Message Service extends the \n\t\t  MapMessage and \n\t\t  StreamMessage body ..."},"909":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-crea.htm",l:-1,t:"tibemsStreamMsg_Create",i:0.00109082972695488,a:"Function Purpose Create a stream message. \n\t\t C Declaration tibems_status  tibemsStreamMsg_Create(\n     tibemsStreamMsg * message ); COBOL Call CALL \"tibemsStreamMsg_Create\"\n     USING BY REFERENCE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters ..."},"910":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-free.htm",l:-1,t:"tibemsStreamMsg_FreeField",i:0.00167658432394051,a:"Function Purpose Free storage allocated during the reading of a stream message. \n\t\t C Declaration void tibemsStreamMsg_FreeField(\n     tibemsMsgField * field ); COBOL Call CALL \"tibemsStreamMsg_FreeField\"\n     USING BY REFERENCE field\nEND-CALL. Parameters Remarks Each successful call to \n\t\t  ..."},"911":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-read.htm",l:-1,t:"tibemsStreamMsg_Read",i:0.00117438982676604,a:"Function Purpose Read primitive datatypes from a stream message. \n\t\t C Declaration tibems_status  tibemsStreamMsg_ReadBoolean(\n     tibemsStreamMsg  message,\n     tibems_bool * value );\n\n tibems_status  tibemsStreamMsg_ReadByte(\n     tibemsStreamMsg  message,\n     tibems_byte * value );\n\n ..."},});