define({"912":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-read2.htm",l:-1,t:"tibemsStreamMsg_ReadBytes",i:0.00117438982676604,a:"Function Purpose Read a byte array from a stream message. \n\t\t C Declaration tibems_status  tibemsStreamMsg_ReadBytes(\n     tibemsStreamMsg  message,\n    void** value,\n     tibems_uint * length ); COBOL Call CALL \"tibemsStreamMsg_ReadBytes\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n ..."},"913":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-read3.htm",l:-1,t:"tibemsStreamMsg_ReadField",i:0.0022997571271462,a:"Function Purpose Read a field from a stream message. \n\t\t C Declaration tibems_status  tibemsStreamMsg_ReadField(\n     tibemsStreamMsg  message,\n     tibemsMsgField * value ); COBOL Call CALL \"tibemsStreamMsg_ReadField\"\n     USING BY VALUE message,\n           BY REFERENCE value,\n           RETURNING ..."},"914":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-rese.htm",l:-1,t:"tibemsStreamMsg_Reset",i:0.000974733947239643,a:"Function Purpose Set the read position to the beginning of the stream, and mark the message body as read-only. \n\t\t C Declaration tibems_status  tibemsStreamMsg_Reset(\n     tibemsStreamMsg  message ); COBOL Call CALL \"tibemsStreamMsg_Reset\"\n     USING BY VALUE message,\n           RETURNING ..."},"915":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-writ.htm",l:-1,t:"tibemsStreamMsg_Write",i:0.000974733947239643,a:"Function Purpose Write data to a stream message. \n\t\t Single Value C Declarations tibems_status  tibemsStreamMsg_WriteBoolean(\n     tibemsStreamMsg  message,\n     tibems_bool  value );\n\n tibems_status  tibemsStreamMsg_WriteByte(\n     tibemsStreamMsg  message,\n     tibems_byte  value );\n\n ..."},"916":{y:0,u:"../c-and-cobol-reference/tibemsstreammsg-writ2.htm",l:-1,t:"tibemsStreamMsg_WriteBytes",i:0.000394535188817312,a:"Function Purpose Write bytes from a byte array to a stream message.\n\t\t C Declaration tibems_status  tibemsStreamMsg_WriteBytes(\n     tibemsStreamMsg  message,\n    void* value,\n     tibems_uint  length ); COBOL Call CALL \"tibemsStreamMsg_WriteBytes\"\n     USING BY VALUE message,\n           BY ..."},"917":{y:0,u:"../c-and-cobol-reference/tibemstextmsg.htm",l:-1,t:"tibemsTextMsg",i:0.00134956503241723,a:"tibemsTextMsg Type Purpose A message containing a text string. \n\t\t Related Types tibemsMsg Remarks Messages with this body type contain a single value, which is a string. \n\t\t"},"918":{y:0,u:"../c-and-cobol-reference/tibemstextmsg-create.htm",l:-1,t:"tibemsTextMsg_Create",i:0.000655390504218144,a:"Function Purpose Create a text message. \n\t\t C Declaration tibems_status  tibemsTextMsg_Create(\n    tibemsTextMsg * message ); COBOL Call CALL \"tibemsTextMsg_Create\"\n     USING BY REFERENCE message,\n           RETURNING tibems-status\nEND-CALL. message has usage pointer. \n\t\t Parameters Remarks Create ..."},"919":{y:0,u:"../c-and-cobol-reference/tibemstextmsg-gettex.htm",l:-1,t:"tibemsTextMsg_GetText",i:0.000515616936804985,a:"Function Purpose Get the string data from a text message. \n\t\t C Declaration tibems_status  tibemsTextMsg_GetText(\n     tibemsTextMsg  message,\n    const char** text ); COBOL Call CALL \"tibemsTextMsg_GetText\"\n     USING BY VALUE message,\n           BY REFERENCE text,\n           RETURNING ..."},"920":{y:0,u:"../c-and-cobol-reference/tibemstextmsg-settex.htm",l:-1,t:"tibemsTextMsg_SetText",i:0.000515616936804985,a:"Function Purpose Set the data string of a text message.\n\t\t C Declaration tibems_status  tibemsTextMsg_SetText(\n     tibemsTextMsg  message,\n    const char* text ); COBOL Call CALL \"tibemsTextMsg_SetText\"\n     USING BY VALUE message,\n           BY REFERENCE text,\n           RETURNING ..."},"921":{y:0,u:"../c-and-cobol-reference/tibemsdata.htm",l:-1,t:"tibemsData",i:0.000441949025631202,a:"Type Purpose Union type that covers all possible datatypes in a  tibemsMsgField struct. \n\t\t C Declaration typedef union {\n     tibems_bool  boolValue;\n     tibems_byte  byteValue;\n     tibems_short  shortValue;\n     tibems_wchar  wcharValue;\n     tibems_int  intValue;\n     tibems_long  ..."},"922":{y:0,u:"../c-and-cobol-reference/tibemsdeliverymode.htm",l:-1,t:"tibemsDeliveryMode",i:0.00120281299111862,a:"Type Purpose Define delivery mode constants. \n\t\t C Declaration typedef enum {\n    TIBEMS_NON_PERSISTENT,\n    TIBEMS_PERSISTENT,\n    TIBEMS_RELIABLE\n} tibemsDeliveryMode; COBOL 01  TIBEMS-DELIVERY-MODES.\n   05  tibemsDeliveryMode          PIC S9(8) BINARY.\n      88  TIBEMS-NON-PERSISTENT    VALUE    ..."},"923":{y:0,u:"../c-and-cobol-reference/tibemsnpcheckmode.htm",l:-1,t:"tibemsNpCheckMode",i:0.000417235378733302,a:"Type Purpose Define when a producer should check the result of sending a NON_PERSISTENT message. \n\t\t C Declaration typedef enum\n{\n    NPSEND_CHECK_DEFAULT   = 0,\n    NPSEND_CHECK_ALWAYS    = 1,\n    NPSEND_CHECK_NEVER     = 2,\n    NPSEND_CHECK_TEMP_DEST = 3,\n    NPSEND_CHECK_AUTH      = ..."},"924":{y:0,u:"../c-and-cobol-reference/tibemsmsgcompletionc.htm",l:-1,t:"tibemsMsgCompletionCallback",i:0.000276932083721797,a:"Type Purpose Asynchronously process a message after sending. This is equivalent to a completion listener in the Java and .NET API. \n\t\t C Declaration typedef void (*tibemsMsgCompletionCallback) (\n     tibemsMsg  msg,\n     tibems_status  status,\n    void* closure ); Parameters Remarks To ..."},"925":{y:0,u:"../c-and-cobol-reference/tibemsmsgenum.htm",l:-1,t:"tibemsMsgEnum",i:0.00111730797828755,a:"tibemsMsgEnum Type Purpose Enumerate the properties of a message, or the field names of a map message. \n\t\t Remarks tibemsMsg_GetPropertyNames and \n\t\t   tibemsMapMsg_GetMapNames create instances of this type. \n\t\t See Also tibemsMsg_GetPropertyNames tibemsMapMsg_GetMapNames"},"926":{y:0,u:"../c-and-cobol-reference/tibemsmsgenum-destro.htm",l:-1,t:"tibemsMsgEnum_Destroy",i:0.000466259113046076,a:"Function Purpose Destroy a message enumerator.\n\t\t C Declaration tibems_status  tibemsMsgEnum_Destroy(\n     tibemsMsgEnum  enumeration ); COBOL Call CALL \"tibemsMsgEnum_Destroy\"\n     USING BY VALUE enumeration,\n           RETURNING tibems-status\nEND-CALL. enumeration has usage pointer.\n\t\t Parameters"},"927":{y:0,u:"../c-and-cobol-reference/tibemsmsgenum-getnex.htm",l:-1,t:"tibemsMsgEnum_GetNextName",i:0.000679385472295396,a:"Function Purpose Get the next item from a message enumerator. \n\t\t C Declaration tibems_status  tibemsMsgEnum_GetNextName(\n     tibemsMsgEnum  enumeration,\n    const char** name ); COBOL Call CALL \"tibemsMsgEnum_GetNextName\"\n     USING BY VALUE enumeration,\n           BY REFERENCE name,\n           ..."},"928":{y:0,u:"../c-and-cobol-reference/tibemsmsgfield.htm",l:-1,t:"tibemsMsgField",i:0.00225652284082398,a:"Type Purpose Represents a message field or property. \n\t\t C Declaration typedef struct {\n     tibems_byte  type;\n     tibems_int  size;\n     tibems_int  count;\n     tibemsData  data;\n} tibemsMsgField COBOL 01  tibemsMsgField.\n   05  MsgFld-type            PIC  X(1).\n      88  TIBEMS-NULL ..."},"929":{y:0,u:"../c-and-cobol-reference/tibemsmsgfield-print.htm",l:-1,t:"tibemsMsgField_Print",i:0.000441949025631202,a:"Function Purpose Print a message field. \n\t\t C Declaration void tibemsMsgField_Print(\n     tibemsMsgField * field ); COBOL Call CALL \"tibemsMsgField_Print\"\n    USING BY REFERENCE field,\nEND-CALL. Parameters Remarks tibemsMsgField_Print prints to stdout in the format \n\t\t  FieldDataType:Value. \n\t\t"},"930":{y:0,u:"../c-and-cobol-reference/tibemsmsgfield-print2.htm",l:-1,t:"tibemsMsgField_PrintToBuffer",i:0.000441949025631202,a:"Function Purpose Print a message field into a buffer. \n\t\t C Declaration tibems_status  tibemsMsgField_PrintToBuffer(\n    tibemsMsgField* field,\n    char* buffer,\n    tibems_int maxlen); COBOL Call CALL \"tibemsMsgField_PrintToBuffer\"\n    USING BY REFERENCE field,\n    BY REFERENCE buffer,\n    BY VALUE ..."},"931":{y:0,u:"../c-and-cobol-reference/tibemsmsgtype.htm",l:-1,t:"tibemsMsgType",i:0.000573590931528561,a:"Type Purpose Enumerated constants representing message body types. \n\t\t C Declaration typedef enum {\n    TIBEMS_MESSAGE_UNKNOWN,\n    TIBEMS_MESSAGE,\n    TIBEMS_BYTES_MESSAGE,\n    TIBEMS_MAP_MESSAGE,\n    TIBEMS_OBJECT_MESSAGE,\n    TIBEMS_STREAM_MESSAGE,\n    TIBEMS_TEXT_MESSAGE,\n    ..."},"932":{y:0,u:"../c-and-cobol-reference/destination.htm",l:-1,t:"Destination",i:0.000228822666381883,a:"Destination This section documents the functions that create and modify destination objects. The destination of a message determines where the message is sent.\n  "},"933":{y:0,u:"../c-and-cobol-reference/destination-overview.htm",l:-1,t:"Destination Overview",i:0.000228822666381883,a:"Destination objects represent destinations within the EMS server—the queues and topics to which programs send messages, and from which they receive messages.\n   Queues deliver each message to exactly one consumer. Topics deliver each message to every subscriber. Queues and topics can be static, ..."},"934":{y:0,u:"../c-and-cobol-reference/tibemsdestinationtyp.htm",l:-1,t:"tibemsDestinationType",i:0.00145131583207541,a:"Type Purpose Enumerated constants representing destination types. \n\t\t C Declaration typedef enum {\n    TIBEMS_UNKNOWN,\n    TIBEMS_QUEUE,\n    TIBEMS_TOPIC\n} tibemsDestinationType; COBOL 01  TIBEMS-DESTINATION-TYPES.\n   05  tibemsDestinationType   PIC S9(8) BINARY.\n     88  TIBEMS-UNKNOWN              ..."},"935":{y:0,u:"../c-and-cobol-reference/tibemsdestination.htm",l:-1,t:"tibemsDestination",i:0.00540490611257573,a:"Type Purpose Represent a named queue or topic in the server. \n\t\t Remarks Administrators define destinations in the server. Client programs access them using functions of \n\t\t   tibemsLookupContext. \n\t\t Related Types tibemsQueue tibemsTemporaryQueue tibemsTopic tibemsTemporaryTopic See Also ..."},"936":{y:0,u:"../c-and-cobol-reference/tibemsdestination-co.htm",l:-1,t:"tibemsDestination_Copy",i:0.000611688887327083,a:"Function Purpose Create an independent copy of a destination object. \n\t\t C Declaration tibems_status  tibemsDestination_Copy(\n     tibemsDestination  destination,\n     tibemsDestination * copy ); COBOL Call CALL \"tibemsDestination_Copy\"\n     USING BY VALUE destination,\n           BY REFERENCE copy,\n ..."},"937":{y:0,u:"../c-and-cobol-reference/tibemsdestination-cr.htm",l:-1,t:"tibemsDestination_Create",i:0.00122851819430651,a:"Function Purpose Create a destination object. \n\t\t C Declaration tibems_status  tibemsDestination_Create(\n     tibemsDestination * destination,\n     tibemsDestinationType  type,\n    const char* name ); COBOL Call CALL \"tibemsDestination_Create\"\n     USING BY REFERENCE destination,\n           BY VALUE ..."},"938":{y:0,u:"../c-and-cobol-reference/tibemsdestination-de.htm",l:-1,t:"tibemsDestination_Destroy",i:0.000611688887327083,a:"Function Purpose Destroy a destination object.\n\t\t C Declaration tibems_status  tibemsDestination_Destroy(\n     tibemsDestination  destination ); COBOL Call CALL \"tibemsDestination_Destroy\"\n     USING BY VALUE destination,\n           RETURNING tibems-status\nEND-CALL. destination has usage pointer.\n\t\t ..."},"939":{y:0,u:"../c-and-cobol-reference/tibemsdestination-ge2.htm",l:-1,t:"tibemsDestination_GetName",i:0.000611688887327083,a:"Function Purpose Get the name of a destination object.\n\t\t C Declaration tibems_status  tibemsDestination_GetName(\n     tibemsDestination  destination,\n    char* name,\n     tibems_int  name_len ); COBOL Call CALL \"tibemsDestination_GetName\"\n     USING BY VALUE destination,\n           BY REFERENCE ..."},"940":{y:0,u:"../c-and-cobol-reference/tibemsdestination-ge.htm",l:-1,t:"tibemsDestination_GetType",i:0.00122851819430651,a:"Function Purpose Get the type of a destination object. \n\t\t C Declaration tibems_status  tibemsDestination_GetType(\n     tibemsDestination  destination,\n     tibemsDestinationType * type ); COBOL Call CALL \"tibemsDestination_GetType\"\n     USING BY VALUE destination,\n           BY REFERENCE type,\n     ..."},"941":{y:0,u:"../c-and-cobol-reference/tibemsqueue.htm",l:-1,t:"tibemsQueue",i:0.00179789120865726,a:"tibemsQueue Type Purpose Queues deliver each message to exactly one consumer. \n\t\t Related Types tibemsDestination tibemsTemporaryQueue"},"942":{y:0,u:"../c-and-cobol-reference/tibemsqueue-create.htm",l:-1,t:"tibemsQueue_Create",i:0.000534476154706345,a:"Function Purpose Create a queue object. \n\t\t C Declaration tibems_status  tibemsQueue_Create(\n     tibemsQueue * queue,\n    const char* queueName ); COBOL Call CALL \"tibemsQueue_Create\"\n     USING BY REFERENCE queue,\n           BY REFERENCE queueName,\n           RETURNING tibems-status\nEND-CALL. ..."},"943":{y:0,u:"../c-and-cobol-reference/tibemsqueue-destroy.htm",l:-1,t:"tibemsQueue_Destroy",i:0.000534476154706345,a:"tibemsQueue_Destroy Function Purpose Destroy a queue object.\n\t\t C Declaration tibems_status  tibemsQueue_Destroy(\n     tibemsQueue  queue ); COBOL Call CALL \"tibemsQueue_Destroy\"\n     USING BY VALUE queue,\n           RETURNING tibems-status\nEND-CALL. queue has usage pointer.\n\t\t Parameters"},"944":{y:0,u:"../c-and-cobol-reference/tibemsqueue-getqueue.htm",l:-1,t:"tibemsQueue_GetQueueName",i:0.000534476154706345,a:"Function Purpose Get the name of a queue object.\n\t\t C Declaration tibems_status  tibemsQueue_GetQueueName(\n     tibemsQueue  queue,\n    char* name,\n     tibems_int  name_len ); COBOL Call CALL \"tibemsQueue_GetQueueName\"\n     USING BY VALUE queue,\n           BY REFERENCE name,\n           BY VALUE ..."},"945":{y:0,u:"../c-and-cobol-reference/tibemstemporaryqueue.htm",l:-1,t:"tibemsTemporaryQueue",i:0.00139491843817852,a:"Type Purpose Programs can use temporary queues as reply destinations. \n\t\t Remarks Programs create temporary queues using \n\t\t   tibemsSession_CreateTemporaryQueue. \n\t\t A temporary queue exists only for the duration of the session’s connection, and is available only within that connection. \n\t\t Only ..."},"946":{y:0,u:"../c-and-cobol-reference/tibemstemporarytopic.htm",l:-1,t:"tibemsTemporaryTopic",i:0.00155678342187852,a:"Type Purpose Programs can use temporary topics as reply destinations. \n\t\t Remarks Programs create temporary topics using \n\t\t   tibemsSession_CreateTemporaryTopic. \n\t\t A temporary topic exists only for the duration of the session’s connection, and is available only within that connection. \n\t\t Only ..."},"947":{y:0,u:"../c-and-cobol-reference/tibemstopic.htm",l:-1,t:"tibemsTopic",i:0.0019878814778322,a:"tibemsTopic Type Purpose Topics deliver each message to multiple consumers. \n\t\t Related Types tibemsDestination tibemsTemporaryTopic"},"948":{y:0,u:"../c-and-cobol-reference/tibemstopic-create.htm",l:-1,t:"tibemsTopic_Create",i:0.000566776869494436,a:"Function Purpose Create a topic object. \n\t\t C Declaration tibems_status  tibemsTopic_Create(\n     tibemsTopic * topic,\n    const char* topicName ); COBOL Call CALL \"tibemsTopic_Create\"\n     USING BY REFERENCE topic,\n           BY REFERENCE topicName,\n           RETURNING tibems-status\nEND-CALL. ..."},"949":{y:0,u:"../c-and-cobol-reference/tibemstopic-destroy.htm",l:-1,t:"tibemsTopic_Destroy",i:0.000566776869494436,a:"tibemsTopic_Destroy Function Purpose Destroy a topic object.\n\t\t C Declaration tibems_status  tibemsTopic_Destroy(\n     tibemsTopic  topic ); COBOL Call CALL \"tibemsTopic_Destroy\"\n     USING BY VALUE topic,\n           RETURNING tibems-status\nEND-CALL. topic has usage pointer.\n\t\t Parameters"},"950":{y:0,u:"../c-and-cobol-reference/tibemstopic-gettopic.htm",l:-1,t:"tibemsTopic_GetTopicName",i:0.000566776869494436,a:"Function Purpose Get the name of a topic object.\n\t\t C Declaration tibems_status  tibemsTopic_GetTopicName(\n     tibemsTopic  topic,\n    char* name,\n     tibems_int  name_len ); COBOL Call CALL \"tibemsTopic_GetTopicName\"\n     USING BY VALUE topic,\n           BY REFERENCE name,\n           BY VALUE ..."},"951":{y:0,u:"../c-and-cobol-reference/consumer.htm",l:-1,t:"Consumer",i:0.000228822666381883,a:"Consumer This section documents the functions that create and modify message consumers. A message consumer receives messages from a destination.\n  "},"952":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer.htm",l:-1,t:"tibemsMsgConsumer",i:0.0103065098997691,a:"Type Purpose Consume messages from a destination. \n\t\t Remarks Consumers can receive messages synchronously (using the receive functions), or asynchronously. \n\t\t Consumers can receive messages asynchronously using callback functions. \n\t\t Clients create message consumers using functions of a \n\t\t   ..."},"953":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-cl.htm",l:-1,t:"tibemsMsgConsumer_Close",i:0.00100932987549414,a:"Function Purpose Close a message consumer and release associated storage. \n\t\t C Declaration tibems_status  tibemsMsgConsumer_Close(\n     tibemsMsgConsumer  msgConsumer ); COBOL Call CALL \"tibemsMsgConsumer_Close\"\n     USING BY VALUE msgConsumer,\n           RETURNING tibems-status\nEND-CALL. ..."},"954":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-ge2.htm",l:-1,t:"tibemsMsgConsumer_GetDestination",i:0.000958909492232468,a:"Function Purpose Get the destination from a message consumer. \n\t\t C Declaration tibems_status  tibemsMsgConsumer_GetDestination(\n     tibemsMsgConsumer  msgConsumer,\n     tibemsDestination * destination ); COBOL Call CALL \"tibemsMsgConsumer_GetDestination\"\n     USING BY VALUE msgConsumer,\n           ..."},"955":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-ge.htm",l:-1,t:"tibemsMsgConsumer_GetMsgListener",i:0.000958909492232468,a:"Function Purpose Get the message callback and closure data from a consumer. \n\t\t C Declaration tibems_status  tibemsMsgConsumer_GetMsgListener(\n     tibemsMsgConsumer  msgConsumer,\n     tibemsMsgCallback * callbackPtr,\n    void** closure ); Parameters Remarks EMS C programs can implement a message ..."},"956":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-ge4.htm",l:-1,t:"tibemsMsgConsumer_GetMsgSelector",i:0.000958909492232468,a:"Function Purpose Get the message selector from a consumer. \n\t\t C Declaration tibems_status  tibemsMsgConsumer_GetMsgSelector(\n     tibemsMsgConsumer  msgConsumer,\n    const char** selectorPtr ); COBOL Call CALL \"tibemsMsgConsumer_GetMsgSelector\"\n     USING BY VALUE msgConsumer,\n           BY ..."},"957":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-ge3.htm",l:-1,t:"tibemsMsgConsumer_GetNoLocal",i:0.000958909492232468,a:"Function Purpose Get the no local property of a message consumer. \n\t\t C Declaration tibems_status  tibemsMsgConsumer_GetNoLocal(\n     tibemsMsgConsumer  msgConsumer,\n     tibems_bool * noLocal ); COBOL Call CALL \"tibemsMsgConsumer_GetNoLocal\"\n     USING BY VALUE msgConsumer,\n           BY REFERENCE ..."},"958":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-re.htm",l:-1,t:"tibemsMsgConsumer_Receive",i:0.016076159524862,a:"Function Purpose Receive a message (synchronous). \n\t\t C Declaration tibems_status  tibemsMsgConsumer_Receive(\n     tibemsMsgConsumer  msgConsumer,\n     tibemsMsg * message ); COBOL Call CALL \"tibemsMsgConsumer_Receive\"\n     USING BY VALUE msgConsumer,\n           BY REFERENCE message,\n           ..."},"959":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-re3.htm",l:-1,t:"tibemsMsgConsumer_ReceiveNoWait",i:0.00476576947551603,a:"Function Purpose Receive a message (synchronous, non-blocking). \n\t\t C Declaration tibems_status  tibemsMsgConsumer_ReceiveNoWait(\n     tibemsMsgConsumer  msgConsumer,\n     tibemsMsg * message); COBOL Call CALL \"tibemsMsgConsumer_ReceiveNoWait\"\n     USING BY VALUE msgConsumer,\n           BY REFERENCE ..."},"960":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-re2.htm",l:-1,t:"tibemsMsgConsumer_ReceiveTimeout",i:0.0104244149481503,a:"Function Purpose Receive a message (synchronous, blocks up to a time limit). \n\t\t C Declaration tibems_status  tibemsMsgConsumer_ReceiveTimeout(\n     tibemsMsgConsumer  msgConsumer,\n     tibemsMsg * message,\n     tibems_long  timeout ); COBOL Call CALL \"tibemsMsgConsumer_ReceiveTimeout\"\n     USING BY ..."},"961":{y:0,u:"../c-and-cobol-reference/tibemsmsgconsumer-se.htm",l:-1,t:"tibemsMsgConsumer_SetMsgListener",i:0.00180265042546718,a:"Function Purpose Set the message callback and closure data of a consumer. \n\t\t C Declaration tibems_status  tibemsMsgConsumer_SetMsgListener(\n     tibemsMsgConsumer  msgConsumer,\n     tibemsMsgCallback  callback,\n    void* closure ); Parameters Remarks EMS C programs can implement a message listener ..."},"962":{y:0,u:"../c-and-cobol-reference/tibemsmsgcallback.htm",l:-1,t:"tibemsMsgCallback",i:0.00225856322504437,a:"Type Purpose Asynchronously process an arriving message. \n\t\t C Declaration typedef void (*tibemsMsgCallback) (\n     tibemsMsgConsumer  msgConsumer,\n     tibemsMsg  msg,\n    void* closure ); Parameters Remarks To asynchronous receive messages, your program can define callback functions of this type, ..."},"963":{y:0,u:"../c-and-cobol-reference/producer.htm",l:-1,t:"Producer",i:0.000228822666381883,a:"Producer Message producers send messages to destinations on the server."},"964":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer.htm",l:-1,t:"tibemsMsgProducer",i:0.00283010060075699,a:"Type Purpose Send message to destinations on the server. \n\t\t Remarks Clients use message producers to send messages. A message producer object can store several parameters that affect the messages it sends. \n\t\t Clients create message producers using functions of a \n\t\t   tibemsSession object. \n\t\t See ..."},"965":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-as.htm",l:-1,t:"tibemsMsgProducer_AsyncSend",i:0.000396185495756177,a:"Function Purpose Asynchronously send a message. \n\t\t C Declaration tibems_status  tibemsMsgProducer_AsyncSend(\n     tibemsMsgProducer  msgProducer,\n     tibemsMsg  message\n     tibemsMsgCompletionCallback  asyncSendCallback,\n    void* asyncSendClosure );\n\n tibems_status  ..."},"966":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-cl.htm",l:-1,t:"tibemsMsgProducer_Close",i:0.000349106161299593,a:"Function Purpose Destroy the producer object; reclaim resources. \n\t\t C Declaration tibems_status  tibemsMsgProducer_Close(\n     tibemsMsgProducer  msgProducer ); COBOL Call CALL \"tibemsMsgProducer_Close\"\n     USING BY VALUE msgProducer,\n           RETURNING tibems-status\nEND-CALL. msgProducer has ..."},"967":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge3.htm",l:-1,t:"tibemsMsgProducer_GetDeliveryDelay",i:0.000586558505140324,a:"Function Purpose Get the delivery delay property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetDeliveryDelay(\n     tibemsMsgProducer  msgProducer,\n     tibems_long * deliveryDelay ); COBOL Call CALL \"tibemsMsgProducer_GetDeliveryDelay\"\n     USING BY VALUE msgProducer,\n  ..."},"968":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge7.htm",l:-1,t:"tibemsMsgProducer_GetDeliveryMode",i:0.000349106161299593,a:"Function Purpose Get the delivery mode property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetDeliveryMode(\n     tibemsMsgProducer  msgProducer,\n     tibems_int * deliveryMode ); COBOL Call CALL \"tibemsMsgProducer_GetDeliveryMode\"\n     USING BY VALUE msgProducer,\n       ..."},"969":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge5.htm",l:-1,t:"tibemsMsgProducer_GetDestination",i:0.00052612112676715,a:"Function Purpose Get the destination of a message producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetDestination(\n     tibemsMsgProducer  msgProducer,\n     tibemsDestination * destination ); COBOL Call CALL \"tibemsMsgProducer_GetDestination\"\n     USING BY VALUE msgProducer,\n      ..."},"970":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge2.htm",l:-1,t:"tibemsMsgProducer_GetDisableMessageID",i:0.000349106161299593,a:"Function Purpose Get the disable message ID property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetDisableMessageID(\n     tibemsMsgProducer  msgProducer,\n     tibems_bool * disable ); COBOL Call CALL \"tibemsMsgProducer_GetDisableMessageID\"\n     USING BY VALUE ..."},"971":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge8.htm",l:-1,t:"tibemsMsgProducer_GetDisableMessageTimestamp",i:0.000349106161299593,a:"Function Purpose Get the disable message timestamp property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetDisableMessageTimestamp(\n     tibemsMsgProducer  msgProducer,\n     tibems_bool * disable ); COBOL Call CALL \"tibemsMsgProducer_GetDisableMessageTimestamp\"\n     ..."},"972":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge4.htm",l:-1,t:"tibemsMsgProducer_GetNPSendCheckMode",i:0.000443312517475303,a:"Function Purpose Get the mode that defines when a producer checks the result of sending a NON_PERSISTENT message. \n\t\t C Declaration extern  tibems_status  tibemsMsgProducer_GetNPSendCheckMode(\n     tibemsMsgProducer  msgProducer,\n    tibemsNpCheckMode* mode); COBOL Call CALL ..."},"973":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge6.htm",l:-1,t:"tibemsMsgProducer_GetPriority",i:0.000447120462461394,a:"Function Purpose Get the priority property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetPriority(\n     tibemsMsgProducer  msgProducer,\n     tibems_int * priority ); COBOL Call CALL \"tibemsMsgProducer_GetPriority\"\n     USING BY VALUE msgProducer,\n           BY REFERENCE ..."},"974":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-ge.htm",l:-1,t:"tibemsMsgProducer_GetTimeToLive",i:0.000568067182905438,a:"Function Purpose Get the time-to-live property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_GetTimeToLive(\n     tibemsMsgProducer  msgProducer,\n     tibems_long * timeToLive ); COBOL Call CALL \"tibemsMsgProducer_GetTimeToLive\"\n     USING BY VALUE msgProducer,\n           ..."},"975":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se2.htm",l:-1,t:"tibemsMsgProducer_Send",i:0.000624135427928951,a:"Function Purpose Send a message. \n\t\t C Declaration tibems_status  tibemsMsgProducer_Send(\n     tibemsMsgProducer  msgProducer,\n     tibemsMsg  message );\n\n tibems_status  tibemsMsgProducer_SendEx(\n     tibemsMsgProducer  msgProducer,\n     tibemsMsg  message,\n     tibems_int  deliveryMode,\n     ..."},"976":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se7.htm",l:-1,t:"tibemsMsgProducer_SetDeliveryDelay",i:0.000601011546821172,a:"Function Purpose Set the delivery delay property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_SetDeliveryDelay(\n     tibemsMsgProducer  msgProducer,\n     tibems_long  deliveryDelay ); COBOL Call CALL \"tibemsMsgProducer_SetDeliveryDelay\"\n     USING BY VALUE msgProducer,\n   ..."},"977":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se.htm",l:-1,t:"tibemsMsgProducer_SetDeliveryMode",i:0.000366016338339337,a:"Function Purpose Set the delivery mode property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_SetDeliveryMode(\n     tibemsMsgProducer  msgProducer,\n     tibems_int  deliveryMode ); COBOL Call CALL \"tibemsMsgProducer_SetDeliveryMode\"\n     USING BY VALUE msgProducer,\n        ..."},"978":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se6.htm",l:-1,t:"tibemsMsgProducer_SetDisableMessageID",i:0.00068497310827621,a:"Function Purpose Set the disable message ID property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_SetDisableMessageID(\n     tibemsMsgProducer  msgProducer,\n     tibems_bool  disable ); COBOL Call CALL \"tibemsMsgProducer_SetDisableMessageID\"\n     USING BY VALUE ..."},"979":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se3.htm",l:-1,t:"tibemsMsgProducer_SetDisableMessageTimestamp",i:0.000609281242865842,a:"Function Purpose Set the disable message timestamp property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_SetDisableMessageTimestamp(\n     tibemsMsgProducer  msgProducer,\n     tibems_bool  disable ); COBOL Call CALL \"tibemsMsgProducer_SetDisableMessageTimestamp\"\n     USING ..."},"980":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se4.htm",l:-1,t:"tibemsMsgProducer_SetNPSendCheckMode",i:0.000443312517475303,a:"Function Purpose Set when a producer should check the result of sending a NON_PERSISTENT message. \n\t\t C Declaration extern  tibems_status  tibemsMsgProducer_SetNPSendCheckMode(\n     tibemsMsgProducer  msgProducer,\n     tibemsNpCheckMode  mode); COBOL Call CALL ..."},"981":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se5.htm",l:-1,t:"tibemsMsgProducer_SetPriority",i:0.000562044940662939,a:"Function Purpose Set the priority property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_SetPriority(\n     tibemsMsgProducer  msgProducer,\n     tibems_int  priority ); COBOL Call CALL \"tibemsMsgProducer_SetPriority\"\n     USING BY VALUE msgProducer,\n           BY VALUE ..."},"982":{y:0,u:"../c-and-cobol-reference/tibemsmsgproducer-se8.htm",l:-1,t:"tibemsMsgProducer_SetTimeToLive",i:0.000449966216380099,a:"Function Purpose Set the time-to-live property of a producer object. \n\t\t C Declaration tibems_status  tibemsMsgProducer_SetTimeToLive(\n     tibemsMsgProducer  msgProducer,\n     tibems_long  timeToLive ); COBOL Call CALL \"tibemsMsgProducer_SetTimeToLive\"\n     USING BY VALUE msgProducer,\n           BY ..."},"983":{y:0,u:"../c-and-cobol-reference/requestor.htm",l:-1,t:"Requestor",i:0.000228822666381883,a:"Requestor Requestors implement convenience functions for request-reply semantics. They send messages (called requests) and wait for reply messages in response."},"984":{y:0,u:"../c-and-cobol-reference/tibemsmsgrequestor.htm",l:-1,t:"tibemsMsgRequestor",i:0.000487947794147695,a:"Type Purpose Encapsulate request-reply semantics. \n\t\t Remarks We recommend that programs follow these steps: \n\t\t Create a \n\t\t\t  tibemsSession, and use it to create either a \n\t\t\t  tibemsQueue or \n\t\t\t  tibemsTopic (respectively) for requests and replies. \n\t\t   Supply that session and destination to ..."},"985":{y:0,u:"../c-and-cobol-reference/tibemsmsgrequestor-c2.htm",l:-1,t:"tibemsMsgRequestor_Close",i:0.000326090213229621,a:"Function Purpose Close a message requestor. \n\t\t C Declaration tibems_status  tibemsMsgRequestor_Close(\n     tibemsMsgRequestor  msgRequestor ); COBOL Call CALL \"tibemsMsgRequestor_Close\"\n     USING BY VALUE msgRequestor,\n           RETURNING tibems-status\nEND-CALL. msgRequestor has usage pointer. ..."},"986":{y:0,u:"../c-and-cobol-reference/tibemsmsgrequestor-c.htm",l:-1,t:"tibemsMsgRequestor_Create",i:0.000297949976216708,a:"Function Purpose Create a message requestor. \n\t\t C Declaration tibems_status  tibemsMsgRequestor_Create(\n     tibemsSession  session,\n     tibemsMsgRequestor * msgRequestor,\n     tibemsDestination  destination); COBOL Call CALL \"tibemsMsgRequestor_Create\"\n     USING BY VALUE session,\n           BY ..."},"987":{y:0,u:"../c-and-cobol-reference/tibemsmsgrequestor-r.htm",l:-1,t:"tibemsMsgRequestor_Request",i:0.000326090213229621,a:"Function Purpose Send a request message; wait for a reply.\n\t\t C Declaration tibems_status  tibemsMsgRequestor_Request(\n     tibemsMsgRequestor  msgRequestor,\n     tibemsMsg  message,\n     tibemsMsg * reply ); COBOL Call CALL \"tibemsMsgRequestor_Request\"\n     USING BY VALUE msgRequestor,\n           ..."},"988":{y:0,u:"../c-and-cobol-reference/connection.htm",l:-1,t:"Connection",i:0.000228822666381883,a:"Connection Connection objects represent a client program’s network connection to the server."},"989":{y:0,u:"../c-and-cobol-reference/tibemsconnection.htm",l:-1,t:"tibemsConnection",i:0.00737094544724884,a:"Type Purpose Represent a server connection. \n\t\t Remarks When a program first opens a connection, the connection is \n\t\t  stopped—that is, it does not deliver inbound messages. To begin the flow of inbound messages, the program must explicitly call \n\t\t   tibemsConnection_Start. (Outbound messages flow ..."},"990":{y:0,u:"../c-and-cobol-reference/tibemsconnection-clo.htm",l:-1,t:"tibemsConnection_Close",i:0.000912261380416194,a:"Function Purpose Close the connection; reclaim resources. \n\t\t C Declaration tibems_status  tibemsConnection_Close(\n     tibemsConnection  connection ); COBOL Call CALL \"tibemsConnection_Close\"\n     USING BY VALUE connection,\n           RETURNING tibems-status\nEND-CALL. connection has usage pointer. ..."},"991":{y:0,u:"../c-and-cobol-reference/tibemsconnection-cre2.htm",l:-1,t:"tibemsConnection_Create",i:0.000749692005123941,a:"Function Purpose Create a new connection to an EMS server. \n\t\t C Declarations tibems_status  tibemsConnection_Create(\n     tibemsConnection * connection,\n    const char* brokerURL,\n    const char* clientId,\n    const char* username,\n    const char* password );\n\n tibems_status  ..."},"992":{y:0,u:"../c-and-cobol-reference/tibemsconnection-cre.htm",l:-1,t:"tibemsConnection_CreateSession",i:0.000710791507013041,a:"Function \n   Purpose Create a session object. \n\t\t C Declaration tibems_status  tibemsConnection_CreateSession(\n     tibemsConnection  connection,\n     tibemsSession * session,\n     tibems_bool  transacted,\n     tibemsAcknowledgeMode  acknowledgeMode ); COBOL Call CALL ..."},"993":{y:0,u:"../c-and-cobol-reference/tibemsconnection-get2.htm",l:-1,t:"tibemsConnection_GetActiveURL",i:0.000710791507013041,a:"Function Purpose Get the active URL of a connection. \n\t\t C Declaration tibems_status  tibemsConnection_GetActiveURL(\n     tibemsConnection  connection,\n    char** serverURL ); COBOL Call CALL \"tibemsConnection_GetActiveURL\"\n     USING BY VALUE connection,\n           BY REFERENCE serverURL,\n          ..."},"994":{y:0,u:"../c-and-cobol-reference/tibemsconnection-get.htm",l:-1,t:"tibemsConnection_GetClientId",i:0.000902603002570455,a:"Function Purpose Get the client ID of a connection. \n\t\t C Declaration tibems_status  tibemsConnection_GetClientId(\n     tibemsConnection  connection,\n    const char** clientId ); COBOL Call CALL \"tibemsConnection_GetClientId\"\n     USING BY VALUE connection,\n           BY REFERENCE clientId,\n         ..."},"995":{y:0,u:"../c-and-cobol-reference/tibemsconnection-get3.htm",l:-1,t:"tibemsConnection_GetExceptionListener",i:0.00142181883853058,a:"Function Purpose Get the exception listener of a connection. \n\t\t C Declaration tibems_status  tibemsConnection_GetExceptionListener(\n     tibemsConnection  connection,\n     tibemsExceptionCallback * listener,\n    void** closure ); Parameters Remarks This is an alternate pathway for alerting a client ..."},"996":{y:0,u:"../c-and-cobol-reference/tibemsconnection-get4.htm",l:-1,t:"tibemsConnection_GetMetaData",i:0.00117553775156099,a:"Function Purpose Get the metadata from a connection. \n\t\t C Declaration tibems_status  tibemsConnection_GetMetaData(\n     tibemsConnection  connection,\n     tibemsConnectionMetaData * metaData ); COBOL Call CALL \"tibemsConnection_GetMetaData\"\n     USING BY VALUE connection,\n           BY REFERENCE ..."},"997":{y:0,u:"../c-and-cobol-reference/tibemsconnection-isd.htm",l:-1,t:"tibemsConnection_IsDisconnected",i:0.000710791507013041,a:"Function Purpose Check whether the connection has been disconnected. \n\t\t C Declaration tibems_status  tibemsConnection_IsDisconnected(\n     tibemsConnection  connection,\n     tibems_bool * disconnected); COBOL Call CALL \"tibemsConnection_IsDisconnected\"\n     USING BY VALUE connection,\n           BY ..."},"998":{y:0,u:"../c-and-cobol-reference/tibemsconnection-set2.htm",l:-1,t:"tibemsConnection_SetClientId",i:0.000902603002570455,a:"Function Purpose Set the client ID of a connection. \n\t\t C Declaration tibems_status  tibemsConnection_SetClientId(\n     tibemsConnection  connection,\n    const char* clientId ); COBOL Call CALL \"tibemsConnection_SetClientId\"\n     USING BY VALUE connection,\n           BY REFERENCE clientId,\n          ..."},"999":{y:0,u:"../c-and-cobol-reference/tibemsconnection-set.htm",l:-1,t:"tibemsConnection_SetExceptionListener",i:0.00334583351584082,a:"Function Purpose Set the exception listener for a connection. \n\t\t C Declaration tibems_status  tibemsConnection_SetExceptionListener(\n     tibemsConnection  connection,\n     tibemsExceptionCallback  listener,\n    const void* closure ); COBOL Call CALL \"tibemsConnection_SetExceptionListener_STL\"\n     ..."},"1000":{y:0,u:"../c-and-cobol-reference/tibemsconnection-sta.htm",l:-1,t:"tibemsConnection_Start",i:0.000991819549362212,a:"Function Purpose Start delivering inbound messages. \n\t\t C Declaration tibems_status  tibemsConnection_Start(\n     tibemsConnection  connection ); COBOL Call CALL \"tibemsConnection_Start\"\n     USING BY VALUE connection,\n           RETURNING tibems-status\nEND-CALL. connection has usage pointer. \n\t\t ..."},"1001":{y:0,u:"../c-and-cobol-reference/tibemsconnection-sto.htm",l:-1,t:"tibemsConnection_Stop",i:0.000991819549362212,a:"Function Purpose Stop delivering inbound messages. \n\t\t C Declaration tibems_status  tibemsConnection_Stop(\n     tibemsConnection  connection ); COBOL Call CALL \"tibemsConnection_Stop\"\n     USING BY VALUE connection,\n           RETURNING tibems-status\nEND-CALL. connection has usage pointer. \n\t\t ..."},"1002":{y:0,u:"../c-and-cobol-reference/tibemsconnectionmeta.htm",l:-1,t:"tibemsConnectionMetaData",i:0.000561904224125646,a:"tibemsConnectionMetaData Type Purpose Get information about EMS and the EMS provider. \n\t\t Remarks Functions of type \n\t\t  tibemsConnectionMetaData retrieve information about the EMS application. \n\t\t See Also tibemsConnection_GetMetaData"},"1003":{y:0,u:"../c-and-cobol-reference/tibemsconnectionmeta2.htm",l:-1,t:"tibemsConnectionMetaData_GetEMS",i:0.000348231250045486,a:"Function \n   Purpose Get information about the Jakarta Messaging specification supported by EMS. \n\t\t C Declaration tibems_status  tibemsConnectionMetaData_GetEMSMajorVersion(\n    tibemsConnectionMetaData metaData,\n     tibems_int * majorVersion);\n\n tibems_status  ..."},"1004":{y:0,u:"../c-and-cobol-reference/tibemsconnectionmeta4.htm",l:-1,t:"tibemsConnectionMetaData_GetProvider",i:0.000348231250045486,a:"Function \n   Purpose Get the version number of the EMS installation. \n\t\t C Declaration tibems_status  tibemsConnectionMetaData_GetProviderMajorVersion(\n    tibemsConnectionMetaData metaData,\n     tibems_int * providerMajorVersion);\n\n tibems_status  ..."},"1005":{y:0,u:"../c-and-cobol-reference/tibemsconnectionmeta3.htm",l:-1,t:"tibemsConnectionMetaData_GetEMSProviderName",i:0.000348231250045486,a:"Function \n   Purpose Get the name of the EMS provider. \n\t\t C Declaration tibems_status  tibemsConnectionMetaData_GetEMSProviderName(\n    tibemsConnectionMetaData metaData,\n    const char** providerName); COBOL Call CALL \"tibemsConnectionMetaData_GetEMSProviderName\"\n     USING BY VALUE ..."},"1006":{y:0,u:"../c-and-cobol-reference/tibemsexceptioncallb.htm",l:-1,t:"tibemsExceptionCallback",i:0.00808989818823996,a:"Type \n   Purpose Programs define functions of this type to asynchronously detect problems with connections. \n\t\t C Declaration typedef void (*tibemsExceptionCallback) (\n     tibemsConnection  connection,\n     tibems_status  status,\n    void* closure); Parameters Remarks When a program uses a ..."},"1007":{y:0,u:"../c-and-cobol-reference/tibemsmulticastexcep.htm",l:-1,t:"tibemsMulticastExceptionCallback",i:0.000354168647818406,a:"Function Type \n   \n                Along with the multicast feature, this function was deprecated in software release 8.3.0 and will no longer be supported in future releases. \n\t\t Purpose Programs define functions of this type to asynchronously detect conditions with EMS multicast that may affect ..."},"1008":{y:0,u:"../c-and-cobol-reference/tibemsssl.htm",l:-1,t:"tibemsSSL",i:0.000707534981864616,a:"Type \n   Certificate Encodings Constant \n\t\t\t  Value \n\t\t\t  TIBEMS_SSL_ENCODING_AUTO (0x0000) TIBEMS_SSL_ENCODING_PEM (0x0001) TIBEMS_SSL_ENCODING_DER (0x0002) TIBEMS_SSL_ENCODING_BER (0x0004) TIBEMS_SSL_ENCODING_PKCS7 (0x0010) TIBEMS_SSL_ENCODING_PKCS8 (0x0020) TIBEMS_SSL_ENCODING_PKCS12 (0x0040) ..."},"1009":{y:0,u:"../c-and-cobol-reference/tibemsssl-gettrace.htm",l:-1,t:"tibemsSSL_GetTrace",i:0.000537634687896086,a:"Function \n   Purpose Determine whether TLS tracing is enabled. \n\t\t C Declaration tibems_bool  tibemsSSL_GetTrace(void);\n\n tibems_bool  tibemsSSL_GetDebugTrace(void); IBM Systems This function is not supported on z/OS and IBM i systems. For more information, see \n\t\t   TLS Implementation on IBM EBCDIC ..."},"1010":{y:0,u:"../c-and-cobol-reference/tibemsssl-opensslver.htm",l:-1,t:"tibemsSSL_OpenSSLVersion",i:0.000537634687896086,a:"Function \n   Purpose Get a string representing the OpenSSL version number. \n\t\t C Declaration const char* tibemsSSL_OpenSSLVersion(\n    char* buffer,\n     tibems_int  buf_size ); IBM Systems This function is not supported on z/OS and IBM i systems. For more information, see \n\t\t   TLS Implementation ..."},"1011":{y:0,u:"../c-and-cobol-reference/tibemsssl-settrace.htm",l:-1,t:"tibemsSSL_SetTrace",i:0.000637390939716112,a:"Function \n   Purpose Enable or disable TLS tracing. \n\t\t C Declaration void tibemsSSL_SetTrace(\n     tibems_bool  trace );\n\nvoid tibemsSSL_SetDebugTrace(\n     tibems_bool  trace ); IBM Systems These functions are not supported on IBM z/OS systems. For more information, see \n\t\t   TLS Implementation on ..."},"1012":{y:0,u:"../c-and-cobol-reference/tibemssslparams.htm",l:-1,t:"tibemsSSLParams",i:0.00396100206355657,a:"Type \n   Purpose Group parameters representing a client identity. \n\t\t Remarks These parameters apply when creating TLS connections to the EMS server. On most systems, secure connections are created using OpenSSL. Users on IBM z/OS systems must create TLS connections using IBM System SSL. For more ..."},"1013":{y:0,u:"../c-and-cobol-reference/tibemssslparams-addi.htm",l:-1,t:"tibemsSSLParams_AddIssuerCert",i:0.00046932042628019,a:"Function \n   Purpose Add one or more issuer certificates to the TLS parameter object. \n\t\t C Declaration tibems_status  tibemsSSLParams_AddIssuerCert(\n     tibemsSSLParams  SSLParams,\n    const void* data,\n     tibems_int  size,\n     tibems_int  encoding );\n\n tibems_status  ..."},"1014":{y:0,u:"../c-and-cobol-reference/tibemssslparams-addt.htm",l:-1,t:"tibemsSSLParams_AddTrustedCert",i:0.000563123018111593,a:"Function \n   Purpose Add one or more trusted certificates to the TLS parameter object. \n\t\t C Declaration tibems_status  tibemsSSLParams_AddTrustedCert(\n     tibemsSSLParams  SSLParams,\n    const void* data,\n     tibems_int  size,\n     tibems_int  encoding );\n\n tibems_status  ..."},"1015":{y:0,u:"../c-and-cobol-reference/tibemssslparams-crea.htm",l:-1,t:"tibemsSSLParams_Create",i:0.000577658379816083,a:"tibemsSSLParams_Create Function \n   Purpose Create a new TLS parameter object. \n\t\t C Declaration tibemsSSLParams  tibemsSSLParams_Create(void); IBM Systems This function is not supported on z/OS and IBM i systems. See \n\t\t   TLS Implementation on IBM EBCDIC Systems . \n\t\t"},"1016":{y:0,u:"../c-and-cobol-reference/tibemssslparams-dest.htm",l:-1,t:"tibemsSSLParams_Destroy",i:0.000577658379816083,a:"Function \n   Purpose Destroy a TLS parameter object. \n\t\t C Declaration void tibemsSSLParams_Destroy(\n     tibemsSSLParams  SSLParams ); IBM Systems This function is not supported on z/OS and IBM i systems. For more information, see \n\t\t   TLS Implementation on IBM EBCDIC Systems . \n\t\t Parameters"},"1017":{y:0,u:"../c-and-cobol-reference/tibemssslparams-geti.htm",l:-1,t:"tibemsSSLParams_GetIdentity",i:0.00046932042628019,a:"Function \n   Purpose Get the client identity that a TLS parameter object represents. \n\t\t C Declaration tibems_status  tibemsSSLParams_GetIdentity(\n     tibemsSSLParams  SSLParams,\n    const void** data,\n     tibems_int * size,\n     tibems_int * encoding ); IBM Systems This function is not supported ..."},"1018":{y:0,u:"../c-and-cobol-reference/tibemssslparams-getp.htm",l:-1,t:"tibemsSSLParams_GetPrivateKey",i:0.00046932042628019,a:"Function \n   Purpose Get the private key from a TLS parameter object. \n\t\t C Declaration tibems_status  tibemsSSLParams_GetPrivateKey(\n     tibemsSSLParams  SSLParams,\n    const void** data,\n     tibems_int * size,\n     tibems_int * encoding ); IBM Systems This function is not supported on z/OS and ..."},"1019":{y:0,u:"../c-and-cobol-reference/tibemssslparams-seta.htm",l:-1,t:"tibemsSSLParams_SetAuthOnly",i:0.000556224165578756,a:"Function \n   Purpose Set client connections to use TLS only during initial connection authentication. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetAuthOnly(\n     tibemsSSLParams  SSLParams,\n     tibems_bool  auth_only ); IBM Systems This function is not supported on z/OS and IBM i systems. ..."},"1020":{y:0,u:"../c-and-cobol-reference/tibemssslparams-setc.htm",l:-1,t:"tibemsSSLParams_SetCiphers",i:0.000608973258696347,a:"Function \n   Purpose Set the cipher suites for TLS connections. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetCiphers(\n     tibemsSSLParams  SSLParams,\n    const char* ciphers ); IBM Systems This function is not supported on z/OS and IBM i systems. For more information, see \n\t\t   TLS ..."},"1021":{y:0,u:"../c-and-cobol-reference/tibemssslparams-sete.htm",l:-1,t:"tibemsSSLParams_SetExpectedHostName",i:0.00085675088336615,a:"Function \n   Purpose Set the expected host name. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetExpectedHostName(\n     tibemsSSLParams  SSLParams,\n    const char* expected_hostname ); IBM Systems This function is not supported on z/OS and IBM i systems. For more information, see \n\t\t   TLS ..."},"1022":{y:0,u:"../c-and-cobol-reference/tibemssslparams-seth.htm",l:-1,t:"tibemsSSLParams_SetHostNameVerifier",i:0.000778738246000622,a:"Function \n   Purpose Set the host name verifier function. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetHostNameVerifier(\n     tibemsSSLParams  SSLParams,\n     tibemsSSLHostNameVerifier  verifier,\n    const void* closure ); IBM Systems This function is not supported on z/OS and IBM i systems. ..."},"1023":{y:0,u:"../c-and-cobol-reference/tibemssslparams-seti.htm",l:-1,t:"tibemsSSLParams_SetIdentity",i:0.00046932042628019,a:"Function \n   Purpose Set the identity of the client program. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetIdentity(\n     tibemsSSLParams  SSLParams,\n    const void* data,\n     tibems_int  size,\n     tibems_int  encoding );\n\n tibems_status  tibemsSSLParams_SetIdentityFile(\n     tibemsSSLParams ..."},"1024":{y:0,u:"../c-and-cobol-reference/tibemssslparams-setp.htm",l:-1,t:"tibemsSSLParams_SetPrivateKey",i:0.00046932042628019,a:"Function \n   Purpose Set the client’s private key. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetPrivateKey(\n     tibemsSSLParams  SSLParams,\n    const void* data,\n     tibems_int  size,\n     tibems_int  encoding );\n\n tibems_status  tibemsSSLParams_SetPrivateKeyFile(\n     tibemsSSLParams  ..."},"1025":{y:0,u:"../c-and-cobol-reference/tibemssslparams-setv.htm",l:-1,t:"tibemsSSLParams_SetVerifyHost",i:0.000882818839653078,a:"Function \n   Purpose Set flags that enable client verification of the host certificate or host name. \n\t\t C Declaration tibems_status  tibemsSSLParams_SetVerifyHost(\n     tibemsSSLParams  SSLParams,\n     tibems_bool  verify );\n\n tibems_status  tibemsSSLParams_SetVerifyHostName(\n     tibemsSSLParams  ..."},"1026":{y:0,u:"../c-and-cobol-reference/tibemssslhostnamever.htm",l:-1,t:"tibemsSSLHostNameVerifier",i:0.000554326972178505,a:"Type \n   Purpose Programs define functions of this type to check server identity based on the server’s host name. \n\t\t C Declaration typedef  tibems_status  (*tibemsSSLHostNameVerifier) (\n    const char* connected_hostname,\n    const char* expected_hostname,\n    const char* ..."},"1027":{y:0,u:"../c-and-cobol-reference/connection-factory.htm",l:-1,t:"Connection Factory",i:0.000228822666381883,a:"Connection Factory Connection factories let administrators preconfigure client connections to the EMS server."},"1028":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact27.htm",l:-1,t:"tibemsConnectionFactory",i:0.00498741520610738,a:"Type Purpose Administered object for creating server connections. \n\t\t Remarks Connection factories are administered objects. They support concurrent use. \n\t\t Administrators define connection factories in a repository. Each connection factory has administrative parameters that guide the creation of ..."},"1029":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact21.htm",l:-1,t:"tibemsConnectionFactory_Create",i:0.000471790240241666,a:"Function \n   Purpose Create a connection factory. \n\t\t C Declaration tibemsConnectionFactory  tibemsConnectionFactory_Create( void ); COBOL Call CALL \"tibemsConnectionFactory_Create\"\n           RETURNING factory\nEND-CALL. factory has usage pointer. \n\t\t Remarks The resulting connection factory object ..."},"1030":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact25.htm",l:-1,t:"tibemsConnectionFactory_CreateConnection",i:0.000459776553904763,a:"Function \n   Purpose Create a connection object. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_CreateConnection(\n     tibemsConnectionFactory  factory,\n     tibemsConnection * connection,\n    const char * username,\n    const char * password ); COBOL Call CALL ..."},"1031":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact23.htm",l:-1,t:"tibemsConnectionFactory_CreateXAConnection",i:0.000365579565753245,a:"Function \n   Purpose Create an XA connection object. \n\t\t C Declaration extern  tibems_status \ntibemsConnectionFactory_CreateXAConnection(\n     tibemsConnectionFactory  factory,\n     tibemsConnection * connection,\n    const char* username,\n    const char* password); COBOL Call CALL ..."},"1032":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact14.htm",l:-1,t:"tibemsConnectionFactory_Destroy",i:0.000365579565753245,a:"Function \n   Purpose Destroy a connection factory object. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_Destroy(\n     tibemsConnectionFactory  factory ) COBOL Call CALL \"tibemsConnectionFactory_Destroy\"\n     USING BY VALUE factory,\n           RETURNING tibems-status\nEND-CALL. factory has ..."},"1033":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact20.htm",l:-1,t:"tibemsConnectionFactory_GetSSLProxyHost",i:0.000498299067899472,a:"Function \n   Purpose Get the TLS proxy host from a connection factory. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_GetSSLProxyHost(\n     tibemsConnectionFactory  factory,\n    const char** proxy_host); COBOL Call CALL \"tibemsConnectionFactory_GetSSLProxyHost\"\n     USING BY VALUE ..."},"1034":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact10.htm",l:-1,t:"tibemsConnectionFactory_GetSSLProxyPort",i:0.000498299067899472,a:"Function \n   Purpose Get the TLS proxy port from a connection factory. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_GetSSLProxyPort(\n     tibemsConnectionFactory  factory,\n    tibems_int* proxy_port); COBOL Call CALL \"tibemsConnectionFactory_GetSSLProxyPort\"\n     USING BY VALUE ..."},"1035":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact28.htm",l:-1,t:"tibemsConnectionFactory_GetSSLProxyUser",i:0.000498299067899472,a:"Function \n   Purpose Get the TLS proxy username from a connection factory. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_GetSSLProxyUser(\n     tibemsConnectionFactory  factory,\n    const char** proxy_user); COBOL Call CALL \"tibemsConnectionFactory_GetSSLProxyUser\"\n     USING BY VALUE ..."},"1036":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact26.htm",l:-1,t:"tibemsConnectionFactory_GetSSLProxyPassword",i:0.000498299067899472,a:"Function \n   Purpose Get the TLS proxy password from a connection factory. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_GetSSLProxyPassword(\n     tibemsConnectionFactory  factory,\n    const char** proxy_password); COBOL Call CALL \"tibemsConnectionFactory_GetSSLProxyPassword\"\n     USING ..."},"1037":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact8.htm",l:-1,t:"tibemsConnectionFactory_Print",i:0.000533397563093835,a:"Function \n   Purpose Print the parameters set in a connection factory object. \n\t\t C Declaration tibems_status tibemsConnectionFactory_Print(\n     tibemsConnectionFactory  factory); COBOL Call CALL \"tibemsConnectionFactory_Print\"\n     USING BY VALUE factory,\n           RETURNING ..."},"1038":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact6.htm",l:-1,t:"tibemsConnectionFactory_PrintToBuffer",i:0.000592280457191598,a:"Function \n   Purpose Print the parameters set in a connection factory object to a buffer. \n\t\t C Declaration extern  tibems_status  tibemsConnectionFactory_PrintToBuffer(\n     tibemsConnectionFactory  factory,\n    char* buffer,\n    tibems_int maxlen); COBOL Call CALL ..."},"1039":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact3.htm",l:-1,t:"tibemsConnectionFactory_SetClientID",i:0.000365579565753245,a:"Function \n   Purpose Set the client ID of a connection factory object. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetClientID(\n     tibemsConnectionFactory  factory,\n    const char* cid ); COBOL Call CALL \"tibemsConnectionFactory_SetClientID\"\n     USING BY VALUE factory,\n           BY ..."},"1040":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact22.htm",l:-1,t:"tibemsConnectionFactory_SetConnectAttemptCount",i:0.000510117037340554,a:"Function \n   Purpose Modify the connection attempts setting. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetConnectAttemptCount(\n     tibemsConnectionFactory  factory,\n     tibems_int  connAttempts ); COBOL Call CALL \"tibemsConnectionFactory_SetConnectAttemptCount\"\n     USING BY VALUE ..."},"1041":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact13.htm",l:-1,t:"tibemsConnectionFactory_SetConnectAttemptDelay",i:0.000510117037340554,a:"Function \n   Purpose Modify the connection delay setting. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetConnectAttemptDelay(\n     tibemsConnectionFactory  factory,\n     tibems_int  delay ); COBOL Call CALL \"tibemsConnectionFactory_SetConnectAttemptDelay\"\n     USING BY VALUE factory,\n   ..."},"1042":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact9.htm",l:-1,t:"tibemsConnectionFactory_SetConnectAttemptTimeout",i:0.000510117037340554,a:"Function \n   Purpose Modify the connection timeout setting. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetConnectAttemptTimeout(\n     tibemsConnectionFactory  factory,\n     tibems_int  timeout ); COBOL Call CALL \"tibemsConnectionFactory_SetConnectAttemptTimeout\"\n     USING BY VALUE ..."},"1043":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact12.htm",l:-1,t:"tibemsConnectionFactory_SetMetric",i:0.000526197635305388,a:"Function \n   Purpose Modify the load balancing metric. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetMetric(\n     tibemsConnectionFactory  factory,\n     tibemsFactoryLoadBalanceMetric  metric ); COBOL Call CALL \"tibemsConnectionFactory_SetMetric\"\n     USING BY VALUE factory,\n           ..."},"1044":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact18.htm",l:-1,t:"tibemsConnectionFactory_SetMulticastDaemon",i:0.000802282201557219,a:"Function \n   \n                Along with the multicast feature, this function was deprecated in software release 8.3.0 and will no longer be supported in future releases. \n\t\t Purpose Set the port on which the client will connect to the multicast daemon. \n\t\t C Declaration tibems_status  ..."},"1045":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact19.htm",l:-1,t:"tibemsConnectionFactory_SetMulticastEnabled",i:0.000602573612773504,a:"Function \n   \n                Along with the multicast feature, this function was deprecated in software release 8.3.0 and will no longer be supported in future releases. \n\t\t Purpose Set whether message consumers subscribed to multicast-enabled topics will receive messages over multicast. \n\t\t C ..."},"1046":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact.htm",l:-1,t:"tibemsConnectionFactory_SetPkPassword",i:0.000365579565753245,a:"Function \n   Purpose Set the TLS private key password for the connection factory. \n\t\t C Declaration extern  tibems_status  tibemsConnectionFactory_SetPkPassword(\n     tibemsConnectionFactory  factory,\n    const char* pk_password); COBOL Call CALL \"tibemsConnectionFactory_SetPkPassword\"\n    USING BY ..."},"1047":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact16.htm",l:-1,t:"tibemsConnectionFactory_SetReconnectAttemptCount",i:0.000510117037340554,a:"Function \n   Purpose Modify the reconnection attempts setting. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetReconnectAttemptCount(\n     tibemsConnectionFactory  factory,\n     tibems_int  connAttempts ); COBOL Call CALL \"tibemsConnectionFactory_SetReconnectAttemptCount\"\n     USING BY ..."},"1048":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact7.htm",l:-1,t:"tibemsConnectionFactory_SetReconnectAttemptDelay",i:0.000510117037340554,a:"Function \n   Purpose Modify the reconnection delay setting. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetReconnectAttemptDelay(\n     tibemsConnectionFactory  factory,\n     tibems_int  delay ); COBOL Call CALL \"tibemsConnectionFactory_SetReconnectAttemptDelay\"\n     USING BY VALUE ..."},"1049":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact24.htm",l:-1,t:"tibemsConnectionFactory_SetReconnectAttemptTimeout",i:0.000510117037340554,a:"Function \n   Purpose Modify the reconnection timeout setting. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetReconnectAttemptTimeout(\n     tibemsConnectionFactory  factory,\n     tibems_int  timeout ); COBOL Call CALL \"tibemsConnectionFactory_SetReconnectAttemptTimeout\"\n     USING BY ..."},"1050":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact17.htm",l:-1,t:"tibemsConnectionFactory_SetServerURL",i:0.000365579565753245,a:"Function \n   Purpose Set the server URL. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetServerURL(\n     tibemsConnectionFactory  factory,\n    const char* url ); COBOL Call CALL \"tibemsConnectionFactory_SetServerURL\"\n     USING BY VALUE factory,\n           BY REFERENCE url,\n           ..."},"1051":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact2.htm",l:-1,t:"tibemsConnectionFactory_SetSSLParams",i:0.000443267357740204,a:"Function \n   Purpose Set a connection factory’s default TLS parameters. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetSSLParams(\n     tibemsConnectionFactory  factory,\n     tibemsSSLParams  sslparams ); COBOL Call CALL \"tibemsConnectionFactory_SetSSLParams\"\n     USING BY VALUE ..."},"1052":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact15.htm",l:-1,t:"tibemsConnectionFactory_SetSSLProxy",i:0.000780677222484243,a:"Function \n   Purpose Set a connection factory’s parameters for connecting through a TLS proxy. \n\t\t C Declaration tibems_status  tibemsConnectionFactory_SetSSLProxy(\n     tibemsConnectionFactory  factory,\n    const char* proxy_host,\n    tibems_int proxy_port); COBOL Call CALL ..."},"1053":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact5.htm",l:-1,t:"tibemsConnectionFactory_SetSSLProxyAuth",i:0.000780677222484243,a:"Function \n   Purpose Set a connection factory’s username and password for connecting through a TLS proxy. \n\t\t C Declaration tibems_status \ntibemsConnectionFactory_SetSSLProxyAuth(\n     tibemsConnectionFactory  factory,\n    const char* proxy_user,\n    const char* proxy_password); COBOL Call CALL ..."},"1054":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact11.htm",l:-1,t:"tibemsConnectionFactory_SetUserName",i:0.000510117037340554,a:"Function \n   Purpose Set a connection factory’s username. \n\t\t C Declaration tibems_status \ntibemsConnectionFactory_SetUserName(\n     tibemsConnectionFactory  factory,\n    const char* username); COBOL Call CALL \"tibemsConnectionFactory_SetUserName\"\n     USING BY VALUE factory,\n           BY REFERENCE ..."},"1055":{y:0,u:"../c-and-cobol-reference/tibemsconnectionfact4.htm",l:-1,t:"tibemsConnectionFactory_SetUserPassword",i:0.000510117037340554,a:"Function \n   Purpose Set the password used by the connection factory to authenticate itself with the EMS Server. \n\t\t C Declaration tibems_status \ntibemsConnectionFactory_SetUserPassword(\n     tibemsConnectionFactory  factory,\n    const char* password); COBOL Call CALL ..."},"1056":{y:0,u:"../c-and-cobol-reference/tibemsufoconnectionf.htm",l:-1,t:"tibemsUFOConnectionFactory_Create",i:0.000520955149727162,a:"Function \n   Purpose Create an unshared state connection factory. \n\t\t C Declaration tibemsConnectionFactory  tibemsUFOConnectionFactory_Create(void); COBOL Call CALL \"tibemsUFOConnectionFactory_Create\"\n            RETURNING factory\nEND-CALL. factory has usage pointer. \n\t\t Remarks The resulting ..."},"1057":{y:0,u:"../c-and-cobol-reference/tibemsufoconnectionf2.htm",l:-1,t:"tibemsUFOConnectionFactory_CreateFromConnectionFactory",i:0.000365579565753245,a:"Function \n   Purpose Create an unshared state connection factory from a normal connection factory. \n\t\t C Declaration tibemsConnectionFactory \ntibemsUFOConnectionFactory_CreateFromConnectionFactory(\n     tibemsConnectionFactory  emsFactory); COBOL Call CALL ..."},"1058":{y:0,u:"../c-and-cobol-reference/tibemsufoconnectionf3.htm",l:-1,t:"tibemsUFOConnectionFactory_RecoverConnection",i:0.000365579565753245,a:"Function \n   Purpose Recover an unshared state connection. \n\t\t C Declaration tibems_status \ntibemsUFOConnectionFactory_RecoverConnection(\n     tibemsConnectionFactory  ufoFactory,\n     tibemsConnection  ufoConnection); COBOL Call CALL \"tibemsUFOConnectionFactory_RecoverConnection\"\n     USING BY ..."},"1059":{y:0,u:"../c-and-cobol-reference/tibemsfactoryloadbal.htm",l:-1,t:"tibemsFactoryLoadBalanceMetric",i:0.000377916123812776,a:"Type Purpose Define enumerated load balancing constants. \n\t\t Remarks When a connection factory balances the client load among several servers, it uses this metric to determine the least loaded server, so the connection factory can create a connection to it. \n\t\t COBOL * NOTE:  LBM is an acronym for ..."},"1060":{y:0,u:"../c-and-cobol-reference/session.htm",l:-1,t:"Session",i:0.000228822666381883,a:"Session A session is a single-threaded context for producing and consuming messages."},"1061":{y:0,u:"../c-and-cobol-reference/tibemssession.htm",l:-1,t:"tibemsSession",i:0.00859047324089855,a:"Type Purpose Organizes context for message activity. \n\t\t Remarks Sessions combine several roles: \n\t\t Create message producers and consumers \n\t\t   Create message objects \n\t\t   Create temporary destinations \n\t\t   Create dynamic destinations \n\t\t   Create queue browsers \n\t\t   Serialize for inbound and ..."},"1062":{y:0,u:"../c-and-cobol-reference/tibemssession-close.htm",l:-1,t:"tibemsSession_Close",i:0.00059673233984827,a:"Function Purpose Close a session; reclaim resources. \n\t\t C Declaration tibems_status  tibemsSession_Close(\n     tibemsSession  session ); COBOL Call CALL \"tibemsSession_Close\"\n     USING BY VALUE session,\n           RETURNING tibems-status\nEND-CALL. session has usage pointer. \n\t\t Remarks Closing a ..."},"1063":{y:0,u:"../c-and-cobol-reference/tibemssession-commit.htm",l:-1,t:"tibemsSession_Commit",i:0.00687159856623345,a:"Function Purpose Commit the open transaction. \n\t\t C Declaration tibems_status  tibemsSession_Commit(\n     tibemsSession  session ); COBOL Call CALL \"tibemsSession_Commit\"\n     USING BY VALUE session,\n           RETURNING tibems-status\nEND-CALL. session has usage pointer. \n\t\t Remarks A session (with ..."},"1064":{y:0,u:"../c-and-cobol-reference/tibemssession-create10.htm",l:-1,t:"tibemsSession_CreateBrowser",i:0.000684565720476446,a:"Function Purpose Create a queue browser. \n\t\t C Declaration tibems_status  tibemsSession_CreateBrowser(\n     tibemsSession  session,\n     tibemsQueueBrowser * browser,\n     tibemsQueue  queue,\n    const char* messageSelector ); COBOL Call CALL \"tibemsSession_CreateBrowser\"\n     USING BY VALUE ..."},"1065":{y:0,u:"../c-and-cobol-reference/tibemssession-create5.htm",l:-1,t:"tibemsSession_CreateBytesMessage",i:0.000546311956586594,a:"Function Purpose Create a byte array message. \n\t\t C Declaration tibems_status  tibemsSession_CreateBytesMessage(\n     tibemsSession  session,\n     tibemsBytesMsg * bytesMsg ); COBOL Call CALL \"tibemsSession_CreateBytesMessage\"\n     USING BY VALUE session,\n           BY REFERENCE bytesMsg,\n           ..."},"1066":{y:0,u:"../c-and-cobol-reference/tibemssession-create.htm",l:-1,t:"tibemsSession_CreateConsumer",i:0.00165391588922759,a:"Function Purpose Create a message consumer. \n\t\t C Declaration tibems_status  tibemsSession_CreateConsumer(\n     tibemsSession  session,\n     tibemsMsgConsumer * consumer,\n     tibemsDestination  destination,\n    const char* messageSelector,\n     tibems_bool  noLocal ); COBOL Call CALL ..."},"1067":{y:0,u:"../c-and-cobol-reference/tibemssession-create2.htm",l:-1,t:"tibemsSession_CreateDurableSubscriber",i:0.00103591320767877,a:"Function Purpose Create a durable topic subscriber. \n\t\t C Declaration tibems_status  tibemsSession_CreateDurableSubscriber(\n     tibemsSession  session,\n     tibemsMsgConsumer * msgConsumer,\n     tibemsTopic  topic,\n    const char* name,\n    const char* messageSelector,\n     tibems_bool  noLocal ); ..."},"1068":{y:0,u:"../c-and-cobol-reference/tibemssession-create3.htm",l:-1,t:"tibemsSession_CreateMapMessage",i:0.000546311956586594,a:"Function Purpose Create a map message. \n\t\t C Declaration tibems_status  tibemsSession_CreateMapMessage(\n     tibemsSession  session,\n     tibemsMapMsg * mapMsg ); COBOL Call CALL \"tibemsSession_CreateMapMessage\"\n     USING BY VALUE session,\n           BY REFERENCE mapMsg,\n           RETURNING ..."},"1069":{y:0,u:"../c-and-cobol-reference/tibemssession-create9.htm",l:-1,t:"tibemsSession_CreateMessage",i:0.000546311956586594,a:"Function Purpose Create a message. \n\t\t C Declaration tibems_status  tibemsSession_CreateMessage(\n     tibemsSession  session,\n     tibemsMsg * message ); COBOL Call CALL \"tibemsSession_CreateMessage\"\n     USING BY VALUE session,\n           BY REFERENCE message,\n           RETURNING ..."},"1070":{y:0,u:"../c-and-cobol-reference/tibemssession-create8.htm",l:-1,t:"tibemsSession_CreateProducer",i:0.000765511314008257,a:"Function Purpose Create a message producer. \n\t\t C Declaration tibems_status  tibemsSession_CreateProducer(\n     tibemsSession  session,\n     tibemsMsgProducer * producer,\n     tibemsDestination  destination ); COBOL Call CALL \"tibemsSession_CreateProducer\"\n     USING BY VALUE session,\n           BY ..."},"1071":{y:0,u:"../c-and-cobol-reference/tibemssession-create7.htm",l:-1,t:"tibemsSession_CreateSharedConsumer",i:0.000623376881959061,a:"Function Purpose Create a shared consumer. \n\t\t C Declaration tibems_status  tibemsSession_CreateSharedConsumer(\n     tibemsSession  session,\n     tibemsMsgConsumer * consumer,\n     tibemsTopic  topic,\n    const char* sharedSubscriptionName,\n    const char* messageSelector ); COBOL Call CALL ..."},"1072":{y:0,u:"../c-and-cobol-reference/tibemssession-create4.htm",l:-1,t:"tibemsSession_CreateSharedDurableConsumer",i:0.000634627173234387,a:"Function Purpose Create a shared durable consumer. \n\t\t C Declaration tibems_status  tibemsSession_CreateSharedDurableConsumer(\n     tibemsSession  session,\n     tibemsMsgConsumer * consumer,\n     tibemsTopic  topic,\n    const char* durableName,\n    const char* messageSelector ); COBOL Call CALL ..."},"1073":{y:0,u:"../c-and-cobol-reference/tibemssession-create6.htm",l:-1,t:"tibemsSession_CreateStreamMessage",i:0.000546311956586594,a:"Function Purpose Create a stream message. \n\t\t C Declaration tibems_status  tibemsSession_CreateStreamMessage(\n     tibemsSession  session,\n     tibemsStreamMsg * streamMsg ); COBOL Call CALL \"tibemsSession_CreateStreamMessage\"\n     USING BY VALUE session,\n           BY REFERENCE streamMsg,\n          ..."},"1074":{y:0,u:"../c-and-cobol-reference/tibemssession-create11.htm",l:-1,t:"tibemsSession_CreateTemporaryQueue",i:0.000842745324635951,a:"Function Purpose Create a temporary queue. \n\t\t C Declaration tibems_status  tibemsSession_CreateTemporaryQueue(\n     tibemsSession  session,\n     tibemsTemporaryQueue * tmpQueue ); COBOL Call CALL \"tibemsSession_CreateTemporaryQueue\"\n     USING BY VALUE session,\n           BY REFERENCE tmpQueue,\n    ..."},"1075":{y:0,u:"../c-and-cobol-reference/tibemssession-create13.htm",l:-1,t:"tibemsSession_CreateTemporaryTopic",i:0.00087714365989827,a:"Function Purpose Create a temporary topic. \n\t\t C Declaration tibems_status  tibemsSession_CreateTemporaryTopic(\n     tibemsSession  session,\n     tibemsTemporaryTopic * tmpTopic ); COBOL Call CALL \"tibemsSession_CreateTemporaryTopic\"\n     USING BY VALUE session,\n           BY REFERENCE tmpTopic,\n    ..."},});